USE 90
JOIN 13 ALIAS 300 INTO COM==DOM_CODCOM
JOIN 13 ALIAS 200 INTO COM==RES_CODCOM
JOIN LCP ALIAS 700 INTO CODTAB==DOM_CODLOC
JOIN LCP ALIAS 100 INTO CODTAB==RES_CODLOC
JOIN 96 INTO CODSEZ==CODSEZ
JOIN CTD ALIAS 800 INTO CODTAB==CATDON
JOIN CTN ALIAS 500 INTO CODTAB==CATNOND1
JOIN CTN ALIAS 600 INTO CODTAB==CATNOND2
JOIN TCS ALIAS 900 INTO CODTAB==STATO
JOIN 13 ALIAS 400 INTO COM==COMNASC
JOIN 97 INTO CODMED==CODMED

END

DESCRIPTION
BEGIN
  90->* "Soggetti Sezioni AVIS"
  13->* "COMUNI"
  LCP->* "Localita' postali"
  96->* "Sezioni AVIS"
  CTD->* "Categorie donatori"
  CTN->* "Categorie non donatori"
  TCS->* "Tipi/Esiti controlli sanitari"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Arial"
  SIZE 12
  GRID ""
END

SECTION BODY ODD 60

NUMERO 1 13
BEGIN
   KEY "Codice"
   FIELD 90->CODICE
   PROMPT 1 1 "Codice "
END

STRINGA 2 33
BEGIN
   KEY "Cognome"
   FIELD 90->COGNOME
   PROMPT 15 1 "Cognome "
END

STRINGA 3 30
BEGIN
   KEY "Nome"
   FIELD 90->NOME
   PROMPT 50 1 "Nome "
END

DATA 4 18
BEGIN
   KEY "Data nascita"
   FIELD 90->DATANASC
   PROMPT 1 2 "Nato il "
END

STRINGA 5 30
BEGIN
   KEY "Comune di nascita"
   PROMPT 0 0 ""
   FIELD 400@->DENCOM
   FLAG "H"
   MESSAGE RESET,7|COPY,7
END

STRINGA 6 5
BEGIN
   KEY "Provincia di nascita"
   PROMPT 0 0 ""
   FIELD 400@->PROVCOM
   FLAG "H"
   MESSAGE APPEND,7
END

STRINGA 7 40
BEGIN
   KEY "Comune e provincia di nascita"
   PROMPT 20 2 "Nato a "
END

STRINGA 8 6
BEGIN
   KEY "Testo"
   PROMPT 62 2 "Sesso "
END

LISTA 9
BEGIN
   KEY "Sesso"
   PROMPT 68 2 "Sesso "
   FIELD 90->SESSO
   ITEM "0|Sconosciuto"
   ITEM "1|Maschio"
   ITEM "2|Femmina"
   ITEM "9|Non specif."
END

STRINGA 10 7
BEGIN
 KEY "Codice sezione"
 FIELD 90->CODSEZ
 PROMPT 1 4 "Sez. "
END

STRINGA 11 25
BEGIN
   KEY "Denominazione sezione"
   FIELD 96->DENSEZ
   PROMPT 9 4 ""
END

STRINGA 12 7
BEGIN
 KEY "Codice sottog."
 FIELD 90->CODSOT
 PROMPT 41 4 "Sot. "
END

STRINGA 13 25
BEGIN
   KEY "Denominazione sottog."
   FIELD 96->DENSOT
   PROMPT 49 4 ""
END

STRINGA 14 7
BEGIN
 KEY "Categoria don."
 FIELD 90->CATDON
 PROMPT 1 5 "Cat. "
END

STRINGA 15 25
BEGIN
   KEY "Descrizione categoria"
   FIELD 800@->S0
   PROMPT 9 5 ""
END

DATA 16 21
BEGIN
   KEY "Data iscrizione"
   FIELD 90->DATAISC
   PROMPT 36 5 "Data iscr. "
END

DATA 17 20
BEGIN
   KEY "Data dimissione"
   FIELD 90->DATADIM
   PROMPT 59 5 "Data dim. "
END

STRINGA 18 16
BEGIN
   KEY "Tessera AVIS"
   FIELD 90->TESSAVIS
   PROMPT 1 7 "Tess.AVIS "
END

STRINGA 19 13
BEGIN
   KEY "Codice Centro Trasfusionale"
   FIELD 90->CODCT
   PROMPT 18 7 "Cod.CT "
END

STRINGA 20 16
BEGIN
   KEY "Cartella clinica"
   FIELD 90->CODCL
   PROMPT 33 7 "Car.clin. "
END

STRINGA 21 28
BEGIN
   KEY "Documento di identita'"
   FIELD 90->DOCID
   PROMPT 51 7 "Doc.id. "
END

STRINGA 22 26
BEGIN
   KEY "Codice fiscale"
   FIELD 90->CF
   PROMPT 1 8 "Cod.fisc. "
END

STRINGA 23 10
BEGIN
   KEY "Testo"
   PROMPT 1 10 "Domicilio:"
END

STRINGA 24 30
BEGIN
   KEY "Domicilio: indirizzo"
   FIELD 90->DOM_INDIR
   PROMPT 1 11 ""
   MESSAGE RESET,30
END

STRINGA 25 4
BEGIN
   KEY "Domicilio: codice localita'"
   FIELD 90->DOM_CODLOC
   PROMPT 0 0 ""
   FLAG "H"
END

STRINGA 26 5
BEGIN
   KEY "Domicilio: CAP"
   FIELD 700@->S6
   FIELD 300@->CAPCOM
   PROMPT 0 0 ""
   FLAG "H"
   MESSAGE APPEND,30
END

STRINGA 27 30
BEGIN
   KEY "Domicilio: localita'"
   FIELD 700@->S0
   PROMPT 0 0 ""
   FLAG "H"
   MESSAGE APPEND,30
END

STRINGA 28 50
BEGIN
   KEY "Domicilio: comune"
   FIELD 300@->DENCOM
   PROMPT 0 0 ""
   FLAG "H"
   MESSAGE APPEND,30
END

STRINGA 29 5
BEGIN
   KEY "Domicilio: provincia"
   FIELD 300@->PROVCOM
   PROMPT 0 0 ""
   FLAG "H"
   MESSAGE APPEND,30
END

STRINGA 30 39 3
BEGIN
   KEY "Domicilio: Loc/Com/Prov"
   PROMPT 1 12 ""
END

STRINGA 31 10
BEGIN
   KEY "Testo"
   PROMPT 41 10 "Residenza:"
END

STRINGA 32 30
BEGIN
   KEY "Residenza: indirizzo"
   FIELD 90->RES_INDIR
   PROMPT 41 11 ""
   MESSAGE RESET,38
END

STRINGA 33 4
BEGIN
   KEY "Residenza: codice localita'"
   FIELD 90->RES_CODLOC
   PROMPT 0 0 ""
   FLAG "H"
END

STRINGA 34 5
BEGIN
   KEY "Residenza: CAP"
   FIELD 100@->S6
   FIELD 200@->CAPCOM
   PROMPT 0 0 ""
   FLAG "H"
   MESSAGE APPEND,38
END

STRINGA 35 30
BEGIN
   KEY "Residenza: localita'"
   FIELD 100@->S0
   PROMPT 0 0 ""
   FLAG "H"
   MESSAGE APPEND,38
END

STRINGA 36 50
BEGIN
   KEY "Residenza: comune"
   FIELD 200@->DENCOM
   PROMPT 0 0 ""
   FLAG "H"
   MESSAGE APPEND,38
END

STRINGA 37 5
BEGIN
   KEY "Residenza: provincia"
   FIELD 200@->PROVCOM
   PROMPT 0 0 ""
   FLAG "H"
   MESSAGE APPEND,38
END

STRINGA 38 39 3
BEGIN
   KEY "Residenza: Loc/Com/Prov"
   PROMPT 41 12 ""
END

STRINGA 39 23
BEGIN
   KEY "Telefono abitazione"
   FIELD 90->TELABI
   PROMPT 1 15 "Tel.abi. "
END

STRINGA 40 23
BEGIN
   KEY "Telefono lavoro"
   FIELD 90->TELLAV
   PROMPT 25 15 "Tel.lav. "
END

STRINGA 41 25
BEGIN
   KEY "Telefono altro"
   FIELD 90->TELALT
   PROMPT 49 15 "Tel.altro "
END

STRINGA 42
BEGIN
   KEY "Testo"
   PROMPT 1 16 "Escluso "
END

LISTA 43
BEGIN
   KEY "Esclusione"
   FIELD 90->ESCLUSO
   ITEM "  |  "
   ITEM "TI|T. indeterminato"
   ITEM "TD|T. determinato"
   PROMPT 10 16 "Escluso "
END

DATA 44 18
BEGIN
   KEY "Data termine esclusione"
   FIELD 90->TERMESCL
   PROMPT 27 16 "Termine "
END

STRINGA 45 35
BEGIN
   KEY "Motivo esclusione"
   FIELD 90->MOTESCL
   PROMPT 46 16 "Per "
END

STRINGA 46 26
BEGIN
   KEY "Descrizione stato"
   FIELD 900@->S3
   PROMPT 1 17 "Stato "
END

DATA 47 15
BEGIN
   KEY "Data stato"
   FIELD 90->DATASTATO
   PROMPT 28 17 "Data "
END

STRINGA 48 11
BEGIN
   KEY "Tipo ultima idoneita'"
   FIELD 90->TIPOULTID
   PROMPT 45 17 "Ult. id. "
END

DATA 49 10
BEGIN
   KEY "Data ultima idoneita'"
   FIELD 90->DATAULTID
   PROMPT 58 17 ""
END

STRINGA 50 2
BEGIN
   KEY "Idoneita' alla donazione 1"
   FIELD 90->IDON1
   PROMPT 70 17 ""
END

STRINGA 51 2
BEGIN
   KEY "Idoneita' alla donazione 2"
   FIELD 90->IDON2
   PROMPT 73 17 ""
END

STRINGA 52 2
BEGIN
   KEY "Idoneita' alla donazione 3"
   FIELD 90->IDON3
   PROMPT 76 17 ""
END

STRINGA 53 2
BEGIN
   KEY "Idoneita' alla donazione 4"
   FIELD 90->IDON4
   PROMPT 79 17 ""
END

STRINGA 54
BEGIN
   KEY "Testo"
   PROMPT 1 19 "Situazione donazioni:"
END

NUMERO 55 8
BEGIN
   KEY "Totale donazioni"
   FIELD 90->TOTDON
   PROMPT 1 20 "Tot. "
END

STRINGA 56 11
BEGIN
   KEY "Tipo ultima donazione"
   FIELD 90->TIPOULTDON
   PROMPT 1 21 "Ult.don. "
END

DATA 57 10
BEGIN
   KEY "Data ultima donazione"
   FIELD 90->DATAULTDON
   PROMPT 13 21 ""
END

STRINGA 58 13
BEGIN
   KEY "Testo"
   PROMPT 26 20 "Donazioni SI:"
END

STRINGA 59 13
BEGIN
   KEY "Testo"
   PROMPT 26 21 "Donazioni AF:"
END

STRINGA 60 4
BEGIN
   KEY "Testo"
   PROMPT 42 19 "Tot."
END

STRINGA 61 10
BEGIN
   KEY "Testo"
   PROMPT 48 19 "Ultima"
END

STRINGA 62 4
BEGIN
   KEY "Testo"
   PROMPT 60 19 "Int."
END

STRINGA 63 10
BEGIN
   KEY "Testo"
   PROMPT 66 19 "Prossima"
END

NUMERO 64 3
BEGIN
   KEY "Totale donazioni SI"
   FIELD 90->TOTDONSI
   PROMPT 42 20 ""
END

NUMERO 65 3
BEGIN
   KEY "Totale donazioni AF"
   FIELD 90->TOTDONAF
   PROMPT 42 21 ""
END

DATA 66 10
BEGIN
   KEY "Data ultima donazione SI"
   FIELD 90->DATAULTSI
   PROMPT 48 20 ""
END

DATA 67 10
BEGIN
   KEY "Data ultima donazione AF"
   FIELD 90->DATAULTAF
   PROMPT 48 21 ""
END

NUMERO 68 4
BEGIN
   KEY "Intervallo SI"
   FIELD 90->INTSI
   PROMPT 60 20 ""
END

NUMERO 69 4
BEGIN
   KEY "Intervallo AF"
   FIELD 90->INTAF
   PROMPT 60 21 ""
END

DATA 70 10
BEGIN
   KEY "Data prossima SI"
   FIELD 90->DATAPROSSI
   PROMPT 66 20 ""
END

DATA 71 10
BEGIN
   KEY "Data prossima AF"
   FIELD 90->DATAPROSAF
   PROMPT 66 21 ""
END

STRINGA 72 14
BEGIN
   KEY "Gruppo AB0"
   FIELD 90->GRUPPOAB0
   PROMPT 1 23 "Gruppo AB0 "
END

STRINGA 73 12
BEGIN
   KEY "Rh/AntiD"
   FIELD 90->RHANTID
   PROMPT 16 23 "Rh/AntiD "
END

STRINGA 74 8
BEGIN
   KEY "Kell"
   FIELD 90->KELL
   PROMPT 30 23 "Kell "
END

STRINGA 75 18
BEGIN
   KEY "Fenotipo Rh"
   FIELD 90->FENOTIPORH
   PROMPT 40 23 "Fenotipo Rh "
END

STRINGA 76 12
BEGIN
   KEY "Du"
   FIELD 90->DU
   PROMPT 60 23 "Du "
END

NUMERO 77 13
BEGIN
   KEY "Codice medico"
   FIELD 90->CODMED
   PROMPT 1 24 "Medico "
END

STRINGA 78 25
BEGIN
   KEY "Cognome medico"
   FIELD 97->COGNOME
   FLAGS "H"
   MESSAGE RESET,80|COPY,80
END

STRINGA 79 25
BEGIN
   KEY "Nome medico"
   FIELD 97->NOME
   FLAGS "H"
   MESSAGE APPEND,80
END

STRINGA 80 51
BEGIN
   KEY "Cognome e nome medico"
   PROMPT 15 24 ""
END

STRINGA 81 10
BEGIN
   KEY "Testo"
   PROMPT 1 25 "Mod.conv. "
END

LISTA 83 22
BEGIN
   KEY "Modalita' di convocazione"
   FIELD 90->MODCONV
   PROMPT 11 25 ""
   ITEM "  |"
   ITEM "PO|Postale"
   ITEM "T1|Tel. abitaz."
   ITEM "T2|Tel. lavoro"
   ITEM "T3|Tel. altro"
   ITEM "TE|Telefonica"
   ITEM "IN|Indifferente"
END

END
