USE %IIR
JOIN 6 INTO TIPOA=S0[1,1] CODANAGR=S0[2,6]
JOIN 8 TO 6 INTO CODANAGR=CODANAGR
JOIN 7 TO 6 INTO CODANAGR=CODANAGR
JOIN 13 TO 8 ALIAS 113 INTO COM==COMNASC
JOIN 13 TO 6 ALIAS 213 INTO COM=COMRF(COMRES)
JOIN %BAN ALIAS 14 INTO CODTAB==S7
JOIN %BAN ALIAS 24 INTO CODTAB==S7+S8
JOIN 13 TO 24@ ALIAS 313 INTO COM==S5
JOIN 13 TO 7 ALIAS 413 INTO COM==COMCOST

END
DESCRIPTION
BEGIN
  %IIR->* " "
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  113@->* "Comuni"
  213@->* "Comuni"
  14@->* "BAN"
  24@->* "BAN"
  313@->* "Comuni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
  CARATTERE "H"
  INIZIALE 9 3
END

SECTION BODY ODD 73

STRINGA 1
BEGIN
 KEY "Azienda di credito"
 PROMPT 79 10 ""
 FIELD 14@->S0
END

STRINGA 2
BEGIN
 KEY "Dipendenza"
 PROMPT 79 12 ""
 FIELD 24@->S0
END

STRINGA 3
BEGIN
 KEY "PROVINCIA Dipendenza"
 PROMPT 136 12 ""
 FIELD 313@->PROVCOM
END

STRINGA 4
BEGIN
 KEY "COD. CONCESS."
 PROMPT 23 15 ""
 FIELD S9
END

STRINGA 5
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 34 15 ""
 FIELD 6->COFI
END

LISTA 6
BEGIN
 KEY "Tipo anagrafica"
 FIELD 6->TIPOA
 ITEM "F| " MESSAGE ENABLE,1@|DISABLE,2@
 ITEM "G| " MESSAGE ENABLE,2@|DISABLE,1@
END

STRINGA 7
BEGIN
 KEY "COGNOME"
 PROMPT 11 19 ""
 GROUP 1
 FIELD 6->RAGSOC[1,30]
END

STRINGA 8
BEGIN
 KEY "NOME"
 PROMPT 99 19 ""
 GROUP 1
 FIELD 6->RAGSOC[31,-1]
END

STRINGA 9
BEGIN
 KEY "DENOMINAZIONE O RAGIONE SOCIALE"
 PROMPT 11 19 ""
 GROUP 2
 FIELD 6->RAGSOC
END

GRUPPO 10
BEGIN
 KEY "Persone fisiche"
 PROMPT 0 0 ""
 GROUP  1
END

DATA 11
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 11 21 ""
 GROUP  1
 PICTURE "# #^  # #^  ^# # #"
 FIELD 8->DATANASC
 FORMAT "1444-"
END

DATA 12
BEGIN
 KEY "DATA DI COSTITUZIONE"
 PROMPT 11 21 ""
 GROUP  2
 PICTURE "# #^  # #^  ^# # #"
 FIELD 7->DATACOST
 FORMAT "1444-"
END


STRINGA 13
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 41 21 ""
 GROUP  1
 FIELD 8->SESSO
END

STRINGA 14
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 49 21 ""
 GROUP  1
 FIELD 113@->DENCOM
END

STRINGA 15
BEGIN
 KEY "COMUNE (o Stato estero) DI COSTITUZIONE"
 PROMPT 49 21 ""
 GROUP  2
 FIELD 413@->DENCOM
END

STRINGA 16
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 131 21 ""
 GROUP  1
 FIELD 113@->PROVCOM
END

STRINGA 17
BEGIN
 KEY "PROV. DI COSTITUZIONE (sigla)"
 PROMPT 131 21 ""
 GROUP  2
 FIELD 413@->PROVCOM
END

STRINGA 18
BEGIN
 KEY "DOMICILIO FISCALE: COMUNE"
 PROMPT 21 23 ""
 FIELD 213@->DENCOM
END

STRINGA 19
BEGIN
 KEY "DOMICILIO FISCALE: PROV. (sigla)"
 PROMPT 71 23 ""
 FIELD 213@->PROVCOM
END

STRINGA 20
BEGIN
 KEY "CAMPO PER MESSAGGIO RESIDENZA"
 PROMPT -1 -1 ""
 FLAGS "H"
 FIELD 6->INDRF
 MESSAGE EMPTY SHOW,18@|HIDE,17@
 MESSAGE SHOW,17@|HIDE,18@
END

STRINGA 21
BEGIN
 KEY "DOMICILIO FISCALE: VIA (RF)"
 PROMPT 79 23 ""
 FIELD 6->INDRF
 GROUP 17
END

STRINGA 22
BEGIN
 KEY "DOMICILIO FISCALE: NUMERO CIVICO (RF)"
 PROMPT 131 23 ""
 FIELD 6->CIVRF
 GROUP 17
END

STRINGA 23
BEGIN
 KEY "DOMICILIO FISCALE: VIA (RES)"
 PROMPT 79 23 ""
 GROUP 18
 FLAGS "H"
 FIELD 6->INDRES
END

STRINGA 24
BEGIN
 KEY "DOMICILIO FISCALE: NUMERO CIVICO (RES)"
 PROMPT 131 23 ""
 GROUP 18
 FLAGS "H"
 FIELD 6->CIVRES
END

LISTA 25
BEGIN
 KEY "Righe da compilare "
 FIELD S6
 ITEM "F| " MESSAGE ENABLE,6@|DISABLE,7@|DISABLE,8@
 ITEM "G| " MESSAGE ENABLE,7@|DISABLE,6@|DISABLE,8@
 ITEM "S| " MESSAGE ENABLE,8@|DISABLE,6@|DISABLE,7@
END

GRUPPO 26
BEGIN
 KEY "Righe Persone Fisiche"
 PROMPT 0 0 ""
 GROUP  6
END

NUMERO 27
BEGIN
  KEY "Campo per azzerare il totalizzatore"
  MESSAGE RESET,9@
END

NUMERO 28
BEGIN
 KEY "IRPEF 4007: PERIODO AA (1)"
 PROMPT 42 29 ""
 GROUP  6
 FIELD I0
END

NUMERO 29
BEGIN
 KEY "IRPEF 4007: PERIODO AA (2)"
 PROMPT 48 29 ""
 GROUP  6
 FIELD I1
END

NUMERO 30
BEGIN
 KEY "IRPEF 4007: IMPOSTA"
 PROMPT 66 29 ""
 GROUP  6
 MESSAGE COPY,10@
 PICTURE "###.###.###^^^"
 FIELD R0
END

NUMERO 31
BEGIN
 KEY "IRPEF 4007: INTERESSI"
 PROMPT 89 29 ""
 GROUP  6
 MESSAGE ADD,10@
 PICTURE "###.###.###^^^"
 FIELD R7
END

NUMERO 32
BEGIN
 KEY "IRPEF 4007: TOTALE"
 PROMPT 122 29 ""
 GROUP  6 10
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 33
BEGIN
 KEY "IRPEF 4001: PERIODO AA (1)"
 PROMPT 42 31 ""
 GROUP  6
 FIELD I2
END

NUMERO 34
BEGIN
 KEY "IRPEF 4001: PERIODO AA (2)"
 PROMPT 48 31 ""
 GROUP  6
 FIELD I3
END

NUMERO 35
BEGIN
 KEY "IRPEF 4001: IMPOSTA"
 PROMPT 66 31 ""
 GROUP  6
 MESSAGE COPY,11@
 PICTURE "###.###.###^^^"
 FIELD R1
END

NUMERO 36
BEGIN
 KEY "IRPEF 4001: INTERESSI"
 PROMPT 89 31 ""
 GROUP  6
 MESSAGE ADD,11@
 PICTURE "###.###.###^^^"
 FIELD R8
END

NUMERO 37
BEGIN
 KEY "IRPEF 4001: TOTALE"
 PROMPT 122 31 ""
 GROUP  6 11
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 38
BEGIN
 KEY "ILOR 3353: PERIODO AA (1)"
 PROMPT 42 33 ""
 GROUP  6
 FIELD I4
END

NUMERO 39
BEGIN
 KEY "ILOR 3353: PERIODO AA (2)"
 PROMPT 48 33 ""
 GROUP  6
 FIELD I5
END

NUMERO 40
BEGIN
 KEY "ILOR 3353: IMPOSTA"
 PROMPT 66 33 ""
 GROUP  6
 MESSAGE COPY,12@
 PICTURE "###.###.###^^^"
 FIELD R2
END

NUMERO 41
BEGIN
 KEY "ILOR 3353: INTERESSI"
 PROMPT 89 33 ""
 GROUP  6
 MESSAGE ADD,12@
 PICTURE "###.###.###^^^"
 FIELD R9
END

NUMERO 42
BEGIN
 KEY "ILOR 3353: TOTALE"
 PROMPT 122 33 ""
 GROUP  6 12
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 43
BEGIN
 KEY "ILOR 3350: PERIODO AA (1)"
 PROMPT 42 35 ""
 GROUP  6
 FIELD I6
END

NUMERO 44
BEGIN
 KEY "ILOR 3350: PERIODO AA (2)"
 PROMPT 48 35 ""
 GROUP  6
 FIELD I7
END

NUMERO 45
BEGIN
 KEY "ILOR 3350: IMPOSTA"
 PROMPT 66 35 ""
 GROUP  6
 MESSAGE COPY,13@
 PICTURE "###.###.###^^^"
 FIELD R3
END

NUMERO 46
BEGIN
 KEY "ILOR 3350: INTERESSI"
 PROMPT 89 35 ""
 GROUP  6
 MESSAGE ADD,13@
 PICTURE "###.###.###^^^"
 FIELD R10
END

NUMERO 47
BEGIN
 KEY "ILOR 3350: TOTALE"
 PROMPT 122 35 ""
 GROUP  6 13
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

GRUPPO 48
BEGIN
 KEY "Righe Persone Giuridiche"
 PROMPT 0 0 ""
 GROUP  7
 FLAGS "DH"
END

NUMERO 49
BEGIN
 KEY "IRPEG 2110: PERIODO AA (1)"
 PROMPT 42 37 ""
 GROUP  7
 FLAGS "DH"
 FIELD I0
END

NUMERO 50
BEGIN
 KEY "IRPEG 2110: PERIODO AA (2)"
 PROMPT 48 37 ""
 GROUP  7
 FLAGS "DH"
 FIELD I1
END

NUMERO 51
BEGIN
 KEY "IRPEG 2110: IMPOSTA"
 PROMPT 66 37 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE COPY,10@
 PICTURE "###.###.###^^^"
 FIELD R0
END

NUMERO 52
BEGIN
 KEY "IRPEG 2110: INTERESSI"
 PROMPT 89 37 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE ADD,10@
 PICTURE "###.###.###^^^"
 FIELD R7
END

NUMERO 53
BEGIN
 KEY "IRPEG 2110: TOTALE"
 PROMPT 122 37 ""
 GROUP  7 10
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 54
BEGIN
 KEY "IRPEG 2100: PERIODO AA (1)"
 PROMPT 42 39 ""
 GROUP  7
 FLAGS "DH"
 FIELD I2
END

NUMERO 55
BEGIN
 KEY "IRPEG 2100: PERIODO AA (2)"
 PROMPT 48 39 ""
 GROUP  7
 FLAGS "DH"
 FIELD I3
END

NUMERO 56
BEGIN
 KEY "IRPEG 2100: IMPOSTA"
 PROMPT 66 39 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE COPY,11@
 PICTURE "###.###.###^^^"
 FIELD R1
END

NUMERO 57
BEGIN
 KEY "IRPEG 2100: INTERESSI"
 PROMPT 89 39 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE ADD,11@
 PICTURE "###.###.###^^^"
 FIELD R8
END

NUMERO 58
BEGIN
 KEY "IRPEG 2100: TOTALE"
 PROMPT 122 39 ""
 GROUP  7 11
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 59
BEGIN
 KEY "ILOR 3110: PERIODO AA (1)"
 PROMPT 42 41 ""
 GROUP  7
 FLAGS "DH"
 FIELD I4
END

NUMERO 60
BEGIN
 KEY "ILOR 3110: PERIODO AA (2)"
 PROMPT 48 41 ""
 GROUP  7
 FLAGS "DH"
 FIELD I5
END

NUMERO 61
BEGIN
 KEY "ILOR 3110: IMPOSTA"
 PROMPT 66 41 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE COPY,12@
 PICTURE "###.###.###^^^"
 FIELD R2
END

NUMERO 62
BEGIN
 KEY "ILOR 3110: INTERESSI"
 PROMPT 89 41 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE ADD,12@
 PICTURE "###.###.###^^^"
 FIELD R9
END

NUMERO 63
BEGIN
 KEY "ILOR 3110: TOTALE"
 PROMPT 122 41 ""
 GROUP  7 12
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 64
BEGIN
 KEY "ILOR 3000: PERIODO AA (1)"
 PROMPT 42 43 ""
 GROUP  7
 FLAGS "DH"
 FIELD I6
END

NUMERO 65
BEGIN
 KEY "ILOR 3000: PERIODO AA (2)"
 PROMPT 48 43 ""
 GROUP  7
 FLAGS "DH"
 FIELD I7
END

NUMERO 66
BEGIN
 KEY "ILOR 3000: IMPOSTA"
 PROMPT 66 43 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE COPY,13@
 PICTURE "###.###.###^^^"
 FIELD R3
END

NUMERO 67
BEGIN
 KEY "ILOR 3000: INTERESSI"
 PROMPT 89 43 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE ADD,13@
 PICTURE "###.###.###^^^"
 FIELD R10
END

NUMERO 68
BEGIN
 KEY "ILOR 3000: TOTALE"
 PROMPT 122 43 ""
 GROUP  7 13
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

GRUPPO -69
BEGIN
 KEY "Righe Societa' di Persone"
 PROMPT 0 0 ""
 GROUP  8
 FLAGS "DH"
END

NUMERO 70
BEGIN
 KEY "ILOR 3303: PERIODO AA (1)"
 PROMPT 42 45 ""
 GROUP  8
 FLAGS "DH"
 FIELD I4
END

NUMERO 71
BEGIN
 KEY "ILOR 3303: PERIODO AA (2)"
 PROMPT 48 45 ""
 GROUP  8
 FLAGS "DH"
 FIELD I5
END

NUMERO 72
BEGIN
 KEY "ILOR 3303: IMPOSTA"
 PROMPT 66 45 ""
 GROUP  8
 FLAGS "DH"
 MESSAGE COPY,12@
 PICTURE "###.###.###^^^"
 FIELD R2
END

NUMERO 73
BEGIN
 KEY "ILOR 3303: INTERESSI"
 PROMPT 89 45 ""
 GROUP  8
 FLAGS "DH"
 MESSAGE ADD,12@
 PICTURE "###.###.###^^^"
 FIELD R9
END

NUMERO 74
BEGIN
 KEY "ILOR 3303: TOTALE"
 PROMPT 122 45 ""
 GROUP  8 12
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 75
BEGIN
 KEY "ILOR 3300: PERIODO AA (1)"
 PROMPT 42 47 ""
 GROUP  8
 FLAGS "DH"
 FIELD I6
END

NUMERO 76
BEGIN
 KEY "ILOR 3300: PERIODO AA (2)"
 PROMPT 48 47 ""
 GROUP  8
 FLAGS "DH"
 FIELD I7
END

NUMERO 77
BEGIN
 KEY "ILOR 3300: IMPOSTA"
 PROMPT 66 47 ""
 GROUP  8
 FLAGS "DH"
 MESSAGE COPY,13@
 PICTURE "###.###.###^^^"
 FIELD R3
END

NUMERO 78
BEGIN
 KEY "ILOR 3300: INTERESSI"
 PROMPT 89 47 ""
 GROUP  8
 FLAGS "DH"
 MESSAGE ADD,13@
 PICTURE "###.###.###^^^"
 FIELD R10
END

NUMERO 79
BEGIN
 KEY "ILOR 3300: TOTALE"
 PROMPT 122 47 ""
 GROUP  8 13
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

GRUPPO 80
BEGIN
 KEY "IMPOSTE SOSTITUTIVE E ALTRI CODICI TRIBUTO"
 PROMPT 0 0 ""
END

STRINGA 81
BEGIN
 KEY "CODICE TRIBUTO 1"
 PROMPT 27 53 ""
 FIELD S3
END

NUMERO 82
BEGIN
 KEY "TRIBUTO 1: PERIODO AA (1)"
 PROMPT 42 53 ""
 FIELD I8
END

NUMERO 83
BEGIN
 KEY "TRIBUTO 1: PERIODO AA (2)"
 PROMPT 48 53 ""
 FIELD I9
END

NUMERO 84
BEGIN
 KEY "TRIBUTO 1: IMPORTO"
 PROMPT 66 53 ""
 MESSAGE COPY,14@
 PICTURE "###.###.###^^^"
 FIELD R4
END

NUMERO 85
BEGIN
 KEY "TRIBUTO 1: INTERESSI"
 PROMPT 89 53 ""
 MESSAGE ADD,14@
 PICTURE "###.###.###^^^"
 FIELD R11
END

NUMERO 86
BEGIN
 KEY "TRIBUTO 1: TOTALE"
 PROMPT 122 53 ""
 GROUP  14
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

STRINGA 87
BEGIN
 KEY "CODICE TRIBUTO 2"
 PROMPT 27 55 ""
 FIELD S4
END

NUMERO 88
BEGIN
 KEY "TRIBUTO 2: PERIODO AA (1)"
 PROMPT 42 55 ""
 FIELD I10
END

NUMERO 89
BEGIN
 KEY "TRIBUTO 2: PERIODO AA (2)"
 PROMPT 48 55 ""
 FIELD I11
END

NUMERO 90
BEGIN
 KEY "TRIBUTO 2: IMPORTO"
 PROMPT 66 55 ""
 MESSAGE COPY,15@
 PICTURE "###.###.###^^^"
 FIELD R5
END

NUMERO 91
BEGIN
 KEY "TRIBUTO 2: INTERESSI"
 PROMPT 89 55 ""
 MESSAGE ADD,15@
 PICTURE "###.###.###^^^"
 FIELD R12
END

NUMERO 92
BEGIN
 KEY "TRIBUTO 2: TOTALE"
 PROMPT 122 55 ""
 GROUP  15
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

STRINGA 93
BEGIN
 KEY "CODICE TRIBUTO 3"
 PROMPT 27 57 ""
 FIELD S5
END

NUMERO 94
BEGIN
 KEY "TRIBUTO 3: PERIODO AA (1)"
 PROMPT 42 57 ""
 FIELD I12
END

NUMERO 95
BEGIN
 KEY "TRIBUTO 3: PERIODO AA (2)"
 PROMPT 48 57 ""
 FIELD I13
END

NUMERO 96
BEGIN
 KEY "TRIBUTO 3: IMPORTO"
 PROMPT 66 57 ""
 MESSAGE COPY,16@
 PICTURE "###.###.###^^^"
 FIELD R6
END

NUMERO 97
BEGIN
 KEY "TRIBUTO 3: INTERESSI"
 PROMPT 89 57 ""
 MESSAGE ADD,16@
 PICTURE "###.###.###^^^"
 FIELD R13
END

NUMERO 98
BEGIN
 KEY "TRIBUTO 3: TOTALE"
 PROMPT 122 57 ""
 GROUP  16
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 99
BEGIN
 KEY "TOTALE (in lettere)"
 PROMPT 14 60 ""
 GROUP  9
 PICTURE "LETTERE"
END

NUMERO 100
BEGIN
 KEY "TOTALE (in cifre)"
 PROMPT 122 60 ""
 GROUP  9
 PICTURE "###.###.###^^^"
END

DATA 101
BEGIN
 KEY "DATA: giorno - mese - anno"
 PROMPT 85 65 ""
 PICTURE "@  @^ @   @^  @  @"
 FIELD D0
 FORMAT "1442-"
END

STRINGA 102
BEGIN
 KEY "CODICE AZIENDA"
 PROMPT 113 65 ""
 FIELD S7
END

STRINGA 103
BEGIN
 KEY "CODICE DIPENDENZA"
 PROMPT 131 65 ""
 FIELD S8
END

END

END
