USE %IRF
JOIN 6 ALIAS 16 INTO TIPOA=S0[1,1] CODANAGR=S0[2,6]
JOIN 8 TO 16@ ALIAS 18 INTO CODANAGR=CODANAGR
JOIN 13 TO 18@ ALIAS 113 INTO COM=COMNASC
JOIN 13 TO 16@ ALIAS 213 INTO COM=COMRES
JOIN 6 ALIAS 26 INTO TIPOA=S1[1,1] CODANAGR=S1[2,6]
JOIN 8 TO 26@ ALIAS 28 INTO CODANAGR=CODANAGR
JOIN 13 TO 28@ ALIAS 313 INTO COM=COMNASC
JOIN %BAN ALIAS 14 INTO CODTAB=S7
JOIN %BAN ALIAS 24 INTO CODTAB=S7+S8
JOIN 13 TO 24@ ALIAS 413 INTO COM=S5
JOIN %UCS TO 213@ ALIAS 34 INTO CODTAB==UFFCSERV
JOIN %UID TO 213@ ALIAS 44 INTO CODTAB==UFFIIDD1
JOIN 13 TO 34@ ALIAS 513 INTO COM=S6
JOIN 13 TO 44@ ALIAS 613 INTO COM=S6

END
DESCRIPTION
BEGIN
  %IRF->* " "
  16@->* "Anagrafica persone fisiche e giuridiche"
  18@->* "Anagrafica persone fisiche"
  113@->* "Comuni"
  213@->* "Comuni"
  26@->* "Anagrafica persone fisiche e giuridiche"
  28@->* "Anagrafica persone fisiche"
  313@->* "Comuni"
  14@->* "BAN"
  24@->* "BAN"
  413@->* "Comuni"
  34@->* "UCS"
  44@->* "UID"
  513@->* "Comuni"
  613@->* "Comuni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
END

SECTION BODY ODD 72

STRINGA 1
BEGIN
 KEY "Azienda di credito"
 PROMPT 67 7 ""
 FIELD 14@->S0
END

STRINGA 2
BEGIN
 KEY "Dipendenza"
 PROMPT 67 9 ""
 FIELD 24@->S0
END

STRINGA 3
BEGIN
 KEY "PROVINCIA Dipendenza"
 PROMPT 125 9 ""
 FIELD 413@->PROVCOM
END

GRUPPO 4
BEGIN
 KEY "DATI DICHIARANTE"
END

STRINGA 5
BEGIN
 KEY "COGNOME"
 PROMPT 9 12 ""
 FIELD 16@->RAGSOC[1,30]
END

STRINGA 6
BEGIN
 KEY "NOME"
 PROMPT 58 12 ""
 FIELD 16@->RAGSOC[31,0]
END

DATA 7
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 94 12 ""
 PICTURE "# #^ # #^  ^# # #"
 FIELD 18@->DATANASC
 FORMAT "1444-"
END

STRINGA 8
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 118 12 ""
 FIELD 18@->SESSO
END

STRINGA 9
BEGIN
 KEY "STATO CIVILE"
 PROMPT 125 12 ""
 FIELD 18@->STATCIV
END

STRINGA 10
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 9 14 ""
 FIELD 113@->DENCOM
END

STRINGA 11
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 58 14 ""
 FIELD 113@->PROVCOM
END

STRINGA 12
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 75 14 ""
 PICTURE "#  #  #   #  #  #    #  #  #    #  #  #   #  #  #  #"
 FIELD 16@->COFI
END

STRINGA 13
BEGIN
 KEY "RESIDENTE IN: COMUNE"
 PROMPT 26 16 ""
 FIELD 213@->DENCOM
END

STRINGA 14
BEGIN
 KEY "RESIDENTE IN: PROV. (sigla)"
 PROMPT 58 16 ""
 FIELD 213@->PROVCOM
END

STRINGA 15
BEGIN
 KEY "RESIDENTE IN: VIA"
 PROMPT 74 16 ""
 FIELD 16@->INDRES
END

STRINGA 16
BEGIN
 KEY "RESIDENTE IN: NUMERO CIVICO"
 PROMPT 126 16 ""
 FIELD 16@->CIVRES
END

GRUPPO 17
BEGIN
 KEY "DATI CONIUGE"
END

STRINGA 18
BEGIN
 KEY "COGNOME"
 PROMPT 9 19 ""
 FIELD 26@->RAGSOC[1,30]
END

STRINGA 19
BEGIN
 KEY "NOME"
 PROMPT 58 19 ""
 FIELD 26@->RAGSOC[31,0]
END

DATA 20
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 100 19 ""
 PICTURE "# #^  # #^  ^# # #"
 FIELD 28@->DATANASC
 FORMAT "1444-"
END

STRINGA 21
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 124 19 ""
 FIELD 28@->SESSO
END

STRINGA 22
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 9 21 ""
 FIELD 313@->DENCOM
END

STRINGA 23
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 58 21 ""
 FIELD 313@->PROVCOM
END

STRINGA 24
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 75 21 ""
 PICTURE "#  #  #   #  #  #    #  #  #    #  #  #   #  #  #  #"
 FIELD 26@->COFI
END

NUMERO 25
BEGIN
 KEY "IRPEF: Saldo anno"
 PROMPT 47 25 ""
 PICTURE "^^#  #"
 FIELD I0
END

NUMERO 26
BEGIN
 KEY "IRPEF: Saldo in lettere"
 PROMPT 15 27 ""
 PICTURE "LETTERE"
 FIELD R0
END

NUMERO 27
BEGIN
 KEY "IRPEF: Saldo in cifre"
 PROMPT 109 27 ""
 PICTURE "###.###.###^^^"
 FIELD R0
END

NUMERO 28
BEGIN
 KEY "IRPEF: Acconto anno"
 PROMPT 47 29 ""
 PICTURE "^^#  #"
 FIELD I1
END

NUMERO 29
BEGIN
 KEY "IRPEF: Acconto in lettere"
 PROMPT 15 31 ""
 PICTURE "LETTERE"
 FIELD R1
END

NUMERO 30
BEGIN
 KEY "IRPEF: Acconto in cifre"
 PROMPT 109 31 ""
 PICTURE "###.###.###^^^"
 FIELD R1
END

NUMERO 31
BEGIN
 KEY "ILOR: Saldo anno"
 PROMPT 47 36 ""
 PICTURE "^^#  #"
 FIELD I2
END

NUMERO 32
BEGIN
 KEY "ILOR: Saldo dichiarante"
 PROMPT 95 38 ""
 PICTURE "###.###.###^^^"
 FIELD R2
 MESSAGE COPY,10@
END

NUMERO 33
BEGIN
 KEY "ILOR: Saldo coniuge"
 PROMPT 95 41 ""
 PICTURE "###.###.###^^^"
 FIELD R3
 MESSAGE ADD,10@
END

NUMERO 34
BEGIN
 KEY "ILOR: Saldo in lettere"
 PROMPT 15 45 ""
 GROUP  10
 PICTURE "LETTERE"
END

NUMERO 35
BEGIN
 KEY "ILOR: Saldo in cifre"
 PROMPT 109 45 ""
 GROUP  10
 PICTURE "###.###.###^^^"
END

NUMERO 36
BEGIN
 KEY "ILOR: Acconto anno"
 PROMPT 47 47 ""
 PICTURE "^^#  #"
 FIELD I3
END

NUMERO 37
BEGIN
 KEY "ILOR: Acconto dichiarante"
 PROMPT 95 49 ""
 PICTURE "###.###.###^^^"
 FIELD R4
 MESSAGE COPY,11@
END

NUMERO 38
BEGIN
 KEY "ILOR: Acconto coniuge"
 PROMPT 95 52 ""
 PICTURE "###.###.###^^^"
 FIELD R5
 MESSAGE ADD,11@
END

NUMERO 39
BEGIN
 KEY "ILOR: Acconto in lettere"
 PROMPT 15 56 ""
 GROUP  11
 PICTURE "LETTERE"
END

NUMERO 40
BEGIN
 KEY "ILOR: Acconto in cifre"
 PROMPT 109 56 ""
 GROUP  11
 PICTURE "###.###.###^^^"
END

STRINGA 41
BEGIN
 KEY "CENTRO SERVIZI: Provincia"
 PROMPT 5 63 ""
 FIELD 513@->PROVCOM
 FIELD 613@->PROVCOM
END

STRINGA 42
BEGIN
 KEY "CENTRO SERVIZI"
 PROMPT 17 63 ""
 FIELD 34@->S0
 FIELD 44@->S0
END

DATA 43
BEGIN
 KEY "DATA: giorno - mese - anno"
 PROMPT 70 63 ""
 PICTURE "@  @^  @  @^^^@  @"
 FIELD D0
 FORMAT "1444-"
END

STRINGA 44
BEGIN
 KEY "CODICE AZIENDA"
 PROMPT 92 63 ""
 FIELD S7
END

STRINGA 45
BEGIN
 KEY "CODICE DIPENDENZA"
 PROMPT 115 63 ""
 FIELD S8
END

END

END
