USE %GEN
JOIN 6 ALIAS 16 INTO TIPOA=S0[1,1] CODANAGR=S0[2,6]
JOIN 8 TO 16@ ALIAS 18 INTO CODANAGR=CODANAGR
JOIN 7 TO 16@ ALIAS 17 INTO CODANAGR=CODANAGR
JOIN 13 TO 18@ ALIAS 113 INTO COM==COMNASC
JOIN 13 TO 16@ ALIAS 213 INTO COM==COMRF(COMRES)
JOIN 13 TO 17@ ALIAS 413 INTO COM==COMCOST
JOIN 6 ALIAS 26 INTO TIPOA=S1[1,1] CODANAGR=S1[2,6]
JOIN 8 TO 16@ ALIAS 28 INTO CODANAGR=CODANAGR
JOIN 13 TO 18@ ALIAS 313 INTO COM==COMNASC
JOIN %UCC ALIAS 14 INTO CODTAB=S9

END
DESCRIPTION
BEGIN
  %GEN->* "GEN"
  16@->* "Anagrafica persone fisiche e giuridiche"
  18@->* "Anagrafica persone fisiche"
  113@->* "Comuni"
  213@->* "Comuni"
  26@->* "Anagrafica persone fisiche e giuridiche"
  28@->* "Anagrafica persone fisiche"
  313@->* "Comuni"
  14@->* "UCC"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
  CARTATTERE "X"
  INIZIALE 6 5
  FINALE 131 5
END

SECTION BODY ODD 72

STRINGA 1
BEGIN
 KEY "CONCESSIONE DI"
 PROMPT 71 8 ""
 FIELD 14@->S0
END

GRUPPO 2
BEGIN
 KEY "DATI DICHIARANTE (ALIAS 16 e 18)"
END

LISTA 3
BEGIN
 KEY "Tipo anagrafica"
 FIELD 16@->TIPOA
 ITEM "F| " MESSAGE ENABLE,3@|DISABLE,4@
 ITEM "G| " MESSAGE ENABLE,4@|DISABLE,3@
END

STRINGA 4
BEGIN
 KEY "RAGIONE SOCIALE PERSONA GIURIDICA"
 PROMPT 12 14 ""
 GROUP 4
 FIELD 16@->RAGSOC[1,58]
END

STRINGA 5
BEGIN
 KEY "COGNOME"
 PROMPT 12 14 ""
 GROUP 3
 FIELD 16@->RAGSOC[1,30]
END

STRINGA 6
BEGIN
 KEY "NOME"
 PROMPT 64 14 ""
 GROUP 3
 FIELD 16@->RAGSOC[31,0]
END

DATA 7
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 97 14 ""
 GROUP 3
 PICTURE "# #^ # #^^ # # #"
 FIELD 18@->DATANASC
 FORMAT "1444-"
END

DATA 8
BEGIN
 KEY "DATA DI COSTITUZIONE"
 PROMPT 97 14 ""
 GROUP 4
 PICTURE "# #^ # #^^ # # #"
 FIELD 17@->DATACOST
 FORMAT "1444-"
END

STRINGA 9
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 122 14 ""
 GROUP 3
 FIELD 18@->SESSO
END

STRINGA 10
BEGIN
 KEY "STATO CIVILE"
 PROMPT 131 14 ""
 GROUP 3
 FIELD 18@->STATCIV
END

STRINGA 11
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 12 16 ""
 GROUP 3
 FIELD 113@->DENCOM
END

STRINGA 12
BEGIN
 KEY "COMUNE (o Stato estero) DI COSTITUZIONE"
 PROMPT 12 16 ""
 GROUP 4
 FIELD 413@->DENCOM
END

STRINGA 13
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 72 16 ""
 GROUP 3
 FIELD 113@->PROVCOM
END

STRINGA 14
BEGIN
 KEY "PROV. DI COSTITUZIONE (sigla)"
 PROMPT 72 16 ""
 GROUP 4
 FIELD 413@->PROVCOM
END

STRINGA 15
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 81 16 ""
 PICTURE "# # # # # # # # # # # # # # # #"
 FIELD 16@->COFI
END

STRINGA 16
BEGIN
 KEY "RESIDENTE IN: COMUNE"
 PROMPT 28 18 ""
 FIELD 213@->DENCOM
END

STRINGA 17
BEGIN
 KEY "RESIDENTE IN: PROV. (sigla)"
 PROMPT 72 18 ""
 FIELD 213@->PROVCOM
END

STRINGA 18
BEGIN
 KEY "CAMPO PER MESSAGGIO RESIDENZA"
 PROMPT -1 -1 ""
 FLAGS "H"
 FIELD 16@->INDRF
 MESSAGE EMPTY SHOW,18@|HIDE,17@
 MESSAGE SHOW,17@|HIDE,18@
END

STRINGA 19
BEGIN
 KEY "RESIDENTE IN: VIA (RF)"
 PROMPT 81 18 ""
 FIELD 16@->INDRF
 GROUP 17
END

STRINGA 20
BEGIN
 KEY "RESIDENTE IN: NUMERO CIVICO (RF)"
 PROMPT 127 18 ""
 FIELD 16@->CIVRF
 GROUP 17
END

STRINGA 21
BEGIN
 KEY "RESIDENTE IN: VIA (RES)"
 FLAGS "H"
 PROMPT 81 18 ""
 FIELD 16@->INDRES
 GROUP 18
END

STRINGA 22
BEGIN
 KEY "RESIDENTE IN: NUMERO CIVICO (RES)"
 FLAGS "H"
 PROMPT 127 18 ""
 FIELD 16@->CIVRES
 GROUP 18
END

GRUPPO 23
BEGIN
 KEY "DATI CONIUGE (ALIAS 26 e 28)"
END

STRINGA 24
BEGIN
 KEY "COGNOME"
 PROMPT 12 21 ""
 GROUP 3
 FIELD 26@->RAGSOC[1,30]
END

STRINGA 25
BEGIN
 KEY "NOME"
 PROMPT 64 21 ""
 GROUP 3
 FIELD 26@->RAGSOC[31,0]
END

DATA 26
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 105 21 ""
 GROUP 3
 PICTURE "# #^ # #^^ # # #"
 FIELD 28@->DATANASC
 FORMAT "1444-"
END

STRINGA 27
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 131 21 ""
 GROUP 3
 FIELD 28@->SESSO
END

STRINGA 28
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 12 23 ""
 GROUP 3
 FIELD 313@->DENCOM
END

STRINGA 29
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 72 23 ""
 GROUP 3
 FIELD 313@->PROVCOM
END

STRINGA 30
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 81 23 ""
 GROUP 3
 PICTURE "# # # # # # # # # # # # # # # #"
 FIELD 26@->COFI
END

NUMERO 31
BEGIN
 KEY "PERIODO DI RIFERIMENTO 1"
 PROMPT 77 29 ""
 PICTURE "# #"
 FIELD I0
END

NUMERO 32
BEGIN
 KEY "PERIODO DI RIFERIMENTO 2"
 PROMPT 94 29 ""
 PICTURE "# #"
 FIELD I1
END

STRINGA 33
BEGIN
 KEY "CODICE TRIBUTO"
 PROMPT 9 33 ""
 FIELD S2
END

NUMERO 34
BEGIN
 KEY "GRUPPO"
 PROMPT 32 33 ""
 FIELD I2
END

NUMERO 35
BEGIN
 KEY "IMPORTO TRIBUTO"
 PROMPT 57 33 ""
 MESSAGE COPY,1@
 PICTURE "###.###.###.###^^^"
 FIELD R0
END

NUMERO 36
BEGIN
 KEY "INTERESSI"
 PROMPT 86 33 ""
 MESSAGE ADD,1@
 PICTURE "###.###.###.###^^^"
 FIELD R1
END

NUMERO 37
BEGIN
 KEY "TOTALE (a)"
 PROMPT 115 33 ""
 GROUP  1
 MESSAGE COPY,2@
 PICTURE "###.###.###.###^^^"
END

STRINGA 38
BEGIN
 KEY "CODICE TRIBUTO SOPRATASSA"
 PROMPT 9 39 ""
 FIELD S3
END

NUMERO 39
BEGIN
 KEY "GRUPPO SOPRATASSA"
 PROMPT 21 39 ""
 FIELD I3
END

NUMERO 40
BEGIN
 KEY "IMPORTO (b)"
 PROMPT 41 39 ""
 MESSAGE ADD,2@
 PICTURE "###.###.###.###^^^"
 FIELD R2
END

NUMERO 41
BEGIN
 KEY "TOTALE DA VERSARE (a+b)"
 PROMPT 115 43 ""
 GROUP  2
 PICTURE "###.###.###.###^^^"
END

STRINGA 42
BEGIN
 KEY "COD. CONTR. Dichiarante (Esattoria Prov.)"
 PROMPT 6 57 ""
 FIELD 16@->CODCONTR[1,2]
END

STRINGA 43
BEGIN
 KEY "COD. CONTR. Dichiarante (Esattoria Com.)"
 PROMPT 14 57 ""
 FIELD 16@->CODCONTR[3,5]
END

STRINGA 44
BEGIN
 KEY "COD. CONTR. Dichiarante"
 PROMPT 30 57 ""
 FIELD 16@->CODCONTR[6,13]
END

STRINGA 45
BEGIN
 KEY "COD. CONTR. Dichiarante (C.c.)"
 PROMPT 50 57 ""
 FIELD 16@->CODCONTR[14,15]
END

STRINGA 46
BEGIN
 KEY "COD. CONTR. Coniuge (Esattoria Prov.)"
 PROMPT 6 60 ""
 GROUP 3
 FIELD 26@->CODCONTR[1,2]
END

STRINGA 47
BEGIN
 KEY "COD. CONTR. Coniuge (Esattoria Com.)"
 PROMPT 14 60 ""
 GROUP 3
 FIELD 26@->CODCONTR[3,5]
END

STRINGA 48
BEGIN
 KEY "COD. CONTR. Coniuge"
 PROMPT 30 60 ""
 GROUP 3
 FIELD 26@->CODCONTR[6,13]
END

STRINGA 49
BEGIN
 KEY "COD. CONTR. Coniuge (C.c.)"
 PROMPT 50 60 ""
 GROUP 3
 FIELD 26@->CODCONTR[14,15]
END

STRINGA 50
BEGIN
 KEY "CAMPO PER MESSAGGIO"
 MESSAGE _CENSERoUFFIMP,213@,16@,501,502
END

STRINGA 501
BEGIN
 KEY "CENTRO SERVIZI: Provincia e Denominazione"
 PROMPT 75 61 ""
END

STRINGA 502
BEGIN
 KEY "CENTRO SERVIZI: Codice"
 PROMPT 122 61 ""
 PICTURE "#  #  #"
END

DATA 51
BEGIN
 KEY "DATA: giorno - mese - anno"
 PROMPT 22 66 ""
 PICTURE "@ @^   @ @^ ^^@ @"
 FIELD D0
 FORMAT "1444-"
END

END

END
