USE %IIR
JOIN %UCC ALIAS 14 INTO CODTAB=S9
JOIN 6 INTO TIPOA=S0[1,1] CODANAGR=S0[2,6]
JOIN 8 TO 6 INTO CODANAGR=CODANAGR
JOIN 7 TO 6 INTO CODANAGR=CODANAGR
JOIN 13 TO 8 ALIAS 113 INTO COM==COMNASC
JOIN 13 TO 6 ALIAS 213 INTO COM=COMRF(COMRES)
JOIN 13 TO 7 ALIAS 413 INTO COM==COMCOST

END
DESCRIPTION
BEGIN
  %IIR->* "Tabella deleghe IRPEF"
  14@->* "Tabella Centro Servizi"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  113@->* "Comune di nascita"
  213@->* "Comune di residenza fiscale"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
  CARATTERE "H"
  INIZIALE 9 1
END

SECTION BODY ODD 73

STRINGA 1
BEGIN
 KEY "CONCESSIONE DI"
 PROMPT 56 7 ""
 FIELD 14@->S0
END

STRINGA 2
BEGIN
 KEY "COD. CONCESS."
 PROMPT 23 13 ""
 FIELD S9
END

STRINGA 3
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 34 13 ""
 FIELD 6->COFI
END

LISTA 4
BEGIN
 KEY "Tipo anagrafica"
 FIELD 6->TIPOA
 ITEM "F| " MESSAGE ENABLE,1@|DISABLE,2@
 ITEM "G| " MESSAGE ENABLE,2@|DISABLE,1@
END

STRINGA 5
BEGIN
 KEY "COGNOME"
 PROMPT 11 17 ""
 GROUP 1
 FIELD 6->RAGSOC[1,30]
END

STRINGA 6
BEGIN
 KEY "NOME"
 PROMPT 98 17 ""
 GROUP 1
 FIELD 6->RAGSOC[31,-1]
END

STRINGA 7
BEGIN
 KEY "DENOMINAZIONE O RAGIONE SOCIALE"
 PROMPT 11 17 ""
 GROUP 2
 FIELD 6->RAGSOC
END

GRUPPO 8
BEGIN
 KEY "Persone fisiche"
 PROMPT 0 0 ""
 GROUP  1
END

DATA 9
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 11 19 ""
 GROUP  1
 PICTURE "# #^  # #^   ^# # #"
 FIELD 8->DATANASC
 FORMAT "1444-"
END

DATA 10
BEGIN
 KEY "DATA DI COSTITUZIONE"
 PROMPT 11 19 ""
 GROUP  2
 PICTURE "# #^  # #^   ^# # #"
 FIELD 7->DATACOST
 FORMAT "1444-"
END

STRINGA 11
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 41 19 ""
 GROUP  1
 FIELD 8->SESSO
END

STRINGA 12
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 49 19 ""
 GROUP  1
 FIELD 113@->DENCOM
END

STRINGA 13 
BEGIN
 KEY "COMUNE (o Stato estero) DI COSTITUZIONE"
 PROMPT 49 19 ""
 GROUP  2
 FIELD 413@->DENCOM
END

STRINGA 14
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 131 19 ""
 GROUP  1
 FIELD 113@->PROVCOM
END

STRINGA 15
BEGIN
 KEY "PROV. DI COSTITUZIONE (sigla)"
 PROMPT 131 19 ""
 GROUP  2
 FIELD 413@->PROVCOM
END

STRINGA 16
BEGIN
 KEY "DOMICILIO FISCALE: COMUNE"
 PROMPT 21 21 ""
 FIELD 213@->DENCOM
END

STRINGA 17
BEGIN
 KEY "DOMICILIO FISCALE: PROV. (sigla)"
 PROMPT 71 21 ""
 FIELD 213@->PROVCOM
END

STRINGA 18
BEGIN
 KEY "CAMPO PER MESSAGGIO RESIDENZA"
 PROMPT -1 -1 ""
 FLAGS "H"
 FIELD 6->INDRF
 MESSAGE EMPTY SHOW,18@|HIDE,17@
 MESSAGE SHOW,17@|HIDE,18@
END

STRINGA 19
BEGIN
 KEY "DOMICILIO FISCALE: VIA (RF)"
 PROMPT 79 21 ""
 FIELD 6->INDRF
 GROUP 17
END

STRINGA 20
BEGIN
 KEY "DOMICILIO FISCALE: NUMERO CIVICO (RF)"
 PROMPT 131 21 ""
 FIELD 6->CIVRF
 GROUP 17
END

STRINGA 21
BEGIN
 KEY "DOMICILIO FISCALE: VIA (RES)"
 PROMPT 79 21 ""
 FLAGS "H"
 GROUP 18
 FIELD 6->INDRES
END

STRINGA 22
BEGIN
 KEY "DOMICILIO FISCALE: NUMERO CIVICO (RES)"
 PROMPT 131 21 ""
 FLAGS "H"
 GROUP 18
 FIELD 6->CIVRES
END

LISTA 23
BEGIN
 KEY "Righe da compilare "
 FIELD S6
 ITEM "F| " MESSAGE ENABLE,6@|DISABLE,7@|DISABLE,8@
 ITEM "G| " MESSAGE ENABLE,7@|DISABLE,6@|DISABLE,8@
 ITEM "S| " MESSAGE ENABLE,8@|DISABLE,6@|DISABLE,7@
END

GRUPPO 24
BEGIN
 KEY "Righe Persone Fisiche"
 PROMPT 0 0 ""
 GROUP  6
END

NUMERO 25
BEGIN
  KEY "Campo per azzerare il totalizzatore"
  MESSAGE RESET,9@
END

NUMERO 26
BEGIN
 KEY "IRPEF 4007: PERIODO AA (1)"
 PROMPT 43 27 ""
 GROUP  6
 FIELD I0
END

NUMERO 27
BEGIN
 KEY "IRPEF 4007: PERIODO AA (2)"
 PROMPT 49 27 ""
 GROUP  6
 FIELD I1
END

NUMERO 28
BEGIN
 KEY "IRPEF 4007: IMPOSTA"
 PROMPT 67 27 ""
 GROUP  6
 MESSAGE COPY,10@
 PICTURE "###.###.###^^^"
 FIELD R0
END

NUMERO 29
BEGIN
 KEY "IRPEF 4007: INTERESSI"
 PROMPT 89 27 ""
 GROUP  6
 MESSAGE ADD,10@
 PICTURE "###.###.###^^^"
 FIELD R7
END

NUMERO 30
BEGIN
 KEY "IRPEF 4007: TOTALE"
 PROMPT 122 27 ""
 GROUP  6 10
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 31
BEGIN
 KEY "IRPEF 4001: PERIODO AA (1)"
 PROMPT 43 29 ""
 GROUP  6
 FIELD I2
END

NUMERO 32
BEGIN
 KEY "IRPEF 4001: PERIODO AA (2)"
 PROMPT 49 29 ""
 GROUP  6
 FIELD I3
END

NUMERO 33
BEGIN
 KEY "IRPEF 4001: IMPOSTA"
 PROMPT 67 29 ""
 GROUP  6
 MESSAGE COPY,11@
 PICTURE "###.###.###^^^"
 FIELD R1
END

NUMERO 34
BEGIN
 KEY "IRPEF 4001: INTERESSI"
 PROMPT 89 29 ""
 GROUP  6
 MESSAGE ADD,11@
 PICTURE "###.###.###^^^"
 FIELD R8
END

NUMERO 35
BEGIN
 KEY "IRPEF 4001: TOTALE"
 PROMPT 122 29 ""
 GROUP  6 11
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 36
BEGIN
 KEY "ILOR 3353: PERIODO AA (1)"
 PROMPT 43 31 ""
 GROUP  6
 FIELD I4
END

NUMERO 37
BEGIN
 KEY "ILOR 3353: PERIODO AA (2)"
 PROMPT 49 31 ""
 GROUP  6
 FIELD I5
END

NUMERO 38
BEGIN
 KEY "ILOR 3353: IMPOSTA"
 PROMPT 67 31 ""
 GROUP  6
 MESSAGE COPY,12@
 PICTURE "###.###.###^^^"
 FIELD R2
END

NUMERO 39
BEGIN
 KEY "ILOR 3353: INTERESSI"
 PROMPT 89 31 ""
 GROUP  6
 MESSAGE ADD,12@
 PICTURE "###.###.###^^^"
 FIELD R9
END

NUMERO 40
BEGIN
 KEY "ILOR 3353: TOTALE"
 PROMPT 122 31 ""
 GROUP  6 12
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 41
BEGIN
 KEY "ILOR 3350: PERIODO AA (1)"
 PROMPT 43 33 ""
 GROUP  6
 FIELD I6
END

NUMERO 42
BEGIN
 KEY "ILOR 3350: PERIODO AA (2)"
 PROMPT 49 33 ""
 GROUP  6
 FIELD I7
END

NUMERO 43
BEGIN
 KEY "ILOR 3350: IMPOSTA"
 PROMPT 67 33 ""
 GROUP  6
 MESSAGE COPY,13@
 PICTURE "###.###.###^^^"
 FIELD R3
END

NUMERO 44
BEGIN
 KEY "ILOR 3350: INTERESSI"
 PROMPT 89 33 ""
 GROUP  6
 MESSAGE ADD,13@
 PICTURE "###.###.###^^^"
 FIELD R10
END

NUMERO 45
BEGIN
 KEY "ILOR 3350: TOTALE"
 PROMPT 122 33 ""
 GROUP  6 13
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

GRUPPO 46
BEGIN
 KEY "Righe Persone Giuridiche"
 PROMPT 0 0 ""
 GROUP  7
 FLAGS "DH"
END

NUMERO 47
BEGIN
 KEY "IRPEG 2110: PERIODO AA (1)"
 PROMPT 43 35 ""
 GROUP  7
 FLAGS "DH"
 FIELD I0
END

NUMERO 48
BEGIN
 KEY "IRPEG 2110: PERIODO AA (2)"
 PROMPT 49 35 ""
 GROUP  7
 FLAGS "DH"
 FIELD I1
END

NUMERO 49
BEGIN
 KEY "IRPEG 2110: IMPOSTA"
 PROMPT 67 35 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE COPY,10@
 PICTURE "###.###.###^^^"
 FIELD R0
END

NUMERO 50
BEGIN
 KEY "IRPEG 2110: INTERESSI"
 PROMPT 89 35 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE ADD,10@
 PICTURE "###.###.###^^^"
 FIELD R7
END

NUMERO 51
BEGIN
 KEY "IRPEG 2110: TOTALE"
 PROMPT 122 35 ""
 GROUP  7 10
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 52
BEGIN
 KEY "IRPEG 2100: PERIODO AA (1)"
 PROMPT 43 37 ""
 GROUP  7
 FLAGS "DH"
 FIELD I2
END

NUMERO 53
BEGIN
 KEY "IRPEG 2100: PERIODO AA (2)"
 PROMPT 49 37 ""
 GROUP  7
 FLAGS "DH"
 FIELD I3
END

NUMERO 54
BEGIN
 KEY "IRPEG 2100: IMPOSTA"
 PROMPT 67 37 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE COPY,11@
 PICTURE "###.###.###^^^"
 FIELD R1
END

NUMERO 55
BEGIN
 KEY "IRPEG 2100: INTERESSI"
 PROMPT 89 37 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE ADD,11@
 PICTURE "###.###.###^^^"
 FIELD R8
END

NUMERO 56
BEGIN
 KEY "IRPEG 2100: TOTALE"
 PROMPT 122 37 ""
 GROUP  7 11
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 57
BEGIN
 KEY "ILOR 3110: PERIODO AA (1)"
 PROMPT 43 39 ""
 GROUP  7
 FLAGS "DH"
 FIELD I4
END

NUMERO 58
BEGIN
 KEY "ILOR 3110: PERIODO AA (2)"
 PROMPT 49 39 ""
 GROUP  7
 FLAGS "DH"
 FIELD I5
END

NUMERO 59
BEGIN
 KEY "ILOR 3110: IMPOSTA"
 PROMPT 67 39 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE COPY,12@
 PICTURE "###.###.###^^^"
 FIELD R2
END

NUMERO 60
BEGIN
 KEY "ILOR 3110: INTERESSI"
 PROMPT 89 39 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE ADD,12@
 PICTURE "###.###.###^^^"
 FIELD R9
END

NUMERO 61
BEGIN
 KEY "ILOR 3110: TOTALE"
 PROMPT 122 39 ""
 GROUP  7 12
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 62
BEGIN
 KEY "ILOR 3000: PERIODO AA (1)"
 PROMPT 43 41 ""
 GROUP  7
 FLAGS "DH"
 FIELD I6
END

NUMERO 63
BEGIN
 KEY "ILOR 3000: PERIODO AA (2)"
 PROMPT 49 41 ""
 GROUP  7
 FLAGS "DH"
 FIELD I7
END

NUMERO 64
BEGIN
 KEY "ILOR 3000: IMPOSTA"
 PROMPT 67 41 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE COPY,13@
 PICTURE "###.###.###^^^"
 FIELD R3
END

NUMERO 65
BEGIN
 KEY "ILOR 3000: INTERESSI"
 PROMPT 89 41 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE ADD,13@
 PICTURE "###.###.###^^^"
 FIELD R10
END

NUMERO 66
BEGIN
 KEY "ILOR 3000: TOTALE"
 PROMPT 122 41 ""
 GROUP  7 13
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

GRUPPO 67
BEGIN
 KEY "Righe Societa' di Persone"
 PROMPT 0 0 ""
 GROUP  8
 FLAGS "DH"
END

NUMERO 68
BEGIN
 KEY "ILOR 3303: PERIODO AA (1)"
 PROMPT 43 43 ""
 GROUP  8
 FLAGS "DH"
 FIELD I4
END

NUMERO 69
BEGIN
 KEY "ILOR 3303: PERIODO AA (2)"
 PROMPT 49 43 ""
 GROUP  8
 FLAGS "DH"
 FIELD I5
END

NUMERO 70
BEGIN
 KEY "ILOR 3303: IMPOSTA"
 PROMPT 67 43 ""
 GROUP  8
 FLAGS "DH"
 MESSAGE COPY,12@
 PICTURE "###.###.###^^^"
 FIELD R2
END

NUMERO 71
BEGIN
 KEY "ILOR 3303: INTERESSI"
 PROMPT 89 43 ""
 GROUP  8
 FLAGS "DH"
 MESSAGE ADD,12@
 PICTURE "###.###.###^^^"
 FIELD R9
END

NUMERO 72
BEGIN
 KEY "ILOR 3303: TOTALE"
 PROMPT 122 43 ""
 GROUP  8 12
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 73
BEGIN
 KEY "ILOR 3300: PERIODO AA (1)"
 PROMPT 43 45 ""
 GROUP  8
 FLAGS "DH"
 FIELD I6
END

NUMERO 74
BEGIN
 KEY "ILOR 3300: PERIODO AA (2)"
 PROMPT 49 45 ""
 GROUP  8
 FLAGS "DH"
 FIELD I7
END

NUMERO 75
BEGIN
 KEY "ILOR 3300: IMPOSTA"
 PROMPT 67 45 ""
 GROUP  8
 FLAGS "DH"
 MESSAGE COPY,13@
 PICTURE "###.###.###^^^"
 FIELD R3
END

NUMERO 76
BEGIN
 KEY "ILOR 3300: INTERESSI"
 PROMPT 89 45 ""
 GROUP  8
 FLAGS "DH"
 MESSAGE ADD,13@
 PICTURE "###.###.###^^^"
 FIELD R10
END

NUMERO 77
BEGIN
 KEY "ILOR 3300: TOTALE"
 PROMPT 122 45 ""
 GROUP  8 13
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

GRUPPO 78
BEGIN
 KEY "IMPOSTE SOSTITUTIVE E ALTRI CODICI TRIBUTO"
 PROMPT 0 0 ""
END

STRINGA 79
BEGIN
 KEY "CODICE TRIBUTO 1"
 PROMPT 27 51 ""
 FIELD S3
END

NUMERO 80
BEGIN
 KEY "TRIBUTO 1: PERIODO AA (1)"
 PROMPT 43 51 ""
 FIELD I8
END

NUMERO 81
BEGIN
 KEY "TRIBUTO 1: PERIODO AA (2)"
 PROMPT 49 51 ""
 FIELD I9
END

NUMERO 82
BEGIN
 KEY "TRIBUTO 1: IMPORTO "
 PROMPT 67 51 ""
 MESSAGE COPY,14@
 PICTURE "###.###.###^^^"
 FIELD R4
END

NUMERO 83
BEGIN
 KEY "TRIBUTO 1: INTERESSI"
 PROMPT 89 51 ""
 MESSAGE ADD,14@
 PICTURE "###.###.###^^^"
 FIELD R11
END

NUMERO 84
BEGIN
 KEY "TRIBUTO 1: TOTALE"
 PROMPT 122 51 ""
 GROUP  14
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

STRINGA 85
BEGIN
 KEY "CODICE TRIBUTO 2"
 PROMPT 27 53 ""
 FIELD S4
END

NUMERO 86
BEGIN
 KEY "TRIBUTO 2: PERIODO AA (1)"
 PROMPT 43 53 ""
 FIELD I10
END

NUMERO 87
BEGIN
 KEY "TRIBUTO 2: PERIODO AA (2)"
 PROMPT 49 53 ""
 FIELD I11
END

NUMERO 88
BEGIN
 KEY "TRIBUTO 2: IMPORTO"
 PROMPT 67 53 ""
 MESSAGE COPY,15@
 PICTURE "###.###.###^^^"
 FIELD R5
END

NUMERO 89
BEGIN
 KEY "TRIBUTO 2: INTERESSI"
 PROMPT 89 53 ""
 MESSAGE ADD,15@
 PICTURE "###.###.###^^^"
 FIELD R12
END

NUMERO 90
BEGIN
 KEY "TRIBUTO 2: TOTALE"
 PROMPT 122 53 ""
 GROUP  15
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

STRINGA 91
BEGIN
 KEY "CODICE TRIBUTO 3"
 PROMPT 27 55 ""
 FIELD S5
END

NUMERO 92
BEGIN
 KEY "TRIBUTO 3: PERIODO AA (1)"
 PROMPT 43 55 ""
 FIELD I12
END

NUMERO 93
BEGIN
 KEY "TRIBUTO 3: PERIODO AA (2)"
 PROMPT 49 55 ""
 FIELD I13
END

NUMERO 94
BEGIN
 KEY "TRIBUTO 3: IMPORTO"
 PROMPT 67 55 ""
 MESSAGE COPY,16@
 PICTURE "###.###.###^^^"
 FIELD R6
END

NUMERO 95
BEGIN
 KEY "TRIBUTO 3: INTERESSI"
 PROMPT 89 55 ""
 MESSAGE ADD,16@
 PICTURE "###.###.###^^^"
 FIELD R13
END

NUMERO 96
BEGIN
 KEY "TRIBUTO 3: TOTALE"
 PROMPT 122 55 ""
 GROUP  16
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 97
BEGIN
 KEY "TOTALE (in lettere)"
 PROMPT 16 58 ""
 GROUP  9
 PICTURE "LETTERE"
END

NUMERO 98
BEGIN
 KEY "TOTALE (in cifre)"
 PROMPT 122 58 ""
 GROUP  9
 PICTURE "###.###.###^^^"
END

DATA 99
BEGIN
 KEY "DATA: giorno - mese - anno"
 PROMPT 26 62 ""
 PICTURE "@ @^   @ @^   @ @"
 FIELD D0
 FORMAT "1442S"
END

END

END
