USE %DEL
JOIN 9 INTO CODDITTA=CODTAB[1,5]
JOIN 6 TO 9 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN 8 TO 9 INTO CODANAGR=CODANAGR
JOIN 7 TO 9 INTO CODANAGR=CODANAGR
JOIN 13 TO 8 ALIAS 113 INTO COM=COMNASC
JOIN 13 TO 6 ALIAS 213 INTO COM=COMRF(COMRES)
JOIN %UCC TO 213@ ALIAS 14 INTO CODTAB=UFFCONC
JOIN 13 TO 7 ALIAS 413 INTO COM=COMCOST

END
DESCRIPTION
BEGIN
  %DEL->* "DEL"
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  113@->* "Comuni"
  213@->* "Comuni"
  14@->* "UCC"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
  CARATTERE "H"
  INIZIALE 2 1
END

SECTION BODY ODD 71

STRINGA 1
BEGIN
 KEY "CONCESSIONE DI"
 PROMPT 64 5 ""
 FIELD 14@->S0
END

STRINGA 2
BEGIN
 KEY "COD. CONCESS."
 PROMPT 16 12 ""
 FIELD 6->UFFCONC
 FIELD 14@->CODTAB
END

LISTA 3
BEGIN
 KEY "Tipo anagrafica"
 FIELD 6->TIPOA
 ITEM "F| " MESSAGE ENABLE,1@|DISABLE,2@
 ITEM "G| " MESSAGE ENABLE,2@|DISABLE,1@
END

STRINGA 4
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 26 12 ""
 PICTURE "# # #   # # #   # # # # #   # # # # #"
 FIELD 6->COFI
END

STRINGA 5
BEGIN
 KEY "COGNOME"
 PROMPT 3 16 ""
 GROUP 1
 FIELD 6->RAGSOC[1,30]
END

STRINGA 6
BEGIN
 KEY "NOME"
 PROMPT 91 16 ""
 GROUP 1
 FIELD 6->RAGSOC[31,-1]
END

STRINGA 7
BEGIN
 KEY "DENOMINAZIONE O RAGIONE SOCIALE"
 PROMPT 3 16 ""
 GROUP 2
 FIELD 6->RAGSOC
END

GRUPPO 8
BEGIN
 KEY "Persone fisiche"
 PROMPT 0 0 ""
 GROUP  1
 FLAGS "DH"
END

DATA 9
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 3 18 ""
 GROUP  1
 FLAGS "DH"
 PICTURE "# # ^ # # ^^ # # #"
 FIELD 8->DATANASC
 FORMAT "1444-"
END

DATA 10
BEGIN
 KEY "DATA DI COSTITUZIONE"
 PROMPT 3 18 ""
 GROUP  2
 FLAGS "DH"
 PICTURE "# # ^ # # ^^ # # #"
 FIELD 7->DATACOST
 FORMAT "1444-"
END

STRINGA 11
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 33 18 ""
 GROUP  1
 FLAGS "DH"
 FIELD 8->SESSO
END

STRINGA 12
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 41 18 ""
 GROUP  1
 FLAGS "DH"
 FIELD 113@->DENCOM
END

STRINGA 13
BEGIN
 KEY "COMUNE (o Stato estero) DI COSTITUZIONE"
 PROMPT 41 18 ""
 GROUP  2
 FLAGS "DH"
 FIELD 413@->DENCOM
END

STRINGA 14
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 120 18 ""
 GROUP  1
 FLAGS "DH"
 FIELD 113@->PROVCOM
END

STRINGA 15
BEGIN
 KEY "PROV. DI COSTITUZIONE (sigla)"
 PROMPT 120 18 ""
 GROUP  2
 FLAGS "DH"
 FIELD 413@->PROVCOM
END

STRINGA 16
BEGIN
 KEY "DOMICILIO FISCALE: COMUNE"
 PROMPT 13 20 ""
 FIELD 213@->DENCOM
END

STRINGA 17
BEGIN
 KEY "DOMICILIO FISCALE: PROV. (sigla)"
 PROMPT 64 20 ""
 FIELD 213@->PROVCOM
END

STRINGA 18
BEGIN
 KEY "DOMICILIO FISCALE: VIA"
 PROMPT 70 20 ""
 FIELD 6->INDRF
 FIELD 6->INDRES
END

STRINGA 19
BEGIN
 KEY "DOMICILIO FISCALE: NUMERO CIVICO"
 PROMPT 124 20 ""
 FIELD 6->CIVRF
 FIELD 6->CIVRES
END

STRINGA 20
BEGIN
 KEY "PARTITA IVA"
 PROMPT 25 47 ""
 PICTURE "# # #   # # #   # # # # #"
 FIELD 6->PAIV
END

STRINGA 21
BEGIN
 KEY "CODICE TRIBUTO"
 PROMPT 10 52 ""
 FIELD S6
END

STRINGA 22
BEGIN
 KEY "ANNO"
 PROMPT 26 52 ""
 PICTURE "^^@@"
 FIELD CODTAB[6,9]
END

NUMERO 23
BEGIN
 KEY "IMPORTO TRIBUTO"
 PROMPT 48 52 ""
 MESSAGE COPY,10@
 PICTURE "###.###.###^^^"
 FIELD R0
END

NUMERO 24
BEGIN
 KEY "INTERESSI"
 PROMPT 74 52 ""
 MESSAGE ADD,10@
 PICTURE "###.###.###^^^"
END

NUMERO 25
BEGIN
 KEY "TOTALE"
 PROMPT 111 52 ""
 GROUP  10
 PICTURE "###.###.###^^^"
END

NUMERO 26
BEGIN
 KEY "TOTALE (in lettere)"
 PROMPT 7 56 ""
 GROUP  10
 PICTURE "LETTERE"
END

NUMERO 27
BEGIN
 KEY "TOTALE (in cifre)"
 PROMPT 111 56 ""
 GROUP  10
 PICTURE "###.###.###^^^"
END

DATA 28
BEGIN
 KEY "DATA: giorno - mese - anno"
 PROMPT 21 60 ""
 PICTURE "@@  ^ @@^ ^^@@"
 FIELD D0
 FORMAT "1444-"
END

STRINGA 29 40 1
BEGIN
 KEY "Testo Fisso (1)"
 PROMPT 0 0 ""
END
 
STRINGA 30 40 1 
BEGIN
 KEY "Testo Fisso (2)"
 PROMPT 0 0 ""
END
 
STRINGA 31 40 1 
BEGIN
 KEY "Testo Fisso (3)"
 PROMPT 0 0 ""
END
 
STRINGA 32 40 1 
BEGIN
 KEY "Testo Fisso (4)"
 PROMPT 0 0 ""
END
 
STRINGA 33 40 1 
BEGIN
 KEY "Testo Fisso (5)"
 PROMPT 0 0 ""
END
 
END

END
