USE %SDI
JOIN %UCC ALIAS 14 INTO CODTAB=S9
JOIN 6 INTO TIPOA=S0[1,1] CODANAGR=S0[2,6]
JOIN 8 TO 6 INTO CODANAGR=CODANAGR
JOIN 13 TO 8 ALIAS 113 INTO COM=COMNASC
JOIN 13 TO 6 ALIAS 213 INTO COM=COMRF(COMRES)
END

DESCRIPTION
BEGIN
  %SDI->* "Tabella deleghe IRPEF"
  14@->* "Tabella Centro Servizi"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  113@->* "Comune di nascita"
  213@->* "Comune di residenza fiscale"
END

SECTION BODY ODD 63 0 0

STRINGA 1
BEGIN
 KEY "CONCESSIONE DI"
 PROMPT 32 6 ""
 FIELD 14@->S0
END

STRINGA 4
BEGIN
 KEY "COD. CONCESS."
 PROMPT 13 12 ""
 FIELD S9
END

STRINGA 5
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 19 12 ""
 FIELD 6->COFI
END

STRINGA 6
BEGIN
 KEY "COGNOME, DENOMINAZIONE O RAGIONE SOCIALE"
 PROMPT 5 16 ""
 FIELD 6->RAGSOC[1,30]
END

STRINGA 7
BEGIN
 KEY "NOME"
 PROMPT 57 16 ""
 FIELD 6->RAGSOC[31,-1]
END

LISTA 8
BEGIN
 KEY "Tipo anagrafica"
 FIELD 6->TIPOA
 ITEM "F| " MESSAGE ENABLE,1@|DISABLE,2@
 ITEM "G| " MESSAGE ENABLE,2@|DISABLE,1@
END

GRUPPO -1
BEGIN
 KEY "Persone fisiche"
 PROMPT 0 0 ""
 GROUP  1
END

DATA 10
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 5 18 ""
 GROUP  1
 PICTURE "# #^# #^^# # #"
 FIELD 8->DATANASC
 FORMAT "1444-"
END

STRINGA 11
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 23 18 ""
 GROUP  1
 FIELD 8->SESSO
END

STRINGA 12
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 28 18 ""
 GROUP  1
 FIELD 113@->DENCOM
END

STRINGA 13
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 74 18 ""
 GROUP  1
 FIELD 113@->PROVCOM
END

STRINGA 14
BEGIN
 KEY "DOMICILIO FISCALE: COMUNE"
 PROMPT 12 20 ""
 FIELD 213@->DENCOM
END

STRINGA 15
BEGIN
 KEY "DOMICILIO FISCALE: PROV. (sigla)"
 PROMPT 40 20 ""
 FIELD 213@->PROVCOM
END

STRINGA 16
BEGIN
 KEY "DOMICILIO FISCALE: VIA"
 PROMPT 45 20 ""
 FIELD 6->INDRF
 FIELD 6->INDRES
END

STRINGA 17
BEGIN
 KEY "DOMICILIO FISCALE: NUMERO CIVICO"
 PROMPT 74 20 ""
 FIELD 6->CIVRF
 FIELD 6->CIVRES
END

LISTA 18
BEGIN
 KEY "Righe da compilare "
 FIELD S6
 ITEM "F| " MESSAGE ENABLE,6@|DISABLE,7@|DISABLE,8@
 ITEM "G| " MESSAGE ENABLE,7@|DISABLE,6@|DISABLE,8@
 ITEM "S| " MESSAGE ENABLE,8@|DISABLE,6@|DISABLE,7@
END

GRUPPO -1
BEGIN
 KEY "Righe Persone Fisiche"
 PROMPT 0 0 ""
 GROUP  6
END

NUMERO 20
BEGIN
 KEY "IRPEF 4007: PERIODO AA (1)"
 PROMPT 24 26 ""
 GROUP  6
 FIELD I0
END

NUMERO 21
BEGIN
 KEY "IRPEF 4007: PERIODO AA (2)"
 PROMPT 27 26 ""
 GROUP  6
 FIELD I1
END

NUMERO 22
BEGIN
 KEY "IRPEF 4007: IMPOSTA"
 PROMPT 32 26 ""
 GROUP  6
 MESSAGE COPY,10@
 PICTURE "###.###.###^^^"
 FIELD R0
END

NUMERO 23
BEGIN
 KEY "IRPEF 4007: INTERESSI"
 PROMPT 46 26 ""
 GROUP  6
 MESSAGE ADD,10@
 PICTURE "###.###.###^^^"
 FIELD R7
END

NUMERO 24
BEGIN
 KEY "IRPEF 4007: TOTALE"
 PROMPT 64 26 ""
 GROUP  6 10
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 25
BEGIN
 KEY "IRPEF 4001: PERIODO AA (1)"
 PROMPT 24 28 ""
 GROUP  6
 FIELD I2
END

NUMERO 26
BEGIN
 KEY "IRPEF 4001: PERIODO AA (2)"
 PROMPT 27 28 ""
 GROUP  6
 FIELD I3
END

NUMERO 27
BEGIN
 KEY "IRPEF 4001: IMPOSTA"
 PROMPT 32 28 ""
 GROUP  6
 MESSAGE COPY,11@
 PICTURE "###.###.###^^^"
 FIELD R1
END

NUMERO 28
BEGIN
 KEY "IRPEF 4001: INTERESSI"
 PROMPT 46 28 ""
 GROUP  6
 MESSAGE ADD,11@
 PICTURE "###.###.###^^^"
 FIELD R8
END

NUMERO 29
BEGIN
 KEY "IRPEF 4001: TOTALE"
 PROMPT 64 28 ""
 GROUP  6 11
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 30
BEGIN
 KEY "ILOR 3353: PERIODO AA (1)"
 PROMPT 24 30 ""
 GROUP  6
 FIELD I2
END

NUMERO 31
BEGIN
 KEY "ILOR 3353: PERIODO AA (2)"
 PROMPT 27 30 ""
 GROUP  6
 FIELD I3
END

NUMERO 32
BEGIN
 KEY "ILOR 3353: IMPOSTA"
 PROMPT 32 30 ""
 GROUP  6
 MESSAGE COPY,12@
 PICTURE "###.###.###^^^"
 FIELD R2
END

NUMERO 33
BEGIN
 KEY "ILOR 3353: INTERESSI"
 PROMPT 46 30 ""
 GROUP  6
 MESSAGE ADD,12@
 PICTURE "###.###.###^^^"
 FIELD R9
END

NUMERO 34
BEGIN
 KEY "IRPEF 3353: TOTALE"
 PROMPT 64 30 ""
 GROUP  6 12
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 35
BEGIN
 KEY "ILOR 3350: PERIODO AA (1)"
 PROMPT 24 32 ""
 GROUP  6
 FIELD I6
END

NUMERO 36
BEGIN
 KEY "ILOR 3350: PERIODO AA (2)"
 PROMPT 27 32 ""
 GROUP  6
 FIELD I7
END

NUMERO 37
BEGIN
 KEY "ILOR 3350: IMPOSTA"
 PROMPT 32 32 ""
 GROUP  6
 MESSAGE COPY,13@
 PICTURE "###.###.###^^^"
 FIELD R3
END

NUMERO 38
BEGIN
 KEY "ILOR 3350: INTERESSI"
 PROMPT 46 32 ""
 GROUP  6
 MESSAGE ADD,13@
 PICTURE "###.###.###^^^"
 FIELD R10
END

NUMERO 39
BEGIN
 KEY "ILOR 3350: TOTALE"
 PROMPT 64 32 ""
 GROUP  6 13
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

GRUPPO -1
BEGIN
 KEY "Righe Persone Giuridiche"
 PROMPT 0 0 ""
 GROUP  7
 FLAGS "DH"
END

NUMERO 41
BEGIN
 KEY "IRPEG 2110: PERIODO AA (1)"
 PROMPT 24 34 ""
 GROUP  7
 FLAGS "DH"
 FIELD I0
END

NUMERO 42
BEGIN
 KEY "IRPEG 2110: PERIODO AA (2)"
 PROMPT 27 34 ""
 GROUP  7
 FLAGS "DH"
 FIELD I1
END

NUMERO 43
BEGIN
 KEY "IRPEG 2110: IMPOSTA"
 PROMPT 32 34 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE COPY,10@
 PICTURE "###.###.###^^^"
 FIELD R0
END

NUMERO 44
BEGIN
 KEY "IRPEG 2110: INTERESSI"
 PROMPT 46 34 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE ADD,10@
 PICTURE "###.###.###^^^"
 FIELD R7
END

NUMERO 45
BEGIN
 KEY "IRPEG 2110: TOTALE"
 PROMPT 64 34 ""
 GROUP  7 10
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 46
BEGIN
 KEY "IRPEG 2100: PERIODO AA (1)"
 PROMPT 24 36 ""
 GROUP  7
 FLAGS "DH"
 FIELD I2
END

NUMERO 47
BEGIN
 KEY "IRPEG 2100: PERIODO AA (2)"
 PROMPT 27 36 ""
 GROUP  7
 FLAGS "DH"
 FIELD I3
END

NUMERO 48
BEGIN
 KEY "IRPEG 2100: IMPOSTA"
 PROMPT 32 36 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE COPY,11@
 PICTURE "###.###.###^^^"
 FIELD R1
END

NUMERO 49
BEGIN
 KEY "IRPEG 2100: INTERESSI"
 PROMPT 46 36 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE ADD,11@
 PICTURE "###.###.###^^^"
 FIELD R8
END

NUMERO 50
BEGIN
 KEY "IRPEG 2100: TOTALE"
 PROMPT 64 36 ""
 GROUP  7 11
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 51
BEGIN
 KEY "ILOR 3110: PERIODO AA (1)"
 PROMPT 24 38 ""
 GROUP  7
 FLAGS "DH"
 FIELD I2
END

NUMERO 52
BEGIN
 KEY "ILOR 3110: PERIODO AA (2)"
 PROMPT 27 38 ""
 GROUP  7
 FLAGS "DH"
 FIELD I3
END

NUMERO 53
BEGIN
 KEY "ILOR 3110: IMPOSTA"
 PROMPT 32 38 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE COPY,12@
 PICTURE "###.###.###^^^"
 FIELD R2
END

NUMERO 54
BEGIN
 KEY "ILOR 3110: INTERESSI"
 PROMPT 46 38 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE ADD,12@
 PICTURE "###.###.###^^^"
 FIELD R9
END

NUMERO 55
BEGIN
 KEY "IRPEF 3110: TOTALE"
 PROMPT 64 38 ""
 GROUP  7 12
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 56
BEGIN
 KEY "ILOR 3000: PERIODO AA (1)"
 PROMPT 24 40 ""
 GROUP  7
 FLAGS "DH"
 FIELD I6
END

NUMERO 57
BEGIN
 KEY "ILOR 3000: PERIODO AA (2)"
 PROMPT 27 40 ""
 GROUP  7
 FLAGS "DH"
 FIELD I7
END

NUMERO 58
BEGIN
 KEY "ILOR 3000: IMPOSTA"
 PROMPT 32 40 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE COPY,13@
 PICTURE "###.###.###^^^"
 FIELD R3
END

NUMERO 59
BEGIN
 KEY "ILOR 3000: INTERESSI"
 PROMPT 46 40 ""
 GROUP  7
 FLAGS "DH"
 MESSAGE ADD,13@
 PICTURE "###.###.###^^^"
 FIELD R10
END

NUMERO 60
BEGIN
 KEY "ILOR 3000: TOTALE"
 PROMPT 64 40 ""
 GROUP  7 13
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

GRUPPO -1
BEGIN
 KEY "Righe Societa' di Persone"
 PROMPT 0 0 ""
 GROUP  8
 FLAGS "DH"
END

NUMERO 62
BEGIN
 KEY "ILOR 3303: PERIODO AA (1)"
 PROMPT 24 42 ""
 GROUP  8
 FLAGS "DH"
 FIELD I4
END

NUMERO 63
BEGIN
 KEY "ILOR 3303: PERIODO AA (2)"
 PROMPT 27 42 ""
 GROUP  8
 FLAGS "DH"
 FIELD I5
END

NUMERO 64
BEGIN
 KEY "ILOR 3303: IMPOSTA"
 PROMPT 32 42 ""
 GROUP  8
 FLAGS "DH"
 MESSAGE COPY,12@
 PICTURE "###.###.###^^^"
 FIELD R2
END

NUMERO 65
BEGIN
 KEY "ILOR 3303: INTERESSI"
 PROMPT 46 42 ""
 GROUP  8
 FLAGS "DH"
 MESSAGE ADD,12@
 PICTURE "###.###.###^^^"
 FIELD R9
END

NUMERO 66
BEGIN
 KEY "ILOR 3303: TOTALE"
 PROMPT 64 42 ""
 GROUP  8 12
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 67
BEGIN
 KEY "ILOR 3300: PERIODO AA (1)"
 PROMPT 24 44 ""
 GROUP  8
 FLAGS "DH"
 FIELD I6
END

NUMERO 68
BEGIN
 KEY "ILOR 3300: PERIODO AA (2)"
 PROMPT 27 44 ""
 GROUP  8
 FLAGS "DH"
 FIELD I7
END

NUMERO 69
BEGIN
 KEY "ILOR 3300: IMPOSTA"
 PROMPT 32 44 ""
 GROUP  8
 FLAGS "DH"
 MESSAGE COPY,13@
 PICTURE "###.###.###^^^"
 FIELD R3
END

NUMERO 70
BEGIN
 KEY "ILOR 3300: INTERESSI"
 PROMPT 46 44 ""
 GROUP  8
 FLAGS "DH"
 MESSAGE ADD,13@
 PICTURE "###.###.###^^^"
 FIELD R10
END

NUMERO 71
BEGIN
 KEY "ILOR 3300: TOTALE"
 PROMPT 64 44 ""
 GROUP  8 13
 FLAGS "DH"
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

GRUPPO -1
BEGIN
 KEY "IMPOSTE SOSTITUTIVE E ALTRI CODICI TRIBUTO"
 PROMPT 0 0 ""
END

NUMERO 73
BEGIN
 KEY "TRIBUTO 1: PERIODO AA (1)"
 PROMPT 24 50 ""
 FIELD I8
END

NUMERO 74
BEGIN
 KEY "TRIBUTO 1: PERIODO AA (2)"
 PROMPT 27 50 ""
 FIELD I9
END

NUMERO 75
BEGIN
 KEY "TRIBUTO 1: IMPORTO"
 PROMPT 32 50 ""
 MESSAGE COPY,14@
 PICTURE "###.###.###^^^"
 FIELD R4
END

NUMERO 76
BEGIN
 KEY "TRIBUTO 1: INTERESSI"
 PROMPT 46 50 ""
 MESSAGE ADD,14@
 PICTURE "###.###.###^^^"
 FIELD R11
END

NUMERO 77
BEGIN
 KEY "TRIBUTO 1: TOTALE"
 PROMPT 64 50 ""
 GROUP  14
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 78
BEGIN
 KEY "TRIBUTO 2: PERIODO AA (1)"
 PROMPT 24 52 ""
 FIELD I10
END

NUMERO 79
BEGIN
 KEY "TRIBUTO 2: PERIODO AA (2)"
 PROMPT 27 52 ""
 FIELD I11
END

NUMERO 80
BEGIN
 KEY "TRIBUTO 2: IMPORTO"
 PROMPT 32 52 ""
 MESSAGE COPY,15@
 PICTURE "###.###.###^^^"
 FIELD R5
END

NUMERO 81
BEGIN
 KEY "TRIBUTO 2: INTERESSI"
 PROMPT 46 52 ""
 MESSAGE ADD,15@
 PICTURE "###.###.###^^^"
 FIELD R12
END

NUMERO 82
BEGIN
 KEY "TRIBUTO 2: TOTALE"
 PROMPT 64 52 ""
 GROUP  15
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 83
BEGIN
 KEY "TRIBUTO 3: PERIODO AA (1)"
 PROMPT 24 54 ""
 FIELD I12
END

NUMERO 84
BEGIN
 KEY "TRIBUTO 3: PERIODO AA (2)"
 PROMPT 27 54 ""
 FIELD I13
END

NUMERO 85
BEGIN
 KEY "TRIBUTO 3: IMPORTO"
 PROMPT 32 54 ""
 MESSAGE COPY,16@
 PICTURE "###.###.###^^^"
 FIELD R6
END

NUMERO 86
BEGIN
 KEY "TRIBUTO 3: INTERESSI"
 PROMPT 46 54 ""
 MESSAGE ADD,16@
 PICTURE "###.###.###^^^"
 FIELD R13
END

NUMERO 87
BEGIN
 KEY "TRIBUTO 3: TOTALE"
 PROMPT 64 54 ""
 GROUP  16
 MESSAGE ADD,9@
 PICTURE "###.###.###^^^"
END

NUMERO 88
BEGIN
 KEY "TOTALE (in lettere)"
 PROMPT 7 57 ""
 GROUP  9
 PICTURE "LETTERE"
END

NUMERO 89
BEGIN
 KEY "TOTALE (in cifre)"
 PROMPT 64 57 ""
 GROUP  9
 PICTURE "###.###.###^^^"
END

DATA 90
BEGIN
 KEY "DATA: giorno - mese - anno"
 PROMPT 12 61 ""
 PICTURE "@ @^@ @^@ @"
 FIELD D0
 FORMAT "1442S"
END

END

END
