USE %DEL
JOIN 9 INTO CODDITTA=CODTAB[1,5]
JOIN 6 TO 9 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN 8 TO 9 INTO CODANAGR=CODANAGR
JOIN 7 TO 9 INTO CODANAGR=CODANAGR
JOIN 13 TO 8 ALIAS 113 INTO COM=COMNASC
JOIN 13 TO 6 ALIAS 213 INTO COM=COMRF(COMRES)
JOIN %UCC TO 213@ ALIAS 14 INTO CODTAB==UFFCONC
JOIN %BAN ALIAS 24 INTO CODTAB==S7
JOIN %BAN ALIAS 34 INTO CODTAB==S7+S8
JOIN 13 TO 24@ ALIAS 313 INTO COM==S5
JOIN 13 TO 7 ALIAS 413 INTO COM=COMCOST

END
DESCRIPTION
BEGIN
  %DEL->* "DEL"
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  113@->* "Comuni"
  213@->* "Comuni"
  14@->* "UCC"
  24@->* "BAN"
  34@->* "BAN"
  313@->* "Comuni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
  CARATTERE "X"
  INIZIALE 1 1
END

SECTION BODY ODD 73

STRINGA 1
BEGIN
 KEY "Azienda di credito"
 PROMPT 73 7 ""
 FIELD 24@->S0
END

STRINGA 2
BEGIN
 KEY "Dipendenza"
 PROMPT 73 9 ""
 FIELD 34@->S0
END

STRINGA 3
BEGIN
 KEY "PROVINCIA dipendenza"
 PROMPT 127 9 ""
 FIELD 313@->PROVCOM
END

STRINGA 4
BEGIN
 KEY "COD. CONCESS."
 PROMPT 16 12 ""
 FIELD 6->UFFCONC
 FIELD 14@->CODTAB
END

STRINGA 5
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 26 12 ""
 FIELD 6->COFI
END

LISTA 6
BEGIN
 KEY "Tipo anagrafica"
 FIELD 6->TIPOA
 ITEM "F| " MESSAGE ENABLE,1@|DISABLE,2@
 ITEM "G| " MESSAGE ENABLE,2@|DISABLE,1@
END

STRINGA 7
BEGIN
 KEY "COGNOME"
 PROMPT 4 16 ""
 GROUP 1
 FIELD 6->RAGSOC[1,30]
END

STRINGA 8
BEGIN
 KEY "NOME"
 PROMPT 95 16 ""
 GROUP 1
 FIELD 6->RAGSOC[31,-1]
END

STRINGA 9
BEGIN
 KEY "DENOMINAZIONE, RAGIONE SOCIALE"
 PROMPT 4 16 ""
 GROUP 2
 FIELD 6->RAGSOC
END

GRUPPO 10
BEGIN
 KEY "Persone fisiche"
 PROMPT 0 0 ""
 GROUP  1
END

DATA 11
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 4 18 ""
 GROUP  1
 PICTURE "# # ^ # # ^ ^ # # #"
 FIELD 8->DATANASC
 FORMAT "1444-"
END

DATA 12
BEGIN
 KEY "DATA DI COSTITUZIONE"
 PROMPT 4 18 ""
 GROUP  2
 PICTURE "# # ^ # # ^ ^ # # #"
 FIELD 7->DATACOST
 FORMAT "1444-"
END

STRINGA 13
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 34 18 ""
 GROUP  1
 FIELD 8->SESSO
END

STRINGA 14
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 42 18 ""
 GROUP  1
 FIELD 113@->DENCOM
END

STRINGA 15
BEGIN
 KEY "COMUNE (o Stato estero) DI COSTITUZIONE"
 PROMPT 42 18 ""
 GROUP  2
 FIELD 413@->DENCOM
END

STRINGA 16
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 120 18 ""
 GROUP  1
 FIELD 113@->PROVCOM
END

STRINGA 17
BEGIN
 KEY "PROV. DI COSTITUZIONE (sigla)"
 PROMPT 120 18 ""
 GROUP  2
 FIELD 413@->PROVCOM
END

STRINGA 18
BEGIN
 KEY "DOMICILIO FISCALE: COMUNE"
 PROMPT 14 20 ""
 FIELD 213@->DENCOM
END

STRINGA 19
BEGIN
 KEY "DOMICILIO FISCALE: PROV. (sigla)"
 PROMPT 64 20 ""
 FIELD 213@->PROVCOM
END

STRINGA 20
BEGIN
 KEY "DOMICILIO FISCALE: VIA"
 PROMPT 72 20 ""
 FIELD 6->INDRF
 FIELD 6->INDRES
END

STRINGA 21
BEGIN
 KEY "DOMICILIO FISCALE: NUMERO CIVICO"
 PROMPT 124 20 ""
 FIELD 6->CIVRF
 FIELD 6->CIVRES
END

STRINGA 22
BEGIN
 KEY "PARTITA IVA"
 PROMPT 24 47 ""
 FIELD 6->PAIV
END

STRINGA 23
BEGIN
 KEY "CODICE TRIBUTO"
 PROMPT 10 52 ""
 FIELD S6
END

STRINGA 24
BEGIN
 KEY "ANNO"
 PROMPT 26 52 ""
 PICTURE "^^@@"
 FIELD CODTAB[6,9]
END

NUMERO 25
BEGIN
 KEY "IMPORTO TRIBUTO"
 PROMPT 47 52 ""
 MESSAGE COPY,10@
 PICTURE "###.###.###^^^"
 FIELD R0
END

NUMERO 26
BEGIN
 KEY "INTERESSI"
 PROMPT 73 52 ""
 MESSAGE ADD,10@
 PICTURE "###.###.###^^^"
END

NUMERO 27
BEGIN
 KEY "TOTALE"
 PROMPT 111 52 ""
 GROUP  10
 PICTURE "###.###.###^^^"
END

NUMERO 28
BEGIN
 KEY "TOTALE (in lettere)"
 PROMPT 9 56 ""
 GROUP  10
 PICTURE "LETTERE"
END

NUMERO 29
BEGIN
 KEY "TOTALE (in cifre)"
 PROMPT 111 56 ""
 GROUP  10
 PICTURE "###.###.###^^^"
END

DATA 30
BEGIN
 KEY "DATA: giorno - mese - anno"
 PROMPT 78 61 ""
 PICTURE "@  @^  @  @^ ^^@  @"
 FIELD D0
 FORMAT "1444-"
END

STRINGA 31
BEGIN
 KEY "CODICE AZIENDA"
 PROMPT 102 61 ""
 FIELD S7
END

STRINGA 32
BEGIN
 KEY "CODICE DIPENDENZA"
 PROMPT 120 61 ""
 FIELD S8
END

STRINGA 33 40 1
BEGIN
 KEY "Testo Fisso (1)"
 PROMPT 0 0 ""
END
 
STRINGA 34 40 1 
BEGIN
 KEY "Testo Fisso (2)"
 PROMPT 0 0 ""
END
 
STRINGA 35 40 1 
BEGIN
 KEY "Testo Fisso (3)"
 PROMPT 0 0 ""
END
 
STRINGA 36 40 1 
BEGIN
 KEY "Testo Fisso (4)"
 PROMPT 0 0 ""
END
 
STRINGA 37 40 1 
BEGIN
 KEY "Testo Fisso (5)"
 PROMPT 0 0 ""
END
 
END

END
