#ifndef __GENCONST_H
#define __GENCONST_H

#define NoAut   0

#define ScrVal  0
#define ScrSal  1
#define ScrNoClear      2
#define ScrNum  3
#define ScrUpp  4
#define ScrDate 5
/* @(!) 2.3.01.163 */
#define ScrNumNoTrim    6
/* @(:) 2.3.01.163 */
#define ScrAutoHlp      7
#define ScrAutoCnt      8
#define ScrAutoReq      9
#define BrGoEnd 1
#define BrInsLine       2
#define FdSt    0
#define FdEnd   -1


#define NulC    CHR(0)
#define C01     CHR(1)
#define C02     CHR(2)
#define Bell    CHR(7)
#define BkSp    CHR(8)
#define Tab     CHR(9)
#define CtrlRet CHR(10)
#define Home    CHR(11)
#define EndK    CHR(12)
#define Ret     CHR(13)
#define PgUp    CHR(14)
#define PgDn    CHR(15)
#define CtrlHome        CHR(16)
#define CtrlEndK        CHR(17)
#define CtrlPgUp        CHR(18)
#define CtrlPgDn        CHR(19)
#define Ins     CHR(20)
#define Del     CHR(127)
#define ShiftTab        CHR(22)
#define Esc     CHR(27)
#define Right   CHR(28)
#define Left    CHR(29)
#define Up      CHR(30)
#define Down    CHR(31)
#define Blank   CHR(32)
#define LBr     CHR(91)
#define F1      CHR(177)
#define F2      CHR(178)
#define F3      CHR(179)
#define F4      CHR(180)
#define F5      CHR(181)
#define F6      CHR(182)
#define F7      CHR(183)
#define F8      CHR(184)
#define F9      CHR(185)
#define F10     CHR(186)
#define SF1     CHR(187)
#define SF2     CHR(188)
#define SF3     CHR(189)
#define SF4     CHR(190)
#define SF5     CHR(191)
#define SF6     CHR(192)
#define SF7     CHR(193)
#define SF8     CHR(194)
#define SF9     CHR(195)
#define SF10    CHR(196)
#define CF1     CHR(197)
#define CF2     CHR(198)
#define CF3     CHR(199)
#define CF4     CHR(200)
#define CF5     CHR(201)
#define CF6     CHR(202)
#define CF7     CHR(203)
#define CF8     CHR(204)
#define CF9     CHR(205)
#define CF10    CHR(206)
#undef ON
#define ON      TRUE
#undef OFF
#define OFF     FALSE
#define NoErr   0

#define ExclLock        256 /*16#0100*/ 
#define AutoLock        512 /*16#0200*/ 
#define ManuLock        1024    /*16#0400*/ 

#define UnLock  4096    /*16#1000*/     
#define NoLock  8192 /*16#2000*/        
#define Lock    16384 /*16#4000*/       
#define ShareLock       32768   /*16#8000*/     
#define RecLockTypes    61440   /*16#F000*/     

#define IsFirst 0       /*16#0*/
#define IsLast  1       /*16#1*/
#define IsNext  2       /*16#2*/
#define IsPrev  4       /*16#4*/
#define IsCurr  8       /*16#8*/
#define IsEqual 16      /*16#10*/
#define IsGreat 32      /*16#20*/
#define IsGtEq  64      /*16#40*/
#define IsNextN 256     /*16#100*/
#define IsPrevN 512     /*16#200*/


#define DefPrinter      1


#ifndef M_TERMINFO
#define Refresh(w)      RefScrn
#define WINDOW  HWND
#define Window  HWND
#define window  HWND
#endif
#endif /* __GENCONST_H */
