#ifndef __LFFILES_H
#define __LFFILES_H

#define LF_DIR                  1
#define LF_USER                 2
#define LF_TABGEN               3
#define LF_TABCOM               4
#define LF_TAB                  5
#define LF_ANAG                 6
#define LF_ANAGGIU              7
#define LF_ANAGFIS              8
#define LF_NDITTE               9
#define LF_ATTIV                10 
#define LF_UNLOC                11
#define LF_SOCI                 12
#define LF_COMUNI               13 
#define LF_REFFETTI             14
#define LF_INDLIB               15
#define LF_INDSP                16
#define LF_CFVEN                17
#define LF_OCCAS                18
#define LF_PCON                 19
#define LF_CLIFO                20
#define LF_SALDI                21
#define LF_ALLEG                22
#define LF_MOV                  23
#define LF_RMOV                 24
#define LF_RMOVIVA              25
#define LF_CAUSALI              26
#define LF_RCAUSALI             27
#define LF_PARTITE              28
#define LF_SCADENZE             29
#define LF_PAGSCA               30
#define LF_EFFETTI              31
#define LF_CESS                 32
#define LF_DOC                  33
#define LF_RIGHEDOC             34
#define LF_SCONTI               35

#define LF_BASE                 36
#define LF_BASEBIS              37
#define LF_PERC                 38
#define LF_SCPERC               39
#define LF_RVER                 40
#define LF_RPAG                 41
#define LF_QUAL                 42
#define LF_QUAH                 43
#define LF_QUAA                 44
#define LF_DIPEND               45
#define LF_DETH                 46
#define LF_ANAMAG               47
#define LF_CODCORR              48
#define LF_UMART                49
#define LF_RFORM                50
#define LF_DESLIN               51
#define LF_CONDV                52
#define LF_RCONDV               53
#define LF_FORM                 54
#define LF_GOLEM                55

#define LF_QUAA1                56
#define LF_QUAA2                57
#define LF_QUAA3                58
#define LF_QUAB                 59
#define LF_QUAB1                60
#define LF_QUAC                 61
#define LF_QUAD                 62
#define LF_QUAD1                63
#define LF_QUAE                 64
#define LF_QUAE1                65
#define LF_QUAE2                66
#define LF_QUAF                 67
#define LF_QUAF1                68
#define LF_QUAF2                69
#define LF_QUAG                 70
#define LF_QUAG1                71
#define LF_QUAN                 72
#define LF_QUAP                 73
#define LF_QUAQ                 74
#define LF_QUAR                 75
#define LF_QUAS                 76
#define LF_QUAT                 77
#define LF_ABPCON               78
#define LF_ABSALDI              79
#define LF_MOVDETT              80
#define LF_RETT                 81
#define LF_ANALISI              82
#define LF_VOCI                 83
#define LF_RELAZ                84
#define LF_SRELAZ               85
#define LF_ABPROF               86
#define LF_ABRPROF              87
#define LF_RELNI                88
#define LF_PROSPE1              89
#define LF_RIGHEF               98
#define LF_RIGHEF1              99
#define LF_RIGHEF2             100
#define LF_QUAGD               101
#define LF_SOCTRASF            102
#define LF_TAB1100A            103
#define LF_TAB1100B            104
#define LF_TABREG              105
#define LF_DITCB               106
#define LF_TABGR               107
#define LF_TABAT               108
#define LF_MAG                 109
#define LF_MOVMAG              110
#define LF_RMOVMAG             111
#define LF_DIST                112
#define LF_RDIST               113
#define LF_STOMAG              114
#define LF_CONVOC              115
#define LF_RCONVOC             116
#define LF_STAZZ							 117

#define CNF_GENERAL 10000
#define CNF_STUDIO  CNF_GENERAL + 1
#define CNF_DITTA   CNF_GENERAL + 2

#endif  // __LFFILES_H









