C0=$(CLIB)libdefs.h $(CLIB)keye.h
C1=$(CLIB)ccommon.h $(CLIB)mshell.h $(IP)checks.h
C2=$(CLIB)ccustio.h
C12=$(CLIB)cfiles.h

(%.o):   $(CLIB)%.c  
	$(CCOMP) $(CFLAGS) $(<:.c= ) $*
	$(LIBINSERT) $*.o

.PRECIOUS:  $(LIB)

lib:        $(LIB)
	$(UPDLIB) $(LIB) $(TMPF)

$(LIB):  $(LIB)(codeb.o) $(LIB)(getaut.o) \
 $(LIB)(esc.o) $(LIB)(hlprot.o) \
 $(LIB)(ccustio.o) $(LIB)(cfiles.o) \
 $(LIB)(csort.o) $(LIB)(ltrim.o)\
 $(LIB)(mshell.o) $(LIB)(keye.o) $(LIB)(rtrim.o) $(LIB)(upstring.o)\
 $(LIB)(copy.o) $(LIB)(dirs.o) $(LIB)(ioresult.o)


$(LIB)(codeb.o):    $(C0) $(C1) $(IP)codeb.c
	$(CCOMP) -k S4UNIX -k S4LOCK_CHECK $(CFLAGS) $(IP)codeb $*
	$(LIBINSERT) $*.o

$(LIB)(getaut.o):  $(C0) $(C1) $(CLIB)getaut.c

$(LIB)(esc.o):  $(C0) $(C1) $(CLIB)esc.c

$(LIB)(hlprot.o):  $(C0) $(C1) $(CLIB)hlprot.c

$(LIB)(ccustio.o):  $(C1) $(C2) $(H1) $(IP)ccustio.c
	$(CCOMP) -u _POSIX_SOURCE $(CFLAGS) $(IP)ccustio $*
	$(LIBINSERT) $*.o

$(LIB)(cfiles.o):  $(C1) $(C2) $(C12) $(H1) $(H4) $(IP)cfiles.c
	$(CCOMP) $(CFLAGS) $(IP)cfiles  $*
	$(LIBINSERT) $*.o

$(LIB)(csort.o):  $(C1) $(C2) $(C3) $(C11) $(C12) $(C19) $(IP)csort.c
	$(CCOMP) $(CFLAGS) $(IP)csort  $*
	$(LIBINSERT) $*.o

$(LIB)(mshell.o):  $(CLIB)mshell.h $(CLIB)mshell.c

$(LIB)(keye.o):  $(CLIB)keye.c

$(LIB)(rtrim.o):  $(C0) $(C1) $(CLIB)rtrim.c

$(LIB)(ltrim.o):  $(C0) $(C1) $(CLIB)ltrim.c

$(LIB)(upstring.o):  $(C1) $(CLIB)upstring.c

$(LIB)(copy.o):  $(C0) $(C1) $(CLIB)copy.c

$(LIB)(dirs.o):  $(C0) $(C1) $(CLIB)dirs.c

$(LIB)(ioresult.o):  $(C1) $(CLIB)ioresult.c


