// 771300.h 
// Campi della maschera del QUADRO I
//
// Lista modifiche
//
// 7.5.96	Aggiunti campi per dichiarazione 96
//
#define F_A0NFCOM    101
#define F_A0NLDIP    102
#define F_A0COBB     103
#define F_A0CNET     104
#define F_A0EPREV    105
#define F_A0IITRA    106
#define F_A0CTER     107
#define F_A0TIMP     108
#define F_A0ILOR     109
#define F_A0TDET     110
#define F_A0RTER     111
#define F_A0RDAT     112
#define F_A0ERIT     113
#define F_A0CARR     114
#define F_A0AARR     115
#define F_A0DARR     116
#define F_A0RARR     117
#define F_A0RITSI    118
#define F_A0CINPS    119
#define F_A0RITOPEVA 120
#define F_A0RITOPESA 121
#define F_A0CIIAUT   122
#define F_A0NADLAV   123
#define F_A0NACAAF   124

#define F_B0NFCOM    125
#define F_B0NLDIP    126
#define F_B0TFR93    127
#define F_B0AI       128
#define F_B0COLAV    129
#define F_B0TFR7492  130
#define F_B0AI7492   131
#define F_B0RITSI    132
#define F_B0IMP      133
#define F_B0TIMP     134
#define F_B0ROP      135
#define F_B0AIINPS   136
#define F_B0ROPESA   137
#define F_B0CIIAUT   138
#define F_B1NFCOM    139
#define F_B1NPER     140
#define F_B1TIND     141
#define F_B1TIRM     142
#define F_B1TICOM    143
#define F_C0NFCOM    144
#define F_C0NLASS    145
#define F_C0ACTOT    146
#define F_C0SNSRIT   147
#define F_C0ROPE     148
#define F_C0CIIAUT   149
#define F_D0NFCOM    150
#define F_D0NLAUT    151
#define F_D0ACTOT    152
#define F_D0SNSRIT   153
#define F_D0ROPE     154
#define F_D0CIIAUT   155
#define F_D1NFCOM    156
#define F_D1NPER     157
#define F_D1TACOR    158
#define F_D1SNSRIT   159
#define F_D1ROPE     160
#define F_E0NFCOM    161
#define F_E0NPER     162
#define F_E0AIMP     163
#define F_E0ROPE     164
#define F_E0SNSRIT   165
#define F_E1NFCOM    166
#define F_E1NPER     167
#define F_E1SCOR     168
#define F_E1BCOM     169
#define F_E1ROPE     170
#define F_E1ACOM     171
#define F_E1BCOM2    172
#define F_E1ROPE2    173
#define F_E2NFCOM    174
#define F_E2NPER     175
#define F_E2ROPE     176
#define F_E2SSRIT    177
#define F_F0SRITA    178
#define F_F0ROPEA    179
#define F_F0TACCA    180
#define F_F0EDACCA   181
#define F_F0ERIMA    182
#define F_F0SSRITBF  183
#define F_F0ROPEBF   184
#define F_F0SSVA     185
#define F_F0ROPEVA   186
#define F_F1SSRIT    187
#define F_F1ROPE     188
#define F_F2SSRIT    189
#define F_F2ROPE     190
#define F_G0NFCOM    191
#define F_G0NAZI1    192
#define F_G0UDEN1    193
#define F_G0UNAT1    194
#define F_G0IUTI2    195
#define F_G0ROPE     196
#define F_G0USRIT3   197
#define F_G0RACC3    198
#define F_G0RIMP3    199
#define F_G0UNSRIT3  200
#define F_G0USPE     201
#define F_G0NPER     202
#define F_G1UCOR     203
#define F_G1USRIT    204
#define F_G1RACC     206
#define F_G1RIMP     207
#define F_G1UNSRIT   208
#define F_H0CODLAV   209
#define F_H0COLDIP   210
#define F_CODDITTA   211       
#define F_RAGSOC     212
#define F_CODDITTAG  213

#define F_A0CRIMPRAS 214
#define F_B0CRIMPRAS 215
#define F_C0CRIMPRAS 216
#define F_D0CRIMPRAS 217
#define F_D1CRIMPRAS 218
#define F_E0CRIMPRAS 219
#define F_E1CRIMPRAS 220
#define F_E2CRIMPRAS 221
#define F_F0CRIMPRAS 222
#define F_F1CRIMPRAS 223
#define F_F2CRIMPRAS 224
#define F_G0CRIMPRAS 225
#define F_G1CRIMPRAS 226 
#define F_G0UPAG     227

// Quadro A-3
#define F_A3NFCOM	   228
#define F_A3NUMPER	 229
#define F_A3REPT10	 230
#define F_A3REPT12	 231

// Campi maschera prospetto dati generali
#define F_DATLAV     250
#define F_ER92C93    251
#define F_ER93C94    252
#define F_ANNODIC    253
#define F_H0NQLAGG   254 
#define F_NSUPPM     255

// Flag quadri compilati. Attenzione a NON modificare l'ordine!
// (v. 771300.cpp e 771400a.uml e 776100.cpp)                    
#define F_QCOMPA    256
#define F_QCOMPA3  	257
#define F_QCOMPB    258
#define F_QCOMPB1   259
#define F_QCOMPC    260
#define F_QCOMPD    261
#define F_QCOMPD1   262
#define F_QCOMPE    263
#define F_QCOMPE1   264
#define F_QCOMPE2   265
#define F_QCOMPF    266
#define F_QCOMPF1   267
#define F_QCOMPF2   268
#define F_QCOMPG    269
#define F_QCOMPG1   270
#define F_QCOMPH    271
#define F_QCOMPI    272
#define F_QCOMPA1	  273
#define F_QCOMPA2 	274
#define F_QCOMPN	  275
#define F_QCOMPP    276
#define F_QCOMPQ    277
#define F_QCOMPR    278
#define F_QCOMPS    279
#define F_QCOMPT    280    

// P.dati generali
#define F_M1				300
#define F_M2				301
#define F_M3				302 
#define F_M4				303
#define F_M5				304
#define F_M6				305

#define F_QSUPPA     400 
#define F_QSUPPA1    401
#define F_QSUPPA2    402
#define F_QSUPPA3    403
#define F_QSUPPB     404 
#define F_QSUPPB1    405 
#define F_QSUPPC     406 
#define F_QSUPPD     407 
#define F_QSUPPD1    408 
#define F_QSUPPE     409 
#define F_QSUPPE1    410 
#define F_QSUPPE2    411 
#define F_QSUPPF     412 
#define F_QSUPPF1    413 
#define F_QSUPPF2    414 
#define F_QSUPPG     415 
#define F_QSUPPG1    416 
#define F_QSUPPH     417 
#define F_QSUPPI     418 
#define F_QSUPPL     419 
#define F_QSUPPN     420
#define F_QSUPPP     421
#define F_QSUPPQ     422
#define F_QSUPPR     423
#define F_QSUPPS     424
#define F_QSUPPT     425

#define F_TIPOQUA1   430
#define F_TIPOQUA2	 431
#define F_TIPOQUA 	 432

// Aggiunte 96
#define	F_A0CRIMPL85 433
#define	F_A0INCDET	 434
#define	F_B0CRIMPL85 435
#define	F_C0CONTSSN	 436
#define	F_D0CRIMPL85 437
#define	F_G0ROPESPET 438
