USE 58
JOIN 45 INTO CODDITTA=CODDITTA CODDIP=CODDIP
JOIN 9 INTO CODDITTA=CODDITTA
JOIN 102 INTO CODDITTA=CODDITTA
JOIN 6 TO 9 ALIAS 106 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN 8 TO 106@ ALIAS 108 INTO CODANAGR=CODANAGR
JOIN 13 TO 108@ ALIAS 113 INTO COM==COMNASC
JOIN 13 TO 106@ ALIAS 213 INTO COM==COMRF(COMRES)
JOIN 37 INTO CODDITTA=CODDITTA
END

DESCRIPTION
BEGIN
  58->* "Quadro A3 770"
  45->* "Anagrafica dei dipendenti"
  9->* "Ditte"
  106@->* "Anagrafica persone fisiche e giuridiche (ditta)"
  108@->* "Anagrafica persone fisiche (ditta)"
  113@->* "Comuni DITTA (nascita)"
  213@->* "Comuni DITTA (residenza)"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 11
  CARATTERE "X"
  INIZIO_POS 3 2
  FINE_POS 131
  GRID "+++++++++-|"
END

SECTION HEADER FIRST 28

LISTA 100
BEGIN
 KEY "Ditta trasformata"
 FLAGS "H"
 ITEM "1|Normale"     MESSAGE ENABLE,10@|DISABLE,20@
 ITEM "2|Trasformata" MESSAGE ENABLE,20@|DISABLE,10@
 FIELD 58->NPROG
END

LISTA 1
BEGIN
 KEY "Tipo anagrafica"
 FLAGS "H"
 FIELD 106@->TIPOA
 ITEM "F|Fisica" MESSAGE SHOW,11@|HIDE,12@
 ITEM "G|Giuridica" MESSAGE SHOW,12@|HIDE,11@
 GROUP 10
END

STRINGA 2
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 3 12 ""
 FIELD 106@->COFI
 GROUP 10
END

STRINGA 3
BEGIN
 KEY "RAGIONE SOCIALE"
 PROMPT 40 12 ""
 FIELD 106@->RAGSOC
 GROUP 10 12
END

STRINGA 4
BEGIN
 KEY "COGNOME"
 PROMPT 40 12 ""
 FIELD 106@->RAGSOC[1,30]
 GROUP 10 11
END

STRINGA 5
BEGIN
 KEY "NOME"
 PROMPT 17 14 ""
 FIELD 106@->RAGSOC[31,50]
 GROUP 10 11
END

STRINGA 6
BEGIN
 KEY "SESSO"
 PROMPT 59 14 ""
 FIELD 108@->SESSO
 GROUP 10 11
END

STRINGA 7
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 67 14 ""
 FIELD 108@->DATANASC
 GROUP 10 11
END

STRINGA 8
BEGIN
 KEY "COMUNE DI NASCITA"
 PROMPT 84 14 ""
 FIELD 113@->DENCOM
 GROUP 10 11
END

STRINGA 9
BEGIN
 KEY "PROV. DI NASCITA"
 PROMPT 126 14 ""
 FIELD 113@->PROVCOM
 GROUP 10 11
END

STRINGA 10
BEGIN
 KEY "COMUNE DI RES.FISCALE"
 PROMPT 17 16 ""
 FIELD 213@->DENCOM
 GROUP 10
END

STRINGA 11
BEGIN
 KEY "PROV DI RES.FISCALE"
 PROMPT 59 16 ""
 FIELD 213@->PROVCOM
 GROUP 10
END

STRINGA 12
BEGIN
 KEY "VIA di RES."
 PROMPT 67 16 ""
 FIELD 106@->INDRF
 FIELD 106@->INDRES
 GROUP 10
END

STRINGA 15
BEGIN
 KEY "NUM. CIVICO di RES."
 PROMPT 104 16 ""
 FIELD 106@->CIVRF
 FIELD 106@->CIVRES
 GROUP 10
END

STRINGA 16
BEGIN
 KEY "CAP"
 PROMPT 123 16 ""
 FIELD 106@->CAPRF
 FIELD 106@->CAPRES
 GROUP 10
END

LISTA 101
BEGIN
 KEY "Tipo anagrafica"
 FLAGS "H"
 FIELD 106@->TIPOA
 ITEM "F|Fisica" MESSAGE SHOW,21@|HIDE,22@
 ITEM "G|Giuridica" MESSAGE SHOW,22@|HIDE,21@
 GROUP 20
END

STRINGA 102
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 3 12 ""
 FIELD 102->CODFISC
 GROUP 20
END

STRINGA 103
BEGIN
 KEY "RAGIONE SOCIALE"
 PROMPT 39 12 ""
 FIELD 102->DENOMIN
 GROUP 20 22
END

STRINGA 104
BEGIN
 KEY "COGNOME"
 PROMPT 39 12 ""
 FIELD 102->DENOMIN
 GROUP 20 21
END

STRINGA 105
BEGIN
 KEY "NOME"
 PROMPT 17 14 ""
 FIELD 102->NOME
 GROUP 20 21
END

STRINGA 106
BEGIN
 KEY "SESSO"
 PROMPT 58 14 ""
 FIELD 102->SESSO
 GROUP 20 21
END

STRINGA 107
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 67 14 ""
 FIELD 102->DATANAS
 GROUP 20 21
END

STRINGA 108
BEGIN
 KEY "COMUNE DI NASCITA"
 PROMPT 84 14 ""
 FIELD 102->COMNAS
 GROUP 20 21
END

STRINGA 109
BEGIN
 KEY "PROV. DI NASCITA"
 PROMPT 125 14 ""
 FIELD 102->PROVNAS
 GROUP 20 21
END

STRINGA 110
BEGIN
 KEY "COMUNE DI RES.FISCALE"
 PROMPT 17 16 ""
 FIELD 102->COMDOM
 GROUP 20
END

STRINGA 111
BEGIN
 KEY "PROV DI RES.FISCALE"
 PROMPT 59 16 ""
 FIELD 102->PROVDOM
 GROUP 20
END

STRINGA 112
BEGIN
 KEY "VIA di RES."
 PROMPT 66 16 ""
 FIELD 102->INDDOM
 GROUP 20
END

STRINGA 13
BEGIN
 KEY "CODICE FISCALE DEL SOGGETTO DICHIARANTE"
 PROMPT 87 20 ""
END

NUMERO 15 
BEGIN
 KEY "CONSISTENZA BASE OCCUPAZIONALE AL 12/06/94"
 PROMPT 56 21 ""
 PICTURE "###.###"
 FIELD 37->CONSBASOCC
END

NUMERO 16
BEGIN
 KEY "LAVORATORI DIPENDENTI IN MOBILITA'"
 PROMPT 56 22 ""
 PICTURE "###.###"
 FIELD 37->LAVDIPCIN
END

DATA 17
BEGIN
 KEY "PERIODO D'IMPOSTA (DAL)"
 PROMPT 96 22 ""
 FORMAT "1442 "          
 FIELD 37->PIMPINI
END

DATA 18
BEGIN
 KEY "PERIODO D'IMPOSTA (AL)"
 PROMPT 117 22 ""
 FORMAT "1442 "
 FIELD 37->PIMPFINE
END


NUMERO 14
BEGIN
 KEY "NUM. FOGLIO"
 PROMPT 125 25 ""
END


END

SECTION BODY ODD 6

STRINGA 1
BEGIN
 KEY "COD.FIS"
 PROMPT 11 1 ""
 FIELD 45->CODFI
END

STRINGA 2
BEGIN
 KEY "COGNOME"
 PROMPT 42 1 ""
 FIELD 45->COGNOME
END

STRINGA 3
BEGIN
 KEY "NOME"
 PROMPT 79 1 ""
 FIELD 45->NOME
END

DATA 4
BEGIN
 KEY "DATA NASCITA"
 PROMPT 114 1 ""
 FIELD 45->DATANA
 FORMAT "1444-"
END

STRINGA 5
BEGIN
 KEY "SESSO"
 PROMPT 128 1 ""
 FIELD 45->SESSO
END

STRINGA 6
BEGIN
 KEY "COMUNE DI NASCITA"
 PROMPT 11 3 ""
 FIELD 45->COMUNENA
END

STRINGA 7
BEGIN
 KEY "PROV DI NASCITA"
 PROMPT 47 3 ""
 FIELD 45->PROVNA
END

DATA 8
BEGIN
 KEY "INIZIO RAPPORTO A TEMPO INDETERMINATO"
 PROMPT 11 5 ""
 FIELD 58->DIRAPTI
 FORMAT "1444-"
 PICTURE "## ^ ##^^^##"
END

NUMERO 9
BEGIN
 KEY "NUMERO GIORNI IN INCREMENTO"
 PROMPT 35 5 ""
 PICTURE "######"
 FIELD 58->NGINC15
END

NUMERO 10
BEGIN
 KEY "REDDITO CORRISPOSTO"
 PROMPT 43 5 ""
 MESSAGE ADD,FL->10
 PICTURE "###.###.###.###^^^"
 FIELD 58->REDCOR16
END

NUMERO 11
BEGIN
 KEY "NUMERO GIORNI IN INCREMENTO"
 PROMPT 69 5 ""
 PICTURE "######"
 FIELD 58->NGINC17
END

NUMERO 12
BEGIN
 KEY "REDDITO CORRISPOSTO"
 PROMPT 77 5 ""
 MESSAGE ADD,FL->12
 PICTURE "###.###.###.###^^^"
 FIELD 58->REDCOR18
END

END

SECTION FOOTER LAST 2

NUMERO 10
BEGIN
 KEY "REDDITO CORRISPOSTO"
 PROMPT 43 1 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 12
BEGIN
 KEY "REDDITO CORRISPOSTO"
 PROMPT 77 1 ""
 PICTURE "###.###.###.###^^^"
END

STRINGA 2
BEGIN
 KEY "FIRMA"
 PROMPT 83 4 ""
 FIELD 106@->RAGSOC
END

END

END
