USE 59
JOIN 45 INTO CODDITTA=CODDITTA CODDIP=CODDIP
JOIN 9 INTO CODDITTA=CODDITTA
JOIN 6 TO 9 ALIAS 106 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN 8 TO 106@ ALIAS 108 INTO CODANAGR=CODANAGR
JOIN 13 TO 108@ ALIAS 113 INTO COM==COMNASC
JOIN 13 TO 106@ ALIAS 213 INTO COM==COMRF(COMRES)

END
DESCRIPTION
BEGIN
  59->* "Quadro B 770"
  45->* "Anagrafica dei dipendenti"
  9->* "Ditte"
  106@->* "Anagrafica persone fisiche e giuridiche (ditta)"
  108@->* "Anagrafica persone fisiche (ditta)"
  113@->* "Comuni DITTA (nascita)"
  213@->* "Comuni DITTA (residenza)"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 11
  CARATTERE "X"
  INIZIO_POS 3 2
  FINE_POS 131
  GRID "+++++++++-|"
END

SECTION HEADER FIRST 28

LISTA 1
BEGIN
 KEY "Tipo anagrafica"
 FLAGS "H"
 FIELD 106@->TIPOA
 ITEM "F|Fisica" MESSAGE SHOW,1@|HIDE,2@
 ITEM "G|Giuridica" MESSAGE SHOW,2@|HIDE,1@
END

STRINGA 2
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 3 11 ""
 FIELD 106@->COFI
END

STRINGA 3
BEGIN
 KEY "RAGIONE SOCIALE"
 PROMPT 39 11 ""
 GROUP  2
 FIELD 106@->RAGSOC
END

STRINGA 4
BEGIN
 KEY "COGNOME"
 PROMPT 39 11 ""
 GROUP  1
 FIELD 106@->RAGSOC[1,30]
END

STRINGA 5
BEGIN
 KEY "NOME"
 PROMPT 17 13 ""
 GROUP  1
 FIELD 106@->RAGSOC[31,50]
END

STRINGA 6
BEGIN
 KEY "SESSO"
 PROMPT 58 13 ""
 GROUP  1
 FIELD 108@->SESSO
END

STRINGA 7
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 67 13 ""
 GROUP  1
 FIELD 108@->DATANASC
END

STRINGA 8
BEGIN
 KEY "COMUNE DI NASCITA"
 PROMPT 84 13 ""
 GROUP  1
 FIELD 113@->DENCOM
END

STRINGA 9
BEGIN
 KEY "PROV. DI NASCITA"
 PROMPT 125 13 ""
 GROUP  1
 FIELD 113@->PROVCOM
END

STRINGA 10
BEGIN
 KEY "COMUNE DI RES.FISCALE"
 PROMPT 17 15 ""
 FIELD 213@->DENCOM
END

STRINGA 11
BEGIN
 KEY "PROV DI RES.FISCALE"
 PROMPT 59 15 ""
 FIELD 213@->PROVCOM
END

STRINGA 12
BEGIN
 KEY "VIA di RES."
 PROMPT 66 15 ""
 FIELD 106@->INDRF
 FIELD 106@->INDRES
END

STRINGA 15
BEGIN
 KEY "NUM. CIVICO di RES."
 PROMPT 104 15 ""
 FIELD 106@->CIVRF
 FIELD 106@->CIVRES
END

STRINGA 16
BEGIN
 KEY "CAP"
 PROMPT 123 15 ""
 FIELD 106@->CAPRF
 FIELD 106@->CAPRES
END

STRINGA 13
BEGIN
 KEY "CODICE FISCALE DEL SOGGETTO DICHIARANTE"
 PROMPT 85 18 ""
END

NUMERO 14
BEGIN
 KEY "NUM. FOGLIO"
 PROMPT 125 21 ""
END

END

SECTION BODY ODD 12

STRINGA 1
BEGIN
 KEY "COD.FIS"
 PROMPT 11 1 ""
 FIELD 45->CODFI
END

STRINGA 2
BEGIN
 KEY "COGNOME"
 PROMPT 44 1 ""
 FIELD 45->COGNOME
END

STRINGA 3
BEGIN
 KEY "NOME"
 PROMPT 82 1 ""
 FIELD 45->NOME
END

DATA 4
BEGIN
 KEY "DATA NASCITA"
 PROMPT 114 1 ""
 FIELD 45->DATANA
 FORMAT "1444-"
END

STRINGA 5
BEGIN
 KEY "SESSO"
 PROMPT 128 1 ""
 FIELD 45->SESSO
END

STRINGA 6
BEGIN
 KEY "COMUNE DI NASCITA"
 PROMPT 11 3 ""
 FIELD 45->COMUNENA
END

STRINGA 7
BEGIN
 KEY "PROV DI NASCITA"
 PROMPT 47 3 ""
 FIELD 45->PROVNA
END

STRINGA 8
BEGIN
 KEY "COMUNE DI RESIDENZA"
 PROMPT 54 3 ""
 FIELD 45->COMRES
END

STRINGA 9
BEGIN
 KEY "PROV. RESIDENZA"
 PROMPT 88 3 ""
 FIELD 45->PROVRES
END

STRINGA 10
BEGIN
 KEY "INDIRIZZO RES."
 PROMPT 95 3 ""
 FIELD 45->INDRES
END

DATA 11
BEGIN
 KEY "DATA INIZIO RAPPORTO"
 PROMPT 12 5 ""
 PICTURE "## ^ ## ^ ^^##"
 FIELD DATAINI
END

DATA 12
BEGIN
 KEY "DATA FINE RAPPORTO"
 PROMPT 31 5 ""
 PICTURE "## ^ ## ^ ^^##"
 FIELD DATAFIN
END

NUMERO 131
BEGIN
 KEY "ANNI COMMISURAZIONE"
 PROMPT 49 5 ""
 FIELD ANNICOMM
END

NUMERO 132
BEGIN
 KEY "MESI COMMISURAZIONE"
 PROMPT 55 5 ""
 FIELD MESICOMM
END

NUMERO 141
BEGIN
 KEY "ANNI CONVENZIONALI"
 PROMPT 61 5 ""
 FIELD ANNICONV
END

NUMERO 142
BEGIN
 KEY "MESI CONVENZIONALI"
 PROMPT 66 5 ""
 FIELD MESICONV
END

NUMERO 151
BEGIN
 KEY "ANNI PARZIALI"
 PROMPT 75 5 ""
 FIELD ANNIPARZ
 PICTURE "##"
END

NUMERO 152
BEGIN
 KEY "MESI PARZIALI"
 PROMPT 80 5 ""
 FIELD MESIPARZ
 PICTURE "##"
END

NUMERO 153
BEGIN
 KEY "PERCENTUALE TEMPO PARZIALE"
 PROMPT 83 5 ""
 PICTURE "##@,@@"
 FIELD PERCPARZ
END

NUMERO 16
BEGIN
 KEY "QUOTA ECCEDENTE"
 PROMPT 90 5 ""
 PICTURE "###.###.###^^^"
 FIELD QUOTAECC
 MESSAGE ADD,FL->16
END

NUMERO 17
BEGIN
 KEY "MESE EROGAZIONE"
 PROMPT 104 5 ""
 FIELD MESEEROG
END

STRINGA 18
BEGIN
 KEY "TITOLO EROGAZIONE"
 PROMPT 110 5 ""
 FIELD TITEROG
END

NUMERO 19
BEGIN
 KEY "PERCENTUALE ABBATTIMENTO"
 PROMPT 112 5 ""
 PICTURE "##@,@@"
 FIELD PERCABB
END

NUMERO 20
BEGIN
 KEY "AMMONTARE NETTO"
 PROMPT 119 5 ""
 PICTURE "#.###.###.###^^^"
 FIELD AMMNETTO
 MESSAGE ADD,FL->20
END

NUMERO 21
BEGIN
 KEY "MESE EROGAZIONE"
 PROMPT 11 7 ""
 FIELD MESEEROG2
END

STRINGA 22
BEGIN
 KEY "TITOLO EROGAZIONE"
 PROMPT 16 7 ""
 FIELD TITEROG2
END

NUMERO 23
BEGIN
 KEY "ABBATTIMENTO"
 PROMPT 22 7 ""
 PICTURE "###.###.###^^^"
 FIELD ABBATT
 MESSAGE ADD,FL->23
END

NUMERO 24
BEGIN
 KEY "AMMONTARE NETTO"
 PROMPT 35 7 ""
 PICTURE "###.###.###^^^"
 FIELD AMMNETTO2
 MESSAGE ADD,FL->24
END

NUMERO 25
BEGIN
 KEY "CONTRIBUTI OBBLIGATORI LAVORATORE"
 PROMPT 50 7 ""
 PICTURE "###.###.###.###^^^"
 FIELD CONTLAV
 MESSAGE ADD,FL->25
END

NUMERO 26
BEGIN
 KEY "T.F.R."
 PROMPT 67 7 ""
 PICTURE "###.###.###.###^^^"
 FIELD TFR7494
 MESSAGE ADD,FL->26
END

NUMERO 27
BEGIN
 KEY "ALTRE INDENNITA'"
 PROMPT 84 7 ""
 PICTURE "###.###.###.###^^^"
 FIELD INDEN7494
 MESSAGE ADD,FL->27
END

NUMERO 28
BEGIN
 KEY "TOTALE INDENNITA'"
 PROMPT 103 7 ""
 PICTURE "###.###.###^^^"
 FIELD TIND7494
 MESSAGE ADD,FL->28
END

NUMERO 29
BEGIN
 KEY "TOTALE RIDUZIONI"
 PROMPT 117 7 ""
 PICTURE "###.###.###.###^^^"
 FIELD TRID
 MESSAGE ADD,FL->29
END

NUMERO 30
BEGIN
 KEY "T.F.R. PER REDDITO DI RIFERIMENTO"
 PROMPT 11 9 ""
 PICTURE "###.###.###.###^^^"
 FIELD TFRIND
 MESSAGE ADD,FL->30
END

NUMERO 31
BEGIN
 KEY "ALIQUOTA"
 PROMPT 27 9 ""
 PICTURE "##@,@@"
 FIELD ALIQUOTA
END

NUMERO 32
BEGIN
 KEY "RETRIBUZIONE MEDIA BIENNIO PRECEDENTE"
 PROMPT 33 9 ""
 PICTURE "###.###.###.###^^^"
 FIELD RETRMEDIA
END

NUMERO 33
BEGIN
 KEY "ALIQUOTA"
 PROMPT 49 9 ""
 PICTURE "##@,@@"
 FIELD ALIQUOTA2
END

NUMERO 34
BEGIN
 KEY "IMPONIBILE T.F.R."
 PROMPT 57 9 ""
 PICTURE "###.###.###^^^"
 FIELD IMPTFR
 MESSAGE ADD,FL->34
END

NUMERO 35
BEGIN
 KEY "IMPONIBILE ALTRE INDENNITA'"
 PROMPT 73 9 ""
 PICTURE "#.###.###.###^^^"
 FIELD IMPIND
 MESSAGE ADD,FL->35
END

NUMERO 36
BEGIN
 KEY "IMPONIBILE DELL'ANNO"
 PROMPT 88 9 ""
 PICTURE "#.###.###.###^^^"
 FIELD IMPANNO
 MESSAGE ADD,FL->36
END

NUMERO 37
BEGIN
 KEY "TOTALE REDDITO IMPONIBILE"
 PROMPT 103 9 ""
 PICTURE "#.###.###.###^^^"
 FIELD TOTIMP
 MESSAGE ADD,FL->37
END

NUMERO 38
BEGIN
 KEY "RITENUTE OPERATE"
 PROMPT 119 9 ""
 PICTURE "#.###.###.###^^^"
 FIELD ROPEACC
 MESSAGE ADD,FL->38
END

NUMERO 39
BEGIN
 KEY "IMPOSTA DOVUTA"
 PROMPT 11 11 ""
 PICTURE "###.###.###.###^^^"
 FIELD IMPDOV
 MESSAGE ADD,FL->39
END

NUMERO 40
BEGIN
 KEY "RITENUTE FISCALI"
 PROMPT 28 11 ""
 PICTURE "###.###.###.###^^^"
 FIELD RITECC
 MESSAGE ADD,FL->40
END

NUMERO 41
BEGIN
 KEY "QUOTA SPETTANTE"
 PROMPT 45 11 ""
 PICTURE "###.###.###.###^^^"
 FIELD QUOTASPET
END

NUMERO 42
BEGIN
 KEY "INDENNITA' SPETTANTE"
 PROMPT 62 11 ""
 PICTURE "###.###.###.###^^^"
 FIELD INDSPETT
 MESSAGE ADD,FL->42
END

NUMERO 43
BEGIN
 KEY "RITENUTE OPERATE"
 PROMPT 79 11 ""
 PICTURE "###.###.###.###^^^"
 FIELD ROPE
 MESSAGE ADD,FL->43
END

NUMERO 44
BEGIN
 KEY "IMPONIBILE C.S.S.N."
 PROMPT 96 11 ""
 PICTURE "###.###.###.###^^^"
 FIELD IMPOCSSN
 MESSAGE ADD,FL->44
END

END

SECTION FOOTER LAST 8

NUMERO 16
BEGIN
 KEY "QUOTA ECCEDENTE"
 PROMPT 90 1 ""
 PICTURE "###.###.###^^^"
END

NUMERO 20
BEGIN
 KEY "AMMONTARE NETTO"
 PROMPT 119 1 ""
 PICTURE "#.###.###.###^^^"
END

NUMERO 23
BEGIN
 KEY "ABBATTIMENTO"
 PROMPT 22 3 ""
 PICTURE "###.###.###^^^"
END

NUMERO 24
BEGIN
 KEY "AMMONTARE NETTO"
 PROMPT 35 3 ""
 PICTURE "###.###.###^^^"
END

NUMERO 25
BEGIN
 KEY "CONTRIBUTI OBBLIGATORI LAVORATORE"
 PROMPT 50 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 26
BEGIN
 KEY "T.F.R."
 PROMPT 67 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 27
BEGIN
 KEY "ALTRE INDENNITA'"
 PROMPT 84 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 28
BEGIN
 KEY "TOTALE INDENNITA'"
 PROMPT 103 3 ""
 PICTURE "###.###.###^^^"
END

NUMERO 29
BEGIN
 KEY "TOTALE INDENNITA'"
 PROMPT 117 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 30
BEGIN
 KEY "T.F.R. PER REDDITO DI RIFERIMENTO"
 PROMPT 11 5 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 34
BEGIN
 KEY "IMPONIBILE T.F.R."
 PROMPT 57 5 ""
 PICTURE "###.###.###^^^"
END

NUMERO 35
BEGIN
 KEY "IMPONIBILE ALTRE INDENNITA'"
 PROMPT 73 5 ""
 PICTURE "#.###.###.###^^^"
END

NUMERO 36
BEGIN
 KEY "IMPONIBILE DELL'ANNO"
 PROMPT 88 5 ""
 PICTURE "#.###.###.###^^^"
END

NUMERO 37
BEGIN
 KEY "TOTALE REDDITO IMPONIBILE"
 PROMPT 103 5 ""
 PICTURE "#.###.###.###^^^"
END

NUMERO 38
BEGIN
 KEY "RITENUTE OPERATE"
 PROMPT 119 5 ""
 PICTURE "#.###.###.###^^^"
END

NUMERO 39
BEGIN
 KEY "IMPOSTA DOVUTA"
 PROMPT 11 7 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 40
BEGIN
 KEY "RITENUTE FISCALI"
 PROMPT 28 7 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 42
BEGIN
 KEY "INDENNITA' SPETTANTE"
 PROMPT 62 7 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 43
BEGIN
 KEY "RITENUTE OPERATE"
 PROMPT 79 7 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 44
BEGIN
 KEY "IMPONIBILE C.S.S.N."
 PROMPT 96 7 ""
 PICTURE "###.###.###.###^^^"
END

STRINGA 2
BEGIN
 KEY "FIRMA"
 PROMPT 83 23 ""
 FIELD 106@->RAGSOC
END

END

END
