USE 101
JOIN  9 TO 101 INTO CODDITTA==CODDITTA
JOIN  6 TO 9 ALIAS 106 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  6 TO  101 ALIAS 216 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  8 TO 216@ ALIAS 218 INTO CODANAGR=CODANAGR
JOIN 13 TO 218@ ALIAS 313 INTO COM=COMNASC
JOIN 13 TO 216@ ALIAS 413 INTO STATO=STATORES COM=COMRES 
JOIN 13 TO 216@ ALIAS 513 INTO STATO=""(STATORES) COM=COMRF(COMRES) 
JOIN %STA TO 216@ ALIAS 24 INTO CODTAB=STATORES
END

DESCRIPTION
BEGIN
  62->* "770 Quadro G distinta"
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  113@->* "Comuni"
  213@->* "Comuni"
  216@->* "Anagrafica persone fisiche e giuridiche"
  218@->* "Anagrafica persone giuridiche"
  313@->* "Comuni"
  413@->* "Comuni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier 17cpi"
  SIZE 10
  CA "X"           
  IN 3 2
  FI 131
END

SECTION HEADER FIRST 15

STRINGA 13
BEGIN
  KEY "CODICE FISCALE DICHIARANTE"
  PROMPT 105 19  "" 
  FLAGS "H"
END

NUMBER 14
BEGIN
  KEY "NUM. FOGLIO"
  PROMPT 123 6  ""
END

END

SECTION HEADER LAST 18

STRINGA 1
BEGIN
  KEY "CODICE FISCALE"
  PROMPT 4 11  ""
  FIELD 106@->COFI
END

STRINGA 2
BEGIN
  KEY "RAGIONE SOCIALE"
  PROMPT 39 11  ""
  FIELD 106@->RAGSOC
END

STRINGA 3
BEGIN
  KEY "COGNOME"
  PROMPT 39 11 ""
  FIELD 106@->RAGSOC[1,30]
  GROUP 1   
  FLAGS "H"
END

STRINGA 4
BEGIN
  KEY "NOME"
  PROMPT 17 13 ""
  FIELD 106@->RAGSOC[31,50]
  GROUP 1  
  FLAGS "H"
END

STRINGA 5
BEGIN
  KEY "COMUNE DI RES."
  PROMPT 17 13 ""
  FIELD 413@->DENCOM
END

STRINGA 6
BEGIN
  KEY "PROV DI RES."
  PROMPT 58 13 ""
  FIELD 413@->PROVCOM
END

STRINGA 7
BEGIN
  KEY "VIA di RES."
  PROMPT 65 13  ""   
  FIELD 106@->INDRF 
  FIELD 106@->INDRES
  GROUP 4  
END

STRINGA 8
BEGIN
  KEY "NUM. CIVICO di RES."
  PROMPT 101 13 "" 
  FIELD 106@->CIVRF
  FIELD 106@->CIVRES
  GROUP 4  
END

STRINGA 9
BEGIN
  KEY "CAP"
  PROMPT 122 13 "" 
  FIELD 106@->CAPRF
  FIELD 106@->CAPRES
  GROUP 4
END

STRINGA 13
BEGIN
  KEY "CODICE FISCALE DICHIARANTE"
  PROMPT 118 16  ""
END

STRINGA 14
BEGIN
  KEY "NUM. FOGLIO"
  PROMPT 120 17  ""  
  FLAGS "H"
END

END

SECTION BODY ODD 8

STRINGA 1
BEGIN
  KEY "COD.FIS"
  PROMPT 10 1 ""
  FIELD 216@->COFI
END

STRING 2
BEGIN   
  KEY "COGNOME"
  PROMPT 43 1 ""
  FIELD 216@->RAGSOC[1,30]
END

STRING 3
BEGIN   
  KEY "NOME"
  PROMPT 98 1 ""
  FIELD 216@->RAGSOC[31,50]
END

STRING 4
BEGIN   
  KEY "DATA NASCITA"
  PROMPT 10 3 ""
  FIELD 218@->DATANASC
END

STRING 5
BEGIN   
  KEY "SESSO"
  PROMPT 36 3 ""
  FIELD 218@->SESSO
END

STRING 6
BEGIN
  KEY "COMUNE DI NASCITA"
  PROMPT 44 3 ""
  FIELD 313@->DENCOM
END

STRING 7
BEGIN
  KEY "PROV DI NASCITA"
  PROMPT 117 3 ""
  FIELD 313@->PROVCOM
END

STRING 8
BEGIN
  KEY "COMUNE DI RESIDENZA"
  PROMPT 10 5 ""
  FIELD 413@->DENCOM
END

STRING 9
BEGIN
  KEY "PROV. RESIDENZA"
  PROMPT 58 5 ""
  FIELD 413@->PROVCOM
END

STRING 101
BEGIN
  KEY "VIA RES."
  PROMPT 94 5 ""
  FIELD 216@->INDRES[1,18]
  FLAGS "H"
  MESSAGE COPY,10
END

STRING 102
BEGIN
  KEY "NUM.CIV"
  PROMPT 93 5 ""
  FLAGS "H"
  FIELD 216@->CIVRES
  MESSAGE APPEND,10
END

STRING 10
BEGIN
  KEY "VIA RES. + numcivres"
  PROMPT 66 5 ""
END

NUMBER 11
BEGIN
  KEY "NUMERO QUOTE"
  PROMPT 117 5 ""
  FIELD 101->NUMQUOTE   
  PICTURE "###.###.###,@@"
END

NUMBER 12
BEGIN
  KEY "UTILI SPETTANTI"
  PROMPT 31 7 ""
  FIELD 101->UTSPETT
  PICTURE "###.###.###^^^"   
  MESSAGE ADD,FO->12
END

NUMBER 13
BEGIN
  KEY "RIT.OPERATE SUGLI UTILI SPETTANTI"
  PROMPT 59 7 ""
  FIELD 101->ROPESPET
  PICTURE "###.###.###^^^"  
  MESSAGE ADD,FO->13
END

NUMBER 14
BEGIN
  KEY "UTILI PAGATI"
  PROMPT 93 7 ""
  FIELD 101->UTPAG
  PICTURE "###.###.###^^^"   
  MESSAGE ADD,FO->14
END

NUMBER 15
BEGIN
  KEY "RITENUTE OPERATE SUGLI UT.PAGATI"
  PROMPT 120 7 ""
  FIELD 101->ROPE
  PICTURE "###.###.###^^^"   
  MESSAGE ADD,FO->15
END

END

SECTION BODY EVEN 6

STRINGA 1
BEGIN
  KEY "COD.FIS"
  PROMPT 10 1 ""
  FIELD 216@->COFI
END

STRING 2
BEGIN
  KEY "RAGSOC GIURIDICHE"
  PROMPT 44 1 ""
  FIELD 216@->RAGSOC
END

STRING 3
BEGIN
  KEY "COMUNE DI RF/RES. GIURIDICHE"
  PROMPT 10 3 ""
  FIELD 513@->DENCOM
END

STRING 4
BEGIN
  KEY "PROV. RF/RES. GIURIDICHE"
  PROMPT 61 3 ""
  FIELD 513@->PROVCOM
END

STRING 5
BEGIN
  KEY "VIA RF/RES. GIURIDICHE"
  PROMPT 94 3 ""   
  FIELD 216@->INDRF[1,18]
  FIELD 216@->INDRES[1,18]
  FLAGS "H"
  MESSAGE COPY,7
END

STRING 6
BEGIN
  KEY "NUM.CIV RF/RES. GIURIDICHE"
  PROMPT 93 3 ""
  FLAGS "H"            
  FIELD 216@->CIVRF
  FIELD 216@->CIVRES
  MESSAGE APPEND,7
END

STRING 7
BEGIN
  KEY "VIA RF/RES. + numcivres"
  PROMPT 69 3 ""
END

NUMBER 11
BEGIN
  KEY "NUMERO QUOTE"
  PROMPT 117 3 ""
  FIELD 101->NUMQUOTE 
  PICTURE "###.###.###,@@"   
END

NUMBER 12
BEGIN
  KEY "UTILI SPETTANTI"
  PROMPT 31 5 ""
  FIELD 101->UTSPETT
  PICTURE "###.###.###^^^"   
  MESSAGE ADD,FE->12
END

NUMBER 13
BEGIN
  KEY "RIT.OPERATE SUGLI UTILI SPETTANTI"
  PROMPT 59 5 ""
  FIELD 101->ROPESPET
  PICTURE "###.###.###^^^"  
  MESSAGE ADD,FE->13
END

NUMBER 14
BEGIN
  KEY "UTILI PAGATI"
  PROMPT 93 5 ""
  FIELD 101->UTPAG
  PICTURE "###.###.###^^^"   
  MESSAGE ADD,FE->14
END

NUMBER 15
BEGIN
  KEY "RITENUTE OPERATE SUGLI UT.PAGATI"
  PROMPT 120 5 ""
  FIELD 101->ROPE
  PICTURE "###.###.###^^^"   
  MESSAGE ADD,FE->15
END

END

SECTION FOOTER ODD 2

NUMBER 12
BEGIN
  KEY "TOTALE UT.SPETT."
  PROMPT 31 1 ""  
  PICTURE "###.###.###^^^"
END

NUMBER 13
BEGIN
  KEY "TOTALE R.OPE.SU UT.SPETT."
  PROMPT 59 1 ""          
  PICTURE "###.###.###^^^"
END

NUMBER 14
BEGIN
  KEY "TOTALE UTILI PAGATI"
  PROMPT 93 1 ""  
  PICTURE "###.###.###^^^"
END

NUMBER 15
BEGIN
  KEY "TOTALE R.OPE.SU UT.PAGATI"
  PROMPT 120 1 ""         
  PICTURE "###.###.###^^^"
END

END

SECTION FOOTER EVEN 2

NUMBER 12
BEGIN
  KEY "TOTALE UT.SPETT."
  PROMPT 31 1 ""  
  PICTURE "###.###.###^^^"
END

NUMBER 13
BEGIN
  KEY "TOTALE R.OPE.SU UT.SPETT."
  PROMPT 59 1 ""          
  PICTURE "###.###.###^^^"
END

NUMBER 14
BEGIN
  KEY "TOTALE UTILI PAGATI"
  PROMPT 93 1 ""  
  PICTURE "###.###.###^^^"
END

NUMBER 15
BEGIN
  KEY "TOTALE R.OPE.SU UT.PAGAI"
  PROMPT 120 1 ""         
  PICTURE "###.###.###^^^"
END

STRINGA 16
BEGIN
 KEY "FIRMA"
 PROMPT 83 13 ""
 FIELD 106@->RAGSOC
END

END
