USE 42
JOIN 37 INTO CODDITTA==CODDITTA
JOIN 9 INTO CODDITTA==CODDITTA
JOIN 6 TO 9 ALIAS 106 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN 8 TO 106@ ALIAS 108 INTO CODANAGR=CODANAGR
JOIN 13 TO 108@ ALIAS 113 INTO COM==COMNASC
JOIN 13 TO 106@ ALIAS 213 INTO COM==COMRF(COMRES)
END

DESCRIPTION
BEGIN
  36->* "Base 770"
  37->* "Basebis 770"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier 17cpi"
  SIZE 10
  CA "X"           
  IN 3 2
  FI 131
END

SECTION HEADER FIRST 14

NUMERO 18
BEGIN
  KEY "NUMERO FOGLIO"
  PROMPT 128 1 ""
END

LISTA 1
BEGIN
 KEY "Tipo anagrafica"
 FLAGS "H"
 FIELD 106@->TIPOA
 ITEM "F|Fisica" MESSAGE SHOW,1@|HIDE,2@
 ITEM "G|Giuridica" MESSAGE SHOW,2@|HIDE,1@
END

STRINGA 2
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 21 5 ""
 FIELD 106@->COFI
END

STRINGA 3
BEGIN
 KEY "RAGIONE SOCIALE (o cognome)"
 PROMPT 51 5 ""
 GROUP  2
 FIELD 106@->RAGSOC
END

STRINGA 4
BEGIN
 KEY "COGNOME (o ragsoc)"
 PROMPT 51 5 ""
 GROUP  1
 FIELD 106@->RAGSOC[1,30]
END

STRINGA 5
BEGIN
 KEY "NOME"
 PROMPT 21 8 ""
 GROUP  1
 FIELD 106@->RAGSOC[31,50]
END

LISTA 6
BEGIN
  KEY "SESSO M"
  PROMPT 53 8 ""  
  ITEM " | "
  ITEM "M|X"
  ITEM "F|"
  FIELD 108@->SESSO
  GROUP 1
END  

LISTA 7
BEGIN
  KEY "SESSO F"
  PROMPT 62 8 ""
  ITEM " | "  
  ITEM "M|"
  ITEM "F|X"
  FIELD 108@->SESSO
  GROUP 1
END  
  
STRINGA 8
BEGIN
  KEY "DATA DI NASCITA"
  PROMPT 68 8 ""
  GROUP  1
  FIELD 108@->DATANASC
  PICTURE "## ^ ##  ^^###"  
END

STRINGA 9
BEGIN
 KEY "COMUNE DI NASCITA"
 PROMPT 85 8 ""
 GROUP  1
 FIELD 113@->DENCOM
END

STRINGA 10
BEGIN
 KEY "PROV. DI NASCITA"
 PROMPT 129 8 ""
 GROUP  1
 FIELD 113@->PROVCOM
END
           
STRINGA 11
BEGIN
 KEY "CODICE FISCALE DEL SOGGETTO DICHIARANTE"
 PROMPT 56 10 ""
END

STRINGA 12
BEGIN
  KEY "Cod.Conc.1"
  PROMPT 41 13 ""
  FIELD 37->L0CCONC1
END

STRINGA 13
BEGIN
  KEY "Cod.Conc.2"
  PROMPT 53 13 ""
  FIELD 37->L0CCONC2
END

STRINGA 14
BEGIN
  KEY "Cod.Conc.3"
  PROMPT 63 13 ""
  FIELD 37->L0CCONC3
END

NUMERO 15
BEGIN
  KEY "Cod.Tes.1"
  PROMPT 102 13 ""
  FIELD 37->L0CTES1
END

NUMERO 16
BEGIN
  KEY "Cod.Tes.2"
  PROMPT 114 13 ""
  FIELD 37->L0CTES2
END

NUMERO 17
BEGIN
  KEY "Cod.Tes.3"
  PROMPT 126 13 ""
  FIELD 37->L0CTES3
END

END

SECTION BODY ODD 4

NUMERO 1
BEGIN
  KEY "Mese rif."
  PROMPT 26 1 ""
  FIELD 42->QLMP
END

NUMERO 2
BEGIN
  KEY "Anno rif."
  PROMPT 29 1 ""
  FIELD 42->QLAP
END

NUMERO 3
BEGIN
  KEY "Rit.eff"
  PROMPT 48 1 ""
  FIELD 42->QLRITEFF
  PICTURE "###.###.###.###^^^"  
  MESSAGE ADD,FL->1
END

NUMERO 4
BEGIN
  KEY "Rit.ver"
  PROMPT 79 1 ""
  FIELD 42->QLRITVER
  PICTURE "###.###.###.###^^^"  
  MESSAGE ADD,FL->2  
END

LISTA 5
BEGIN
  KEY "RSS"
  PROMPT 100 1 ""      
  ITEM " | "
  ITEM "1|VA" 
  ITEM "2|SA"
  ITEM "3|SI"    
  FIELD 42->QLRSS
END

STRINGA 6
BEGIN
  KEY "Note"
  PROMPT 111 1 ""
  FIELD 42->QLNOTE
END

STRINGA 7
BEGIN
  KEY "Luogo Vers."
  PROMPT 26 3 ""
  FIELD 42->QLLV
END

LISTA 8
BEGIN
  KEY "Tipo Vers."
  PROMPT 34 3 ""
  ITEM " | "
  ITEM "B|B" MESSAGE SHOW,13|HIDE,14
  ITEM "C|C" MESSAGE SHOW,14|HIDE,13
  ITEM "D|D" MESSAGE SHOW,14|HIDE,13
  FIELD 42->QLTV
END

STRINGA 9
BEGIN
  KEY "CodTrib"
  PROMPT 47 3 ""
  FIELD 42->QLCT
END

STRINGA 10
BEGIN
  KEY "Art.Bil."
  PROMPT 54 3 ""
  FIELD 42->QLAB
END

STRINGA 11
BEGIN
  KEY "DATA VERS."
  PROMPT 63 3 ""
  FIELD 42->QLDV
  PICTURE " ## ^ ## ^####" 
END  
  
STRINGA 12
BEGIN
  KEY "SERIE"
  PROMPT 84 3 ""
  FIELD 42->QLSERIE
END

STRINGA 13
BEGIN
  KEY "NUMERO SENZA Prog.Versamento"
  PROMPT 99 3 ""
  FIELD 42->QLNUMERO[1,5]
END

STRINGA 14
BEGIN
  KEY "NUMERO COMPLETO"
  PROMPT 99 3 ""
  FIELD 42->QLNUMERO
  FLAGS "H"
END

END

SECTION FOOTER LAST 6

NUMERO 1
BEGIN
  KEY "Tot.rit.eff"
  PROMPT 66 1 ""
  PICTURE "###.###.###.###^^^"    
END

NUMERO 2
BEGIN
  KEY "Tot.rit.ver"
  PROMPT 117 1 ""               
  PICTURE "###.###.###.###^^^"    
END

DATE 3
BEGIN
  KEY "DATA"
  PROMPT 30 5 ""
  FLAGS "A"
END

STRINGA 4
BEGIN
  KEY "FIRMA"
  PROMPT 90 5 ""
  FIELD 106@->RAGSOC
END

END

END



