USE 62
JOIN %CA7 ALIAS 14 INTO CODTAB=CODCAUS
JOIN 9 INTO CODDITTA=CODDITTA
JOIN 6 TO 9 ALIAS 116 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN 8 TO 116@ ALIAS 118 INTO CODANAGR=CODANAGR
JOIN 13 TO 118@ ALIAS 113 INTO COM=COMNASC
JOIN 13 TO 116@ ALIAS 213 INTO COM=COMRF(COMRES)
JOIN 6 ALIAS 216 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN 8 TO 216@ ALIAS 218 INTO CODANAGR=CODANAGR
JOIN 13 TO 216@ ALIAS 313 INTO COM=COMNASC
JOIN 13 TO 218@ ALIAS 413 INTO COM=COMRF(COMRES)
JOIN %STA TO 216@ ALIAS 24 INTO CODTAB=STATORES

END
DESCRIPTION
BEGIN
  62->* "Quadro D 770"
  14@->* "CA7"
  9->* "Ditte"
  116@->* "Anagrafica persone fisiche e giuridiche (ditta)"
  118@->* "Anagrafica persone fisiche (ditta)"
  113@->* "Comuni DITTA (nascita)"
  213@->* "Comuni DITTA (res. fisc)"
  216@->* "Anagrafica persone fisiche e giuridiche (percip.)"
  218@->* "Anagrafica persone fisiche (percipiente)"
  313@->* "Comuni PERCIPIENTE (nascita)"
  413@->* "Comuni PERCIPIENTE (resid. fisc)"
  24@->* "Tabella stati"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier 17cpi"
  SIZE 10
  CARATTERE "X"
  INIZIO_POS 3 2
  FINE_POS 131
  GRID "+++++++++-|"
END

SECTION HEADER FIRST 28

STRINGA 1
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 4 9 ""
 FIELD 116@->COFI
END

STRINGA 2
BEGIN
 KEY "RAGIONE SOCIALE"
 PROMPT 39 9 ""
 GROUP  2
 FIELD 116@->RAGSOC
END

STRINGA 3
BEGIN
 KEY "COGNOME"
 PROMPT 39 9 ""
 GROUP  1
 FIELD 116@->RAGSOC[1,30]
END

STRINGA 4
BEGIN
 KEY "NOME"
 PROMPT 17 11 ""
 GROUP  1
 FIELD 116@->RAGSOC[31,50]
END

STRINGA 5
BEGIN
 KEY "SESSO"
 PROMPT 58 11 ""
 GROUP  1
 FIELD 118@->SESSO
END

STRINGA 6
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 66 11 ""
 GROUP  1
 FIELD 118@->DATANASC
END

STRINGA 7
BEGIN
 KEY "COMUNE DI NASCITA"
 PROMPT 84 11 ""
 GROUP  1
 FIELD 113@->DENCOM
END

STRINGA 8
BEGIN
 KEY "PROV. DI NASCITA"
 PROMPT 126 11 ""
 GROUP  1
 FIELD 113@->PROVCOM
END

LISTA 9
BEGIN
 KEY "Tipo anagrafica"
 FIELD 116@->TIPOA
END

STRINGA 10
BEGIN
 KEY "COMUNE DI RES.FISCALE"
 PROMPT 17 13 ""
 FIELD 213@->DENCOM
END

STRINGA 11
BEGIN
 KEY "PROV DI RES.FISCALE"
 PROMPT 59 13 ""
 FIELD 213@->PROVCOM
END

STRINGA 12
BEGIN
 KEY "VIA di RES."
 PROMPT 66 13 ""
 FIELD 116@->INDRF
END

STRINGA 13
BEGIN
 KEY "NUM. CIVICO di RES."
 PROMPT 102 13 ""
 FIELD 116@->CIVRF
END

STRINGA 14
BEGIN
 KEY "CAP"
 PROMPT 120 13 ""
 FIELD 116@->CAPRF
END

STRINGA 15
BEGIN
 KEY "CODICE FISCALE DICHIARANTE"
 PROMPT 118 16 ""
END

NUMERO 16
BEGIN
 KEY "NUM. FOGLIO"
 PROMPT 123 20 ""
END

END

SECTION BODY ODD 8

LISTA 100
BEGIN
 KEY "Tipo anagrafica"
 FIELD 216@->TIPOA
END

STRINGA 1
BEGIN
 KEY "COD.FIS"
 PROMPT 2 12 ""
 FIELD 216@->COFI
END

STRINGA 2
BEGIN
 KEY "COGNOME"
 PROMPT 23 12 ""
 GROUP  1
 FIELD 216@->RAGSOC[1,30]
END

STRINGA 3
BEGIN
 KEY "NOME"
 PROMPT 10 14 ""
 GROUP  1
 FIELD 216@->RAGSOC[31,50]
END

STRINGA 102
BEGIN
 KEY "RAGSOC GIURIDICHE"
 PROMPT 23 12 ""
 GROUP  2
 FIELD 216@->RAGSOC
END

DATA 4
BEGIN
 KEY "DATA NASCITA"
 PROMPT 39 14 ""
 FIELD 118@->DATANASC
END

STRINGA 5
BEGIN
 KEY "SESSO"
 PROMPT 34 14 ""
 FIELD 118@->SESSO
END

STRINGA 6
BEGIN
 KEY "COMUNE DI NASCITA"
 PROMPT 49 14 ""
 GROUP  1
 FIELD 313@->DENCOM
END

STRINGA 101
BEGIN
 KEY "COMUNE DI RESIDENZA GIURIDICHE"
 PROMPT 10 16 ""
 GROUP  2
 FIELD 413@->DENCOM
END

STRINGA 7
BEGIN
 KEY "PROV DI NASCITA"
 PROMPT 73 14 ""
 GROUP  1
 FIELD 313@->PROVCOM
END

STRINGA 8
BEGIN
 KEY "COMUNE DI RESIDENZA"
 PROMPT 10 16 ""
 GROUP  1
 FIELD 413@->DENCOM
END

STRINGA 9
BEGIN
 KEY "PROV. RESIDENZA"
 PROMPT 34 16 ""
 FIELD 413@->PROVCOM
END

STRINGA 106
BEGIN
 KEY "PROV. RESIDENZA GIURIDICHE"
 PROMPT 34 16 ""
 GROUP  2
 FIELD 413@->PROVCOM
END

STRINGA 10
BEGIN
 KEY "VIA RES."
 PROMPT 94 4 ""
 FLAGS "H"
 MESSAGE COPY,12|COPY,107
 FIELD 216@->INDRES[1,18]
END

STRINGA 11
BEGIN
 KEY "NUM.CIV"
 PROMPT 93 4 ""
 FLAGS "H"
 MESSAGE APPEND,12|APPEND,107
 FIELD 216@->CIVRES
END

STRINGA 12
BEGIN
 KEY "VIA RES. + numcivres"
 PROMPT 39 16 ""
 GROUP  1
END

STRINGA 13
BEGIN
 KEY "Codice fiscale percipiente"
 PROMPT 6 23 ""
 FIELD 216@->COFI
END

STRINGA 14
BEGIN
 KEY "Cognome percipiente"
 PROMPT 25 23 ""
 FIELD 216@->RAGSOC[1,30]
END

STRINGA 15
BEGIN
 KEY "Nome percipiente"
 PROMPT 45 23 ""
 FIELD 216@->RAGSOC[31,50]
END

DATA 16
BEGIN
 KEY "Data nascita percipiente"
 PROMPT 67 23 ""
END

STRINGA 17
BEGIN
 KEY "Sesso percipiente"
 PROMPT 75 23 ""
 FIELD 218@->SESSO
END

STRINGA 18
BEGIN
 KEY "Comune nascita percipiente"
 PROMPT 6 24 ""
 FIELD 313@->DENCOM
END

STRINGA 19
BEGIN
 KEY "Provincia nascita percipiente"
 PROMPT 28 24 ""
 FIELD 313@->PROVCOM
END

STRINGA 20
BEGIN
 KEY "Comune residenza percipiente"
 PROMPT 31 24 ""
 FIELD 413@->DENCOM
END

STRINGA 21
BEGIN
 KEY "Provincia residenza percipiente"
 PROMPT 52 24 ""
 FIELD 413@->PROVCOM
END

STRINGA 22
BEGIN
 KEY "dummy (via perc)"
 FLAGS "H"
 MESSAGE COPY, 24
 FIELD 216@->INDRES[1,18]
END

STRINGA 23
BEGIN
 KEY "dummy (civ. percip.)"
 FLAGS "H"
 MESSAGE APPEND,24
 FIELD 216@->CIVRES
END

STRINGA 24 23
BEGIN
 KEY "Indirizzo + n. civ. percipiente"
 PROMPT 55 24 ""
END

END

SECTION BODY EVEN 2

NUMERO 1
BEGIN
 KEY "TOTALE TOTALE"
 PROMPT 36 1 ""
END

NUMERO 2
BEGIN
 KEY "TOTALE SOMME NON SOGGETTE"
 PROMPT 55 1 ""
END

NUMERO 3
BEGIN
 KEY "TOTALE IMPONIBILE"
 PROMPT 75 1 ""
END

NUMERO 4
BEGIN
 KEY "TOTALE IMPORTO"
 PROMPT 101 1 ""
END

NUMERO 5
BEGIN
 KEY "TOTALE NETTO"
 PROMPT 120 1 ""
END

END

END
