// Form per la stampa degli sconti incondizionati.

USE 35
JOIN CVE TO 35 ALIAS 201  INTO CODTAB==CODCAT
JOIN %ZON TO 35 ALIAS 202 INTO CODTAB==CODART[3,4]
JOIN %CPG TO 35 ALIAS 203 INTO CODTAB==CODART[5,8]
JOIN 35 TO 35 ALIAS 204 INTO TIPO=="D" CODCAT==CODART[1,2]


END
DESCRIPTION
BEGIN
  35->* "Archivio Sconti"
  201@->* "Tabella categorie di vendita"
  202@->* "Tabella zone"
  203@->* "Tabella codizioni di pagamento"
  204@->* "Archivio sconti(documento)"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 12
END


SECTION HEADER ODD 6

STRINGA 1 40
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
END

DATA 2 10
BEGIN
 KEY "Data"
 PROMPT  55 1 "Data "
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  72 1 "Pagina "
END

STRINGA 4 80
BEGIN
  KEY "Separatore (iniziale)"
  PROMPT 1 3 "--------------------------------------------------------------------------------"
END

STRINGA 5 10
BEGIN
  KEY "Intestazione (Categoria vendite)"
  PROMPT 1 4 "Categoria"
END

STRINGA 6 12
BEGIN
  KEY "Intestazione (Sconto cliente)"
  PROMPT 14 4 "Sc. cliente"
END

STRINGA 7 5
BEGIN
  KEY "Intestazione (Zona)"
  PROMPT 28 4 "Zona"
END

STRINGA 8 11
BEGIN
  KEY "Intestazione (Cond. pag.)"
  PROMPT 35 4 "Cond. pag."
END

STRINGA 9 7
BEGIN
  KEY "Intestazione (Sconto)"
  PROMPT 46 4 "Sconto"
END

STRINGA 10 80
BEGIN
  KEY "Separatore (finale)"
  PROMPT 1 5 "--------------------------------------------------------------------------------"
END

END

SECTION BODY ODD 6

STRINGA 1 50
BEGIN
 KEY "Descrizione categoria"
 PROMPT  1 1 "Categoria vendite: "
 FIELD 201@->S0
END

STRINGA 2 50
BEGIN
 KEY "Descrizione sconto cliente"
 PROMPT  1 2 "Sconto cliente:    "
 FIELD 204@->DESCR
END

STRINGA 3 50
BEGIN
 KEY "Descrizione zona"
 PROMPT  1 3 "Zona:              "
 FIELD 202@->S0
END

STRINGA 4 50
BEGIN
 KEY "Descrizione condizione di pagamento"
 PROMPT  1 4 "Cond. di pag.:     "
 FIELD 203@->S0
END

STRINGA 5 2
BEGIN
 KEY "Categoria di vendita"
 PROMPT  1 5 ""
 FIELD 35->CODCAT
END

STRINGA 6 2
BEGIN
 KEY "Sconto cliente"
 PROMPT  14 5 ""
 FIELD 35->CODART[1,2]
END

STRINGA 7 2
BEGIN
 KEY "Zona"
 PROMPT  28 5 ""
 FIELD 35->CODART[3,4]
END

STRINGA 8 25
BEGIN
 KEY "Condizione di pagamento"
 PROMPT  35 5 ""
 FIELD 35->CODART[5,8]
END

STRINGA 9 25
BEGIN
 KEY "Sconto"
 PROMPT  46 5 ""
 FIELD 35->SCONTO
END

END

END

