// definizione campi della maschera at0100a.msk
// SOGGETTI e dati collegati

// pagina 1
#define F_CODICE                101
#define F_COGNOME               102
#define F_NOME                  103
#define F_DATANASC              104
#define F_TESSAVIS              105
#define F_T_STAMPATA            106
#define F_CODSEZ                107
#define F_DENSEZ                108
#define F_CODSOT                109
#define F_DENSOT                110
#define F_CATDON                111
#define F_DESC_CATDON           112
#define F_DATAISC               113
#define F_DATADIM               114
#define F_DOM_INDIR             115
#define F_DOM_CODCOM            116
#define F_DOM_DENCOM            117
#define F_DOM_CAPCOM            118
#define F_DOM_PROVCOM           119
#define F_DOM_CODLOC            120
#define F_DOM_DENLOC            121
#define F_DOM_STRADA            122
#define F_DOM_DISTRI            123
#define F_RES_INDIR             124
#define F_RES_CODCOM            125
#define F_RES_DENCOM            126
#define F_RES_CAPCOM            127
#define F_RES_PROVCOM           128
#define F_RES_CODLOC            129
#define F_RES_DENLOC            130
#define F_COMNASC               131
#define F_DENCOMNASC            132
#define F_PROVCOMNASC           133
#define F_SESSO                 134
#define F_CF                    135
#define F_DOCID                 136
#define F_TELABI                137
#define F_TELLAV                138
#define F_TELALT                139

// pagina 2
#define F_CATNOND1              201
#define F_DESC_CATNOND1         202
#define F_CATNOND2              203
#define F_DESC_CATNOND2         204
#define F_GRUPPOAZIE            205
#define F_DESC_GRUPPOAZIE       206
#define F_CODCL                 207
#define F_CODCT                 208
#define F_TESSSSN               209
#define F_TITINDIR              210
#define F_CODMED                211
#define F_COGNMED               212
#define F_NOMMED                213
#define F_GRUPPOAB0             214
#define F_RHANTID               215
#define F_KELL                  216
#define F_FENOTIPORH            217
#define F_DU                    218
#define F_MODCONV               219
#define F_PUNTORACC             220
#define F_DESC_PUNTORACC        221
#define F_GPD_LUN               222
#define F_GPD_MAR               223
#define F_GPD_MER               224
#define F_GPD_GIO               225
#define F_GPD_VEN               226
#define F_GPD_SAB               227
#define F_GPD_DOM               228
#define F_GPC_LUN               229
#define F_GPC_MAR               230
#define F_GPC_MER               231
#define F_GPC_GIO               232
#define F_GPC_VEN               233
#define F_GPC_SAB               234
#define F_GPC_DOM               235


// pagina 3
#define F_STATO                 301
#define F_DESCSTATO             302
#define F_DATASTATO             303
#define F_IDON1                 304
#define F_DESC_ID1              305
#define F_IDON2                 306
#define F_DESC_ID2              307
#define F_IDON3                 308
#define F_DESC_ID3              309
#define F_IDON4                 310
#define F_DESC_ID4              311
#define F_DATAULTID             312
#define F_TIPOULTID             313
#define F_INTSI                 314
#define F_INTAF                 315
#define F_TOTDON                316
#define F_DATAULTDON            317
#define F_TIPOULTDON            318
#define F_DESC_ULTDON           319
#define F_DATAPROSSI            320
#define F_DATAPROSAF            321
#define F_DATAULTSI             322
#define F_DATAULTAF             323
#define F_TOTDONSI              324
#define F_TOTDONAF              325
#define F_DATACONV              326
#define F_NUMCONV               327

// pagina 4
#define F_CONDOCC               401
#define F_POSPROF               402
#define F_RAMOATT               403
#define F_TITSTUD               404
#define F_PROFESS               405
#define F_DESC_PROFESS          406
#define F_LUOGOLAV              407
#define F_DESC_LUOGOLAV         408
#define F_ESCLUSO               409
#define F_TERMESCL              410
#define F_MOTESCL               411
#define F_UTENULTAGG            412
#define F_DATAULTAGG            413
#define F_NOTE                  414

// pagina 5
#define F_DONAZIONI             501
#define F_GENERA                502

// pagina 6
#define F_CONTROLLI             601

// pagina 7
#define F_BENEMERENZE           701
#define F_FAMIGLIA              702
#define F_STORICO               703

// pagina donazioni
#define F_D_DATADON             101
#define F_D_TIPODON             102
#define F_D_LUOGODON            103
#define F_D_ETICHETTA           104
#define F_D_CC                  105
#define F_D_PA                  106
#define F_D_HB                  107
#define F_D_SGPT                108
#define F_D_PROTIDEMIA          109
#define F_D_PRIMADON            110
#define F_D_DESC_TIPODON        211
#define F_D_DESC_LUOGODON       212

// pagina controlli sanitari
#define F_C_DATACON             101
#define F_C_TIPOCON             102
#define F_C_IDON1               103
#define F_C_IDON2               104
#define F_C_IDON3               105
#define F_C_IDON4               106
#define F_C_INTSI               107
#define F_C_INTAF               108
#define F_C_PROSSTIPO           109
#define F_C_PROSSDATA           110
#define F_C_DESC_TIPOCON        211
#define F_C_DESC_IDON1          212
#define F_C_DESC_IDON2          213
#define F_C_DESC_IDON3          214
#define F_C_DESC_IDON4          215
#define F_C_DESC_PROSSTIPO      216

// pagina benemerenze
#define F_B_TIPOBEN             101
#define F_B_DATABEN             102
#define F_B_RITIRATA            103
#define F_B_DESC_TIPOBEN        211

// pagina storico iscrizioni e dimissioni
#define F_S_DATAISC             101
#define F_S_DATADIM             102
#define F_S_CODSEZ              103
#define F_S_CODSOT              104
#define F_S_CATISC              105
#define F_S_MOTDIM              106
#define F_S_DENSEZ              211
#define F_S_DENSOT              212
#define F_S_DESC_CATISC         213

