USE %GEN
JOIN 6 ALIAS 16 INTO TIPOA=S0[1,1] CODANAGR=S0[2,6]
JOIN 8 TO 16@ ALIAS 18 INTO CODANAGR=CODANAGR
JOIN 13 TO 18@ ALIAS 113 INTO COM=COMNASC
JOIN 13 TO 16@ ALIAS 213 INTO COM=COMRES
JOIN 6 ALIAS 26 INTO TIPOA=S1[1,1] CODANAGR=S1[2,6]
JOIN 8 TO 16@ ALIAS 28 INTO CODANAGR=CODANAGR
JOIN 13 TO 18@ ALIAS 313 INTO COM=COMNASC
JOIN %BAN ALIAS 14 INTO CODTAB=S7
JOIN %BAN ALIAS 24 INTO CODTAB=S7+S8
JOIN %UCS TO 213@ ALIAS 34 INTO CODTAB==UFFCSERV
JOIN %UID TO 213@ ALIAS 44 INTO CODTAB==UFFIIDD1
JOIN 13 TO 34@ ALIAS 413 INTO COM=S6
JOIN 13 TO 44@ ALIAS 513 INTO COM=S5

END
DESCRIPTION
BEGIN
  %GEN->* "GEN"
  16@->* "Anagrafica persone fisiche e giuridiche"
  18@->* "Anagrafica persone fisiche"
  113@->* "Comuni"
  213@->* "Comuni"
  26@->* "Anagrafica persone fisiche e giuridiche"
  28@->* "Anagrafica persone fisiche"
  313@->* "Comuni"
  14@->* "BAN"
  24@->* "BAN"
  34@->* "UCS"
  44@->* "UID"
  413@->* "Comuni"
  513@->* "Comuni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
  CARATTERE "X"
  INIZIALE 5 5
  FINALE   132  5
END

SECTION BODY ODD 72

STRINGA 1
BEGIN
 KEY "Azienda di credito"
 PROMPT 74 8 ""
 FIELD 14@->S0
END

STRINGA 2
BEGIN
 KEY "Dipendenza"
 PROMPT 74 10 ""
 FIELD 24@->S0
END

STRINGA 3
BEGIN
 KEY "Dipendenza provincia"
 PROMPT 131 10 ""
 FIELD 513@->PROVCOM
END

GRUPPO 3
BEGIN
 KEY "DATI DICHIARANTE (ALIAS 16 e 18)"
END

STRINGA 4
BEGIN
 KEY "COGNOME"
 PROMPT 11 14 ""
 FIELD 16@->RAGSOC[1,30]
END

STRINGA 5
BEGIN
 KEY "NOME"
 PROMPT 65 14 ""
 FIELD 16@->RAGSOC[31,0]
END

DATA 6
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 99 14 ""
 PICTURE "##^  ##^ ^###"
 FIELD 18@->DATANASC
 FORMAT "1444-"
END

STRINGA 7
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 124 14 ""
 FIELD 18@->SESSO
END

STRINGA 8
BEGIN
 KEY "STATO CIVILE"
 PROMPT 132 14 ""
 FIELD 18@->STATCIV
END

STRINGA 9
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 11 16 ""
 FIELD 113@->DENCOM
END

STRINGA 10
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 74 16 ""
 FIELD 113@->PROVCOM
END

STRINGA 11
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 83 16 ""
 PICTURE "# # # # # # # # # # # # # # # #"
 FIELD 16@->COFI
END

STRINGA 12
BEGIN
 KEY "RESIDENTE IN: COMUNE"
 PROMPT 28 18 ""
 FIELD 213@->DENCOM
END

STRINGA 13
BEGIN
 KEY "RESIDENTE IN: PROV. (sigla)"
 PROMPT 74 18 ""
 FIELD 213@->PROVCOM
END

STRINGA 14
BEGIN
 KEY "RESIDENTE IN: VIA"
 PROMPT 83 18 ""
 FIELD 16@->INDRES
END

STRINGA 15
BEGIN
 KEY "RESIDENTE IN: NUMERO CIVICO"
 PROMPT 131 18 ""
 FIELD 16@->CIVRES
END

GRUPPO 16
BEGIN
 KEY "DATI CONIUGE (ALIAS 26 e 28)"
END

STRINGA 17
BEGIN
 KEY "COGNOME"
 PROMPT 11 21 ""
 FIELD 26@->RAGSOC[1,30]
END

STRINGA 18
BEGIN
 KEY "NOME"
 PROMPT 65 21 ""
 FIELD 26@->RAGSOC[31,0]
END

DATA 19
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 107 21 ""
 PICTURE "##^  ##^ ^###"
 FIELD 28@->DATANASC
 FORMAT "1444-"
END

STRINGA 20
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 132 21 ""
 FIELD 28@->SESSO
END

STRINGA 21
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 11 23 ""
 FIELD 313@->DENCOM
END

STRINGA 22
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 74 23 ""
 FIELD 313@->PROVCOM
END

STRINGA 23
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 83 23 ""
 PICTURE "# # # # # # # # # # # # # # # #"
 FIELD 26@->COFI
END

NUMERO 24
BEGIN
 KEY "ANNO DI IMPOSTA"
 PROMPT 44 27 ""
 PICTURE "^^#  #"
 FIELD I0
END

STRINGA 25
BEGIN
 KEY "CODICE TRIBUTO"
 PROMPT 9 33 ""
 PICTURE "#   #"
 FIELD S2
END

LISTA 26
BEGIN
 KEY "CODICE TRIBUTO: descrizione"
 PROMPT 34 33 ""
 FIELD S2
 ITEM "11|Irpef dovuta in base a dichiarazione integrativa"
 ITEM "12|Ilor dovuta in base a dichiarazione integrativa da persone fisiche e societa' di persone"
 ITEM "13|Imposta sostitutiva dell'Irpef e dell'Ilor sulla rivalutazione dei beni dell'impresa (per. fis. e soc. di per.)"
 ITEM "15|Imposta sostitutiva dell'Irpef e dell'Ilor sulle plusvalenze indicate analiticamente in dichiarazione (per. fis.)"
 ITEM "16|Imposta sostituitiva sulle plusvalenze dovuta da soc. semplici e assoc. indicate analiticamente in dichiarazione"
 ITEM "17|Imposta sostitutiva dell'Irpef, dell'Ilor e dell'IVA, relativa agli immobili esclusi dal patrimonio dell'impresa"
 ITEM "32|Imposta sul patrimonio netto delle imprese individuali-persone fisiche"
 ITEM "33|Imposta sul patrimonio netto delle imprese-societa' di persone"
 ITEM "34|Contributo per le prestazioni del S.S.N.-acconto"
 ITEM "35|Contributo per le prestazioni del S.S.N.-saldo"
 ITEM "36|Contributo per le prestazioni del S.S.N. e relativa sopratassa in base a dichiarazione integrativa"
END

NUMERO 27
BEGIN
 KEY "IMPORTO: in lettere"
 PROMPT 19 42 ""
 PICTURE "LETTERE"
 FIELD R0
END

NUMERO 28
BEGIN
 KEY "IMPORTO: in cifre"
 PROMPT 118 42 ""
 PICTURE "###.###.###^^^"
 FIELD R0
END

NUMERO 29
BEGIN
 KEY "Soprattassa: in lettere"
 PROMPT 19 48 ""
 PICTURE "LETTERE"
 FIELD R2
END

NUMERO 30
BEGIN
 KEY "Soprattassa: in cifre"
 PROMPT 118 48 ""
 PICTURE "###.###.###^^^"
 FIELD R2
END

STRINGA 31
BEGIN
 KEY "CENTRO SERVIZI: Provincia"
 PROMPT 11 61 ""
 FIELD 413@->PROVCOM
 FIELD 513@->PROVCOM
END

STRINGA 32
BEGIN
 KEY "CENTRO SERVIZI"
 PROMPT 23 61 ""
 FIELD 34@->S0
 FIELD 44@->S0
END

DATA 33
BEGIN
 KEY "DATA: giorno - mese - anno"
 PROMPT 75 61 ""
 PICTURE "@  @^ @  @^  @  @"
 FIELD D0
 FORMAT "1442-"
END

STRINGA 34
BEGIN
 KEY "CODICE AZIENDA"
 PROMPT 97 61 ""
 FIELD S7
END

STRINGA 35
BEGIN
 KEY "CODICE DIPENDENZA"
 PROMPT 120 61 ""
 FIELD S8
END

END

END
