USE %IIG
JOIN 6 ALIAS 16 INTO TIPOA=S0[1,1] CODANAGR=S0[2,6]
JOIN 8 TO 16@ ALIAS 18 INTO CODANAGR=CODANAGR
JOIN 13 TO 18@ ALIAS 113 INTO COM==COMNASC
JOIN 13 TO 16@ ALIAS 213 INTO COM=COMRF(COMRES)
JOIN 6 ALIAS 26 INTO TIPOA==S1[1,1] CODANAGR==S1[2,6]
JOIN 8 TO 26@ ALIAS 28 INTO CODANAGR==CODANAGR
JOIN 13 TO 28@ ALIAS 313 INTO COM==COMNASC
JOIN  7 TO 16@ ALIAS 17 INTO CODANAGR=CODANAGR
JOIN %BAN ALIAS 14 INTO CODTAB==S7
JOIN %BAN ALIAS 24 INTO CODTAB==S7+S8
JOIN 13 TO 17@ ALIAS 413 INTO COM==COMCOST
JOIN 13 TO 24@ ALIAS 513 INTO COM==S5
END
DESCRIPTION
BEGIN
  %IIG->* " "
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  113@->* "Comuni"
  213@->* "Comuni"
  14@->* "BAN"
  24@->* "BAN"
  313@->* "Comuni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
  CARTATTERE "X"
  INIZIALE 5 2
  FINALE 133
END

SECTION BODY ODD 71

STRINGA 1
BEGIN
 KEY "Azienda di credito"
 PROMPT 72 6 ""
 FIELD 14@->S0
END

STRINGA 2
BEGIN
 KEY "Dipendenza"
 PROMPT 72 8 ""
 FIELD 24@->S0
END

STRINGA 3
BEGIN
 KEY "PROVINCIA Dipendenza"
 PROMPT 129 8 ""
 FIELD 513@->PROVCOM
END

GRUPPO 4
BEGIN
 KEY "DATI DICHIARANTE (ALIAS 16 e 18)"
END

LISTA 5
BEGIN
 KEY "Societa'"
 PROMPT 93 11 ""
 FIELD 6->TIPOA
 ITEM "F| " MESSAGE ENABLE,1@|DISABLE,2@
 ITEM "G|X" MESSAGE ENABLE,2@|DISABLE,1@
END

STRINGA 6 
BEGIN
 KEY "COGNOME"
 PROMPT 11 11 ""
 GROUP 1
 FIELD 16@->RAGSOC[1,30]
END

STRINGA 7
BEGIN
 KEY "NOME"
 PROMPT 65 11 ""
 GROUP 1
 FIELD 16@->RAGSOC[31,0]
END

STRINGA 8
BEGIN
 KEY "RAGIONE SOCIALE"
 PROMPT 11 11 ""
 GROUP 2
 FIELD 16@->RAGSOC
END

DATA 9
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 99 11 ""
 GROUP 1
 PICTURE "##^  ##^ ^###"
 FIELD 18@->DATANASC
 FORMAT "1444-"
END

DATA 10
BEGIN
 KEY "DATA DI COSTITUZIONE"
 PROMPT 99 11 ""
 GROUP 2
 PICTURE "##^  ##^ ^###"
 FIELD 17@->DATACOST
 FORMAT "1444-"
END

STRINGA 11 
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 122 11 ""
 GROUP 1
 FIELD 18@->SESSO
END

STRINGA 12
BEGIN
 KEY "STATO CIVILE" 
 PROMPT 130 11 ""
 GROUP 1
 FIELD 18@->STATCIV
END

STRINGA 13
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 11 13 ""
 GROUP 1
 FIELD 113@->DENCOM
END

STRINGA 14
BEGIN
 KEY "COMUNE (o Stato estero) DI COSTITUZIONE"
 PROMPT 11 13 ""
 GROUP 2
 FIELD 413@->DENCOM
END

STRINGA 15
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 74 13 ""
 GROUP 1
 FIELD 113@->PROVCOM
END

STRINGA 16
BEGIN
 KEY "PROV. DI COSTITUZIONE (sigla)"
 PROMPT 74 13 ""
 GROUP 2
 FIELD 413@->PROVCOM
END

STRINGA 17
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 83 13 ""
 PICTURE "# # # # # # # # # # # # # # # #"
 FIELD 16@->COFI
END

STRINGA 18
BEGIN
 KEY "RESIDENTE IN: COMUNE"
 PROMPT 28 15 ""
 FIELD 213@->DENCOM
END

STRINGA 19
BEGIN
 KEY "RESIDENTE IN: PROV. (sigla)"
 PROMPT 74 15 ""
 FIELD 213@->PROVCOM
END

STRINGA 20
BEGIN
 KEY "CAMPO PER MESSAGGIO RESIDENZA"
 PROMPT -1 -1 ""
 FLAGS "H"
 FIELD 16@->INDRF
 MESSAGE EMPTY SHOW,18@|HIDE,17@
 MESSAGE SHOW,17@|HIDE,18@
END

STRINGA 21
BEGIN
 KEY "RESIDENTE IN: VIA (RF)"
 PROMPT 83 15 ""
 FIELD 16@->INDRF
 GROUP 17
END

STRINGA 22
BEGIN
 KEY "RESIDENTE IN: NUMERO CIVICO (RF)"
 PROMPT 131 15 ""
 FIELD 16@->CIVRF
 GROUP 17
END

STRINGA 23
BEGIN
 KEY "RESIDENTE IN: VIA (RES)"
 PROMPT 83 15 ""
 GROUP 18
 FLAGS "H"
 FIELD 16@->INDRES
END

STRINGA 24
BEGIN
 KEY "RESIDENTE IN: NUMERO CIVICO (RES)"
 PROMPT 131 15 ""
 GROUP 18
 FLAGS "H"
 FIELD 16@->CIVRES
END

GRUPPO 25
BEGIN
 KEY "DATI CONIUGE (ALIAS 26 e 28)"
END

STRINGA 26
BEGIN
 KEY "COGNOME"
 PROMPT 11 18 ""
 GROUP 1
 FIELD 26@->RAGSOC[1,30]
END

STRINGA 27
BEGIN
 KEY "NOME"
 PROMPT 65 18 ""
 GROUP 1
 FIELD 26@->RAGSOC[31,0]
END

DATA 28
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 108 18 ""
 GROUP 1
 PICTURE "##^  ##^ ^###"
 FIELD 28@->DATANASC
 FORMAT "1444-"
END

STRINGA 269
BEGIN
 KEY "SESSO (M o F)"
 PROMPT 130 18 ""
 GROUP 1
 FIELD 28@->SESSO
END

STRINGA 29
BEGIN
 KEY "COMUNE (o Stato estero) DI NASCITA"
 PROMPT 11 20 ""
 GROUP 1
 FIELD 313@->DENCOM
END

STRINGA 30
BEGIN
 KEY "PROV. DI NASCITA (sigla)"
 PROMPT 74 20 ""
 GROUP 1
 FIELD 313@->PROVCOM
END

STRINGA 31
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 83 20 ""
 GROUP 1
 PICTURE "# # # # # # # # # # # # # # # #"
 FIELD 26@->COFI
END

NUMERO 32
BEGIN
 KEY "Campo per azzerare il gruppo delle X"
 MESSAGE SHOW,9@
END

NUMERO 33
BEGIN
 KEY "Campo per azzerare il totalizzatore"
 MESSAGE RESET,5@
END

NUMERO 34
BEGIN
 KEY "Anno di riferimento (saldo IRPEF)"
 PROMPT 64 24 ""
 PICTURE "#  #"
 FIELD I0
END

NUMERO 35
BEGIN
 KEY "Importo saldo IRPEF"
 PROMPT 87 24 ""
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
 MESSAGE EMPTY HIDE,36
 FIELD R0
END

STRINGA 36
BEGIN
 KEY "X su SALDO-IRPEF"
 PROMPT 41 24 "X"
 GROUP 9
END

NUMERO 37
BEGIN
 KEY "Anno di riferimento (acconto IRPEF)"
 PROMPT 64 26 ""
 PICTURE "#  #"
 FIELD I1
END

NUMERO 38
BEGIN
 KEY "Importo acconto IRPEF"
 PROMPT 87 26 ""
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
 MESSAGE EMPTY HIDE,39
 FIELD R1
END

STRINGA 39
BEGIN
 KEY "X su ACCONTO-IRPEF"
 PROMPT 41 26 "X"
 GROUP 9
END

NUMBER 40
BEGIN
 KEY "Anno di rif. (saldo ILOR dich.)"
 PROMPT 64 28 ""
 PICTURE "#  #"
 FIELD I2
END

NUMERO 41
BEGIN
 KEY "Importo saldo ILOR dichiarante"
 PROMPT 87 28 ""
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
 MESSAGE EMPTY HIDE,42
 FIELD R2
END

STRINGA 42
BEGIN
 KEY "X su SALDO-ILOR"
 PROMPT 41 28 "X"
 GROUP 9
END

NUMERO 43
BEGIN
 KEY "Anno di rif. (acconto ILOR dich.)"
 PROMPT 64 30 ""
 PICTURE "#  #"
 FIELD I3
END

NUMERO 44
BEGIN
 KEY "Importo acconto ILOR dichiarante"
 PROMPT 87 30 ""
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
 MESSAGE EMPTY HIDE,45
 FIELD R3
END

STRINGA 45
BEGIN
 KEY "X su ACCONTO-ILOR"
 PROMPT 41 30 "X"
 GROUP 9
END

NUMERO 46
BEGIN
 KEY "Anno di rif. (saldo SSN dich.)"
 PROMPT 64 32 ""
 PICTURE "#  #"
 FIELD I4
END

NUMERO 47
BEGIN
 KEY "Importo saldo SSN dichiarante"
 PROMPT 87 32 ""
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
 MESSAGE EMPTY HIDE,48
 FIELD R4
END

STRINGA 48
BEGIN
 KEY "X su SALDO-SSN"
 PROMPT 41 32 "X"
 GROUP 9
END

NUMERO 49
BEGIN
 KEY "Anno di rif. (acconto SSN dich.)"
 PROMPT 64 34 ""
 PICTURE "#  #"
 FIELD I5
END

NUMERO 50
BEGIN
 KEY "Importo acconto SSN dichiarante"
 PROMPT 87 34 ""
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
 MESSAGE EMPTY HIDE,51
 FIELD R5
END

STRINGA 51
BEGIN
 KEY "X su ACCONTO-SSN"
 PROMPT 41 34 "X"
 GROUP 9
END

STRING 52
BEGIN
  KEY "Codice regione SSN dichiarante"
  PROMPT 112 33 ""
  PICTURE  "#  #"
  FIELD S6
END

NUMERO 53
BEGIN
 KEY "Anno di rif. (saldo ILOR coniuge)"
 PROMPT 64 36 ""
 PICTURE "#  #"
 FIELD I6
END

NUMERO 54
BEGIN
 KEY "Importo saldo ILOR coniuge"
 PROMPT 87 36 ""
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
 MESSAGE EMPTY HIDE,55
 FIELD R6
END

STRINGA 55
BEGIN
 KEY "X su SALDO-ILOR (coniuge)"
 PROMPT 41 36 "X"
 GROUP 9
END

NUMERO 56
BEGIN
 KEY "Anno di rif. (acc. ILOR coniuge)"
 PROMPT 64 38 ""
 PICTURE "#  #"
 FIELD I7
END

NUMERO 57
BEGIN
 KEY "Importo acconto ILOR coniuge"
 PROMPT 87 38 ""
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
 MESSAGE EMPTY HIDE,58
 FIELD R7
END

STRINGA 58
BEGIN
 KEY "X su ACCONTO-ILOR (coniuge)"
 PROMPT 41 38 "X"
 GROUP 9
END

NUMERO 59
BEGIN
 KEY "Anno di rif. (saldo SSN coniuge)"
 PROMPT 64 40 ""
 PICTURE "#  #"
 FIELD I8
END

NUMERO 60
BEGIN
 KEY "Importo saldo SSN coniuge"
 PROMPT 87 40 ""
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
 MESSAGE EMPTY HIDE,61
 FIELD R8
END

STRINGA 61
BEGIN
 KEY "X su SALDO-SSN (coniuge)"
 PROMPT 41 40 "X"
 GROUP 9
END

NUMERO 62
BEGIN
 KEY "Anno di rif. (acc. SSN coniuge)"
 PROMPT 64 42 ""
 PICTURE "#  #"
 FIELD I9
END

NUMERO 63
BEGIN
 KEY "Importo acconto SSN coniuge"
 PROMPT 87 42 ""
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
 MESSAGE EMPTY HIDE,64
 FIELD R9
END

STRINGA 64
BEGIN
 KEY "X su ACCONTO-SSN (coniuge)"
 PROMPT 41 42 "X"
 GROUP 9
END

STRING 65
BEGIN
  KEY "Codice regione SSN coniuge"
  PROMPT 112 41 ""
  PICTURE  "#  #"
  FIELD S9
END

STRINGA 66
BEGIN
  KEY "Centro di serv. o Uff. imp. dir."
  PROMPT 61 44 ""
  PICTURE "#  #  #"
  FIELD 213@->UFFCSERV
END

STRING 67
BEGIN
 KEY "Intestatario tributo (1)"
 PROMPT 34 49 ""
 FIELD S2[5,5]
END

STRING 68
BEGIN
 KEY "Codice tributo (1)"
 PROMPT 42 49 ""
 FIELD S2[1,4]
END

STRING 69
BEGIN
 KEY "Codice regione tributo (1)"
 PROMPT 112 49 ""
 PICTURE  "#  #"
 FIELD S2[6,7]
END

NUMERO 70
BEGIN
 KEY "Anno di riferimento tributo (1)"
 PROMPT 64 49 ""
 PICTURE "#  #"
 FIELD I10
END

NUMERO 71
BEGIN
 KEY "Importo tributo (1)"
 PROMPT 87 49 ""
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
 FIELD R10
END

STRING 72
BEGIN
 KEY "Intestatario tributo (2)"
 PROMPT 34 51 ""
 FIELD S3[5,5]
END

STRING 73
BEGIN
 KEY "Codice tributo (2)"
 PROMPT 42 51 ""
 FIELD S3[1,4]
END

STRING 74
BEGIN
 KEY "Codice regione tributo (2)"
 PROMPT 112 51 ""
 PICTURE  "#  #"
 FIELD S3[6,7]
END

NUMERO 75
BEGIN
 KEY "Anno di riferimento tributo (2)"
 PROMPT 64 51 ""
 PICTURE "#  #"
 FIELD I11
END

NUMERO 76
BEGIN
 KEY "Importo tributo (2)"
 PROMPT 87 51 ""
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
 FIELD R11
END

STRING 77
BEGIN
 KEY "Intestatario tributo (3)"
 PROMPT 34 53 ""
 FIELD S4[5,5]
END

STRING 78
BEGIN
 KEY "Codice tributo (3)"
 PROMPT 42 53 ""
 FIELD S4[1,4]
END

STRING 79
BEGIN
 KEY "Codice regione tributo (3)"
 PROMPT 112 53 ""
 PICTURE  "#  #"
 FIELD S4[6,7]
END

NUMERO 80
BEGIN
 KEY "Anno di riferimento tributo (3)"
 PROMPT 64 53 ""
 PICTURE "#  #"
 FIELD I12
END

NUMERO 81
BEGIN
 KEY "Importo tributo (3)"
 PROMPT 87 53 ""
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
 FIELD R12
END

STRING 82
BEGIN
 KEY "Intestatario tributo (4)"
 PROMPT 34 55 ""
 FIELD S5[5,5]
END

STRING 83
BEGIN
 KEY "Codice tributo (4)"
 PROMPT 42 55 ""
 FIELD S5[1,4]
END

STRING 84
BEGIN
 KEY "Codice regione tributo (4)"
 PROMPT 112 55 ""
 PICTURE  "#  #"
 FIELD S5[6,7]
END

NUMERO 85
BEGIN
 KEY "Anno di riferimento tributo (4)"
 PROMPT 64 55 ""
 PICTURE "#  #"
 FIELD I13
END

NUMERO 86
BEGIN
 KEY "Importo tributo (4)"
 PROMPT 87 55 ""
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
 FIELD R13
END

NUMERO 87
BEGIN
 KEY "TOTALE (in cifre)"
 PROMPT 87 58 ""
 GROUP  5
 PICTURE "###.###.###^^^"
END

NUMERO 88
BEGIN
 KEY "TOTALE (in lettere)"
 PROMPT 20 61 ""
 GROUP  5
 PICTURE "LETTERE"
END

DATA 89
BEGIN
 KEY "DATA: giorno - mese - anno"
 PROMPT 81 66 ""
 PICTURE "@  @^  @  @^^^@  @"
 FIELD D0
 FORMAT "1444-"
END

STRINGA 90
BEGIN
 KEY "CODICE AZIENDA"
 PROMPT 102 66 ""
 FIELD S7
END

STRINGA 91
BEGIN
 KEY "CODICE DIPENDENZA"
 PROMPT 120 66 ""
 FIELD S8
END

END

END
