USE %IRG
JOIN %UCC ALIAS 14 INTO CODTAB=S9
JOIN 6 ALIAS 16 INTO TIPOA=S0[1,1] CODANAGR=S0[2,6]
JOIN 8 TO 6 INTO CODANAGR=CODANAGR
JOIN 13 TO 6 ALIAS 113 INTO COM=COMRF(COMRES)

END
DESCRIPTION
BEGIN
  %IRG->* " "
  14@->* "UCC"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  13->* "Comuni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Roman 17cpi"
  SIZE 12
  CARATTERE "X"
  INIZIALE 1 4
  FINALE 126 4
END

SECTION BODY ODD 72

STRINGA 1
BEGIN
 KEY "CONCESSIONE DI"
 PROMPT 63 7 ""
 FIELD 14@->S0
END

STRINGA 2
BEGIN
 KEY "DENOMINAZIONE"
 PROMPT 6 13 ""
 FIELD 6->RAGSOC
END

STRINGA 3
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 97 13 ""
 FIELD 6->COFI
END

STRINGA 4
BEGIN
 KEY "DOMICILIO FISCALE: COMUNE"
 PROMPT 24 15 ""
 FIELD 13->DENCOM
END

STRINGA 5
BEGIN
 KEY "DOMICILIO FISCALE: PROV. (sigla)"
 PROMPT 64 15 ""
 FIELD 13->PROVCOM
END

STRINGA 6
BEGIN
 KEY "CAMPO PER MESSAGGIO RESIDENZA"
 PROMPT -1 -1 ""
 FLAGS "H"
 FIELD 6->INDRF
 MESSAGE EMPTY SHOW,18@|HIDE,17@
 MESSAGE SHOW,17@|HIDE,18@
END

STRINGA 7
BEGIN
 KEY "DOMICILIO FISCALE: VIA (RF)"
 PROMPT 77 15 ""
 FIELD 6->INDRF
 GROUP 17
END

STRINGA 8
BEGIN
 KEY "DOMICILIO FISCALE: NUMERO CIVICO (RF)"
 PROMPT 122 15 ""
 FIELD 6->CIVRF
 GROUP 17
END

STRINGA 9
BEGIN
 KEY "DOMICILIO FISCALE: VIA (RES)"
 PROMPT 77 15 ""
 FIELD 6->INDRES
 GROUP 18
 FLAGS "H"
END

STRINGA 10
BEGIN
 KEY "DOMICILIO FISCALE: NUMERO CIVICO (RES)"
 PROMPT 122 15 ""
 FIELD 6->CIVRES
 GROUP 18
 FLAGS "H"
END

GRUPPO 11
BEGIN
 KEY "DISTINTA VERSAMENTO IRPEG"
 PROMPT 0 0 ""
END

NUMERO 12
BEGIN
 KEY "IRPEG 2100 GRUPPO 4: DA ANNO"
 PROMPT 32 22 ""
 PICTURE "#  #"
 FIELD I0
END

NUMERO 13
BEGIN
 KEY "IRPEG 2100 GRUPPO 4: AD ANNO"
 PROMPT 44 22 ""
 PICTURE "#  #"
 FIELD I1
END

NUMERO 14
BEGIN
 KEY "IRPEG 2100 GRUPPO 4: IMPOSTA"
 PROMPT 62 22 ""
 MESSAGE COPY,1@
 PICTURE "###.###.###^^^"
 FIELD R0
END

NUMERO 15
BEGIN
 KEY "IRPEG 2100 GRUPPO 4: INTERESSI"
 PROMPT 87 22 ""
 MESSAGE ADD,1@
 PICTURE "###.###.###^^^"
 FIELD R4
END

NUMERO 16
BEGIN
 KEY "IRPEG 2100 GRUPPO 4: TOTALE"
 PROMPT 113 22 ""
 GROUP  1
 MESSAGE COPY,5@
 PICTURE "###.###.###^^^"
END

NUMERO 17
BEGIN
 KEY "IRPEG 2110 GRUPPO 10: DA ANNO"
 PROMPT 32 26 ""
 PICTURE "#  #"
 FIELD I2
END

NUMERO 18
BEGIN
 KEY "IRPEG 2110 GRUPPO 10: AD ANNO"
 PROMPT 44 26 ""
 PICTURE "#  #"
 FIELD I3
END

NUMERO 19
BEGIN
 KEY "IRPEG 2110 GRUPPO 10: IMPOSTA"
 PROMPT 62 26 ""
 MESSAGE COPY,2@
 PICTURE "###.###.###^^^"
 FIELD R1
END

NUMERO 20
BEGIN
 KEY "IRPEG 2110 GRUPPO 10: INTERESSI"
 PROMPT 87 26 ""
 MESSAGE ADD,2@
 PICTURE "###.###.###^^^"
 FIELD R5
END

NUMERO 21
BEGIN
 KEY "IRPEG 2110 GRUPPO 10: TOTALE"
 PROMPT 113 26 ""
 GROUP  2
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
END

GRUPPO 22
BEGIN
 KEY "DISTINTA VERSAMENTO ILOR"
 PROMPT 0 0 ""
END

NUMERO 23
BEGIN
 KEY "ILOR 3000 GRUPPO 06: DA ANNO"
 PROMPT 32 37 ""
 PICTURE "#  #"
 FIELD I4
END

NUMERO 24
BEGIN
 KEY "ILOR 3000 GRUPPO 06: AD ANNO"
 PROMPT 44 37 ""
 PICTURE "#  #"
 FIELD I5
END

NUMERO 25
BEGIN
 KEY "ILOR 3000 GRUPPO 06: IMPOSTA"
 PROMPT 62 37 ""
 MESSAGE COPY,3@
 PICTURE "###.###.###^^^"
 FIELD R2
END

NUMERO 26
BEGIN
 KEY "ILOR 3000 GRUPPO 06: INTERESSI"
 PROMPT 87 37 ""
 MESSAGE ADD,3@
 PICTURE "###.###.###^^^"
 FIELD R6
END

NUMERO 27
BEGIN
 KEY "ILOR 3000 GRUPPO 06: TOTALE"
 PROMPT 113 37 ""
 GROUP  3
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
END

NUMERO 28
BEGIN
 KEY "ILOR 3110 GRUPPO 11: DA ANNO"
 PROMPT 32 41 ""
 PICTURE "#  #"
 FIELD I6
END

NUMERO 29
BEGIN
 KEY "ILOR 3110 GRUPPO 11: AD ANNO"
 PROMPT 44 41 ""
 PICTURE "#  #"
 FIELD I7
END

NUMERO 30
BEGIN
 KEY "ILOR 3110 GRUPPO 11: IMPOSTA"
 PROMPT 62 41 ""
 MESSAGE COPY,4@
 PICTURE "###.###.###^^^"
 FIELD R3
END

NUMERO 31
BEGIN
 KEY "ILOR 3110 GRUPPO 11: INTERESSI"
 PROMPT 87 41 ""
 MESSAGE ADD,4@
 PICTURE "###.###.###^^^"
 FIELD R7
END

NUMERO 32
BEGIN
 KEY "ILOR 3110 GRUPPO 11: TOTALE"
 PROMPT 113 41 ""
 GROUP  4
 MESSAGE ADD,5@
 PICTURE "###.###.###^^^"
END

NUMERO 33
BEGIN
 KEY "TOTALE DA VERSARE"
 PROMPT 113 47 ""
 GROUP  5
 PICTURE "###.###.###^^^"
END

STRINGA 34
BEGIN
 KEY "CODICE CONTRIBUENTE (Esattoria Prov.)"
 PROMPT 4 54 ""
 FIELD 6->CODCONTR[1,2]
END

STRINGA 35
BEGIN
 KEY "CODICE CONTRIBUENTE (Esattoria Com.)"
 PROMPT 14 54 ""
 FIELD 6->CODCONTR[3,5]
END

STRINGA 36
BEGIN
 KEY "CODICE CONTRIBUENTE"
 PROMPT 30 54 ""
 FIELD 6->CODCONTR[6,13]
END

STRINGA 37
BEGIN
 KEY "CODICE CONTRIBUENTE (C.c.)"
 PROMPT 47 54 ""
 FIELD 6->CODCONTR[14,15]
END

STRINGA 38
BEGIN
 KEY "CAMPO PER MESSAGGIO"
 MESSAGE _CENSERoUFFIMP,113@,16@,501
END

STRINGA 501
BEGIN
 KEY "CENTRO SERVIZI: Provincia e Denominazione"
 PROMPT 71 55 ""
END

DATA 39
BEGIN
 KEY "DATA: giorno - mese - anno"
 PROMPT 21 60 ""
 PICTURE "@@ ^ @@^^^@@"
 FIELD D0
 FORMAT "1444-"
END

END

END
