USE 31 
JOIN 14 INTO NPROGTR==NPROGTR      
JOIN 20 INTO TIPOCF=="C" CODCF==CODCF
JOIN 13 TO 20 ALIAS 113 INTO COM==COMCF     
JOIN %BAN ALIAS 201 INTO CODTAB[1,5]==CODABI 
JOIN %BAN ALIAS 203 INTO CODTAB==CODABI+CODCAB
JOIN 13 TO 203@ ALIAS 213 INTO COM==S5
JOIN %BAN ALIAS 202 INTO CODTAB==CODABIP+CODCABP
END

DESCRIPTION
BEGIN
  31->* "Effetti"
  14->* "Righe effetto"
  20->* "Clienti e Fornitori"
  113@->* "Comuni" 
  213@->* "Comuni"
  201@->* "Tabella banche"
  202@->* "Tabella banche"
  203@->* "Tabella banche"  
END

GENERAL
BEGIN         
 OFFSET 0 0
 FONT "Roman 17cpi"
 SIZE 12
END

SECTION BODY ODD 19

DATA 1 10
BEGIN
 KEY "data scadenza"
 PROMPT 50 2 ""
 FIELD 31->DATASCAD
 FORMAT "2444/"
END
 
NUMERO 2 18 
BEGIN
 KEY "importo"
 PROMPT 70 2 ""
 FIELD 31->IMPORTO
 PICTURE "###.###.###.###,@@" 
END

STRING 3 50
BEGIN
 KEY "denominazione banca di presentazione"
 PROMPT 27 7 ""
 FIELD 202@->S0
END

NUMERO 4 56
BEGIN
 KEY "importo in lettere"
 PROMPT 27 6 ""   
 FIELD 31->IMPORTO
 PICTURE "(*,*)LETTERE@44"     
END   

LISTA 5 4
BEGIN
 KEY "a saldo/in conto"
 FIELD 31->ULTRATA
 PROMPT 27 10 ""
 ITEM " |########"
 ITEM "X|"
END 

LISTA 6 4
BEGIN
 KEY "a saldo/in conto"
 FIELD 31->ULTRATA
 PROMPT 27 11 ""
 ITEM " |"
 ITEM "X|########"
END 

STRING 7 1
BEGIN 
  KEY "lettera a/e a seconda che la fattura raggruppata/o no"
  PROMPT 35 10 ""
  MESSAGE _FATT,!A
END    

STRING 8 1
BEGIN 
  KEY "lettera a/e a seconda che la fattura raggruppata/o no"
  PROMPT 43 10 ""
  MESSAGE _FATT,!A
END

STRING 9 17 5   
BEGIN
 KEY "dati fattura"
 PROMPT 48 10 ""
 MESSAGE _FATT,!DATIFATT
END
 
NUMERO 10 18
BEGIN
 KEY "importo fattura"
 PROMPT 73 10 ""       
 MESSAGE _FATT,!IMPFATT      
END

STRING 11 30 2 
BEGIN
 KEY "ragione sociale debitore"
 PROMPT 31 14 ""
 FIELD 20->RAGSOC
END

STRING 13 32 
BEGIN
 KEY "indirizzo debitore"
 PROMPT 31 16 ""
 FIELD 20->INDCF
END
 
STRING 14 5
BEGIN
 KEY "CAP debitore"
 PROMPT 31 17 ""
 FIELD 20->CAPCF
END 

STRING 15 22
BEGIN
 KEY "localita debitore"
 PROMPT 38 17 ""
 FIELD 20->LOCALITACF
END      

STRING 16 2  
BEGIN
 KEY "provincia debitore"
 PROMPT 61 17 ""
 FIELD 113@->PROVCOM
END     
          
STRING 17 27 2
BEGIN
 KEY "istituto banca d'appoggio"
 PROMPT 1 14 ""
 FIELD 201@->S0
END

STRING 18 27 2
BEGIN
 KEY "denominazione banca d'appoggio"
 PROMPT 1 16 ""
 FIELD 203@->S0
END  

STRINGA 19
BEGIN
 KEY "via banca appoggio"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE COPY,21
 FIELD 203@->S2
END

STRINGA 20
BEGIN
 KEY "n. civico banca appoggio"
 PROMPT 0 0 ""
 FLAGS "H"
 MESSAGE APPEND,21
 FIELD 203@->S7
END

STRING 21 27
BEGIN
 KEY "indirizzo banca d'appoggio"
 PROMPT 1 18 ""
END          

STRING 22 27
BEGIN
 KEY "localita banca d'appoggio"
 PROMPT 1 19 ""
 FIELD 213@->DENCOM
END         

END

END