#ifndef __CLASSES_H
#define __CLASSES_H

// @N
// Codici identificativi delle classi
// @END

// @M
#define CLASS_ERROR                       0
#define CLASS_OBJECT                      1
#define CLASS_SORTABLE                    2

#define CLASS_STRING                     10
#define CLASS_FIXED_STRING               11
#define CLASS_FILENAME                   12
#define CLASS_TOKEN_STRING               13

#define CLASS_APPLICATION                20
#define CLASS_RELATION_APPLICATION       21 
#define CLASS_PRINT_APPLICATION          22

#define CLASS_PRINTER                    50
#define CLASS_PRINTROW                   51

#define CLASS_CONTAINER                 100
#define CLASS_ARRAY                     101
#define CLASS_STACK                     102

#define CLASS_WINDOW                    200
#define CLASS_SHEET                     201
#define CLASS_MASK                      210
#define CLASS_FIELD                     220
#define CLASS_TEXT_FIELD                221
#define CLASS_LINE_FIELD                222
#define CLASS_RECTANGLE_FIELD           223
#define CLASS_GROUPBOX_FIELD            224
#define CLASS_OPERABLE_FIELD            230
#define CLASS_BUTTON_FIELD              231
#define CLASS_SHEET_FIELD               232
#define CLASS_BROWSEFILE_FIELD          233
#define CLASS_MEMO_FIELD                234
#define CLASS_ZOOM_FIELD                235
#define CLASS_EDITABLE_FIELD            240
#define CLASS_BOOLEAN_FIELD             241
#define CLASS_LIST_FIELD                242
#define CLASS_RADIO_FIELD               243
#define CLASS_EDIT_FIELD                244
#define CLASS_REAL_FIELD                245
#define CLASS_DATE_FIELD                246
#define CLASS_GRID_FIELD                247

#define CLASS_GOLEM                     900

// @END
#endif // __CLASSES_H
