/* @(!) 2.3.01.178 */
#ifdef DOS
#include "hlapi_c.h"
#else
#include "keye.h"
#endif
/* @(:) 2.3.01.178 */
#define MAXCKEY                                 5
#define MAXCLEN                                 10
#define MAXENTRYNAME    16
#define MAXTENTRY                               48
/* @(!) 2.3.01.temp */
#define MAXENTRYSIZE    4096
/* @(:) 2.3.01.temp */
#define MAXDISPCOLS                     4
#define CONFFILE                "conf.gen"
#ifdef  DOS
#define HLBLOCK         1
/* @(!) 2.3.01.178 */
#define REFKEY          "CAMPOKEY"
#define VERKEY          "pوc<"
/* @(:) 2.3.01.178 */
#else
#define HLBLOCK         2
#endif

/*
   @(H) 2.3.00.10       24/09/91        Bonazzi Dichiarato numero di versione globale
   @(H) 2.3.01.69       15/05/92        Bonazzi Modificato algoritmo di refresh delle finestre
   @(H) 2.3.01.130 08/10/92 Bonazzi     Corretto algoritmo lettura caratteri per >128
   */

#ifndef DOS
struct capentry {
  /* @(!) 2.3.01.130 */
  uchar         key[MAXCKEY];
  uchar         str[MAXCLEN];
  /* @(:) 2.3.01.130 */
  char          charcode;
};
#endif 
struct keybar {
  word  id;
  uchar key;
  char  *explic;
  struct keybar *next;
  struct keybar *prev;
  /* @(!) 2.3.01.223 */
  BOOLEAN       nosusp;
  /* @(:) 2.3.01.223 */
};

extern char                     _int_res[513];
extern uchar            _int_s1[256];
/* @(!) 2.3.01.temp */
#ifdef M_I386
extern short            _int_cnt[8];
#else
/* @(:) 2.3.01.temp */
extern int                      _int_cnt[8];
/* @(!) 2.3.01.temp */
#endif
/* @(:) 2.3.01.temp */
#ifndef XVT_OS
#ifndef FOXPRO
extern chtype           boxstr[MAXBORDERS][6];
extern int                      termlines;
extern int                      nwin;
extern int                      worder[MAXWIN];
#endif
#endif
extern BOOLEAN  insstate;
extern BOOLEAN  retins;
extern Word                     ModAd;
extern Word                     Port;
extern Word                     SerNo;
extern char                     *modname[];
#ifndef XVT_OS
extern int                      dispcol[MAXDISPCOLS][2];
#endif
extern char                     *keybarstr;
/* @(!) 2.3.00.10 */
extern char                     vers[];
/* @(H) 2.3.00.10 */
/* @(!) 2.3.01.69 */
#ifndef XVT_OS
extern BOOLEAN border;
#endif
/* @(:) 2.3.01.69 */
/* @(!) 2.3.01.150 */
extern  BOOLEAN flprassi;
/* @(:) 2.3.01.150 */
/* @(!) 2.3.01.158 */
extern  BOOLEAN flaltmodins;
/* @(:) 2.3.01.158 */
/* @(!) 2.3.01.176 */
extern  BOOLEAN demoflag;
extern  BOOLEAN formflag;
/* @(:) 2.3.01.176 */

/* @(!) 2.3.01.325 aggiunto pre-prefisso */
extern  Str80   __ptprf;
/* @(:) 2.3.01.325 */

int  setblock(int, BOOLEAN);
/* @(!) 2.3.01.130 */
char *custgetcap(uchar *, uchar *, int);
void readkeysdef (uchar *, struct capentry *);
int  gettdef ( char *, uchar *);
/* @(:) 2.3.01.130 */
void initctab(struct capentry   *);
void createaut (struct capentry *);
Word Hl_Port(Word);
Word getser(void);
