 include include.mak

(%.o):   %.cpp  
	$(CPLUSCOMP) $(CFLAGS) $(<:.cpp= ) $*
	$(LIBINSERT) $*.o

$(EP)%.msk: %.uml
	$(MCOMP) $(basename $<) $(basename $@)

.PRECIOUS:      $(LIB)

lib: $(LIB) masks inis
	$(UPDLIB) $(LIB) $(TMPF)

$(LIB): $(LIB)(applicat.o) $(LIB)(array.o) $(LIB)(assoc.o)\
 $(LIB)(brwapp.o) \
 $(LIB)(checks.o) $(LIB)(confapp.o) $(LIB)(config.o)\
 $(LIB)(date.o) \
 $(LIB)(expr.o) $(LIB)(execp.o)\
 $(LIB)(files.o) $(LIB)(form.o)\
 $(LIB)(golem.o) \
 $(LIB)(isam.o)\
 $(LIB)(mask.o) $(LIB)(maskfld.o) $(LIB)(mailbox.o) $(LIB)(msksheet.o)\
 $(LIB)(memo.o) \
 $(LIB)(object.o)\
 $(LIB)(printer.o) $(LIB)(printapp.o) $(LIB)(progind.o)\
 $(LIB)(prefix.o) $(LIB)(printwin.o)\
 $(LIB)(relation.o) $(LIB)(real.o) $(LIB)(relapp.o)\
 $(LIB)(sheet.o) $(LIB)(sort.o) $(LIB)(scanner.o)\
 $(LIB)(stack.o) $(LIB)(stdtypes.o) $(LIB)(strings.o)\
 $(LIB)(tabutil.o) $(LIB)(tabapp.o) $(LIB)(text.o) \
 $(LIB)(utility.o)\
 $(LIB)(validate.o)\
 $(LIB)(xvtility.o)\
 $(LIB)(window.o) $(LIB)(viswin.o) 

$(LIB)(applicat.o):  applicat.cpp  $(S1) $(I24) $(I56) $(I5) $(I15) $(I8) $(I33) $(I12) $(I37) $(I39) $(I43) $(I31) bagn002.h  prassi.ver              

$(LIB)(array.o):  array.cpp $(I13) $(I10) 

$(LIB)(assoc.o):  assoc.cpp $(I55) 

$(LIB)(brwapp.o):  brwapp.cpp $(I34) $(I47) $(I31) 

$(LIB)(checks.o):  checks.cpp keys.h $(I23) $(I24) $(I6) 

$(LIB)(confapp.o):  confapp.cpp $(I57) $(I43) $(I31) $(I33) $(I19) $(I39) $(I23) 

$(LIB)(config.o):  config.cpp  $(I24) $(I56) $(I31) $(I17) 

$(LIB)(date.o):  date.cpp $(I7) $(I5) $(I10) $(I31) 

$(LIB)(execp.o):  execp.cpp $(S1) $(I24) $(I48) 

$(LIB)(expr.o):  expr.cpp $(I28) $(I21) $(I31) 

$(LIB)(files.o):  files.cpp $(I16) $(I28) $(I5) $(I10) $(I31) $(I24)

$(LIB)(form.o):  form.cpp $(I24) $(I33) $(I51) $(I39) $(I40) $(I31) 

$(LIB)(golem.o):  golem.cpp $(I63) $(I24) $(I56) $(I48) $(I33) $(I12) $(I39) $(I43) $(I31) bagn006.h

$(LIB)(isam.o):  isam.cpp $(I24) $(I30) $(I28) $(I37) $(I48) $(I39) $(I56) $(I12) $(I5) $(I17) $(I31) $(I47)

$(LIB)(mailbox.o):  mailbox.cpp  $(I24) $(I47) $(I31)

$(LIB)(mask.o):  mask.cpp $(I24) $(I52) $(I54) $(I39) $(I43) $(I31) 

$(LIB)(maskfld.o):  maskfld.cpp $(S1) $(I24) $(I45) $(I48) $(I47) $(I40) $(I33) $(I39) $(I42) $(I43) $(I31) $(I46) $(I23)  

$(LIB)(msksheet.o):  msksheet.cpp $(I54) $(I27) $(I43) $(I31) $(I52) $(I40) 

$(LIB)(memo.o):  memo.cpp $(I62) $(I31)

$(LIB)(object.o):  object.cpp $(I9) 

$(LIB)(prefix.o):  prefix.cpp $(I15) $(I12) $(I24) $(I13) $(I5) $(I17) $(I31) 

$(LIB)(printapp.o):  printapp.cpp $(I37) $(I31) $(I42) $(I50) $(I43) 

$(LIB)(printer.o):  printer.cpp  $(S1) $(I33) $(I31) $(I59) $(I5) $(I24) $(I36) $(I48) bagn001a.h bagn004.h 

$(LIB)(printwin.o):  printwin.cpp $(I60) $(I23) $(I24) 

$(LIB)(progind.o):  progind.cpp $(I45) $(I37)   

$(LIB)(real.o):  real.cpp $(S3) $(I10) $(I27) 

$(LIB)(relapp.o):  relapp.cpp $(I47) $(I40) $(I43) $(I53) $(I31) $(I23) 

$(LIB)(relation.o):  relation.cpp $(I56) $(I28) $(I5) $(I39) $(I42) $(I31) $(I23) 

$(LIB)(scanner.o):  scanner.cpp $(I31) $(I17) 

$(LIB)(sheet.o):  sheet.cpp $(I33) $(I24) $(I52) $(I39) $(I36) $(I40) $(I43) $(I31) 

$(LIB)(sort.o):  sort.cpp $(I41) $(I5) $(I6)

$(LIB)(stack.o):  stack.cpp $(I21) 

$(LIB)(stdtypes.o):  stdtypes.cpp  $(I5) $(I15) $(I3) $(I8) $(I44) $(I6) $(I12) $(I30) $(S1) 

$(LIB)(strings.o):  strings.cpp $(I10) $(I24) $(I31) 

$(LIB)(tabutil.o):  tabutil.cpp $(I6) $(I42) $(I5) $(I31) 

$(LIB)(tabapp.o):  tabapp.cpp $(I1) $(I31) $(I42) $(I48) $(I61) 

$(LIB)(text.o):  text.cpp $(I58)

$(LIB)(utility.o):  utility.cpp $(I10) $(I31)

$(LIB)(validate.o):  validate.cpp  $(I24) $(I28) $(I30) $(I33) $(I31) $(I43) $(I46) nditte.h 

$(LIB)(viswin.o):  viswin.cpp $(I23) $(I52) $(I56) $(I45) $(I48) $(I47) $(I31) $(I50) $(I43) $(I59)

$(LIB)(window.o):  window.cpp $(I6) $(I43) $(I31) $(I32) $(I52)  

$(LIB)(xvtility.o):  xvtility.cpp $(I24) $(I52) $(I43) $(I31) 

include depdue.mak
