USE 44
JOIN 45 INTO CODDITTA=CODDITTA CODDIP=CODDIP
JOIN %CAF ALIAS 104 INTO CODTAB==CODCAAF
JOIN 9 INTO CODDITTA=CODDITTA
JOIN 6 TO 9 ALIAS 106 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN 8 TO 106@ ALIAS 108 INTO CODANAGR=CODANAGR
JOIN 13 TO 108@ ALIAS 113 INTO COM==COMNASC
JOIN 13 TO 106@ ALIAS 213 INTO COM==COMRF(COMRES)
JOIN 36 INTO CODDITTA=CODDITTA

END
DESCRIPTION
BEGIN
  44->* "Quadro A 770"
  45->* "Anagrafica dei dipendenti"
  104@->* "Tabella CAAF"
  9->* "Ditte"
  106@->* "Anagrafica persone fisiche e giuridiche (ditta)"
  108@->* "Anagrafica persone fisiche (ditta)"
  113@->* "Comuni DITTA (nascita)"
  213@->* "Comuni DITTA (residenza)"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 11
  CARATTERE "X"
  INIZIO_POS 3 2
  FINE_POS 131
  GRID "+++++++++-|"
END

SECTION HEADER FIRST 28

LISTA 1
BEGIN
 KEY "Tipo anagrafica"
 FLAGS "H"
 FIELD 106@->TIPOA
 ITEM "F|Fisica" MESSAGE SHOW,1@|HIDE,2@
 ITEM "G|Giuridica" MESSAGE SHOW,2@|HIDE,1@
END

STRINGA 2
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 3 11 ""
 FIELD 106@->COFI
END

STRINGA 3
BEGIN
 KEY "RAGIONE SOCIALE"
 PROMPT 39 11 ""
 GROUP  2
 FIELD 106@->RAGSOC
END

STRINGA 4
BEGIN
 KEY "COGNOME"
 PROMPT 39 11 ""
 GROUP  1
 FIELD 106@->RAGSOC[1,30]
END

STRINGA 5
BEGIN
 KEY "NOME"
 PROMPT 17 13 ""
 GROUP  1
 FIELD 106@->RAGSOC[31,50]
END

STRINGA 6
BEGIN
 KEY "SESSO"
 PROMPT 58 13 ""
 GROUP  1
 FIELD 108@->SESSO
END

STRINGA 7
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 67 13 ""
 GROUP  1
 FIELD 108@->DATANASC
END

STRINGA 8
BEGIN
 KEY "COMUNE DI NASCITA"
 PROMPT 84 13 ""
 GROUP  1
 FIELD 113@->DENCOM
END

STRINGA 9
BEGIN
 KEY "PROV. DI NASCITA"
 PROMPT 125 13 ""
 GROUP  1
 FIELD 113@->PROVCOM
END

STRINGA 10
BEGIN
 KEY "COMUNE DI RES.FISCALE"
 PROMPT 17 15 ""
 FIELD 213@->DENCOM
END

STRINGA 11
BEGIN
 KEY "PROV DI RES.FISCALE"
 PROMPT 59 15 ""
 FIELD 213@->PROVCOM
END

STRINGA 12
BEGIN
 KEY "VIA di RES."
 PROMPT 66 15 ""
 FIELD 106@->INDRF
 FIELD 106@->INDRES
END

STRINGA 15
BEGIN
 KEY "NUM. CIVICO di RES."
 PROMPT 104 15 ""
 FIELD 106@->CIVRF
 FIELD 106@->CIVRES
END

STRINGA 16
BEGIN
 KEY "CAP"
 PROMPT 123 15 ""
 FIELD 106@->CAPRF
 FIELD 106@->CAPRES
END

STRINGA 13
BEGIN
 KEY "CODICE FISCALE DEL SOGGETTO DICHIARANTE"
 PROMPT 85 18 ""
END

NUMERO 14
BEGIN
 KEY "NUM. FOGLIO"
 PROMPT 125 21 ""
END

END

SECTION BODY ODD 20

STRINGA 1
BEGIN
 KEY "COD.FIS"
 PROMPT 11 1 ""
 FIELD 45->CODFI
END

STRINGA 2
BEGIN
 KEY "COGNOME"
 PROMPT 44 1 ""
 FIELD 45->COGNOME
END

STRINGA 3
BEGIN
 KEY "NOME"
 PROMPT 82 1 ""
 FIELD 45->NOME
END

DATA 4
BEGIN
 KEY "DATA NASCITA"
 PROMPT 114 1 ""
 FIELD 45->DATANA
 FORMAT "1444-"
END

STRINGA 5
BEGIN
 KEY "SESSO"
 PROMPT 128 1 ""
 FIELD 45->SESSO
END

STRINGA 6
BEGIN
 KEY "COMUNE DI NASCITA"
 PROMPT 11 3 ""
 FIELD 45->COMUNENA
END

STRINGA 7
BEGIN
 KEY "PROV DI NASCITA"
 PROMPT 47 3 ""
 FIELD 45->PROVNA
END

STRINGA 8
BEGIN
 KEY "COMUNE DI RESIDENZA"
 PROMPT 54 3 ""
 FIELD 45->COMRES
END

STRINGA 9
BEGIN
 KEY "PROV. RESIDENZA"
 PROMPT 88 3 ""
 FIELD 45->PROVRES
END

STRINGA 10
BEGIN
 KEY "INDIRIZZO RES."
 PROMPT 95 3 ""
 FIELD 45->INDRES
END

STRINGA 11
BEGIN
 KEY "STATO CIVILE"
 PROMPT 13 5 ""
 FIELD 45->STATOCIV
END

STRINGA 12
BEGIN
 KEY "QUALIFICA"
 PROMPT 22 5 ""
 FIELD 45->QUALIFICA
END

STRINGA 13
BEGIN
 KEY "AREA ATTIVITA'"
 PROMPT 31 5 ""
 FIELD 44->AREAATT
END

STRINGA 14
BEGIN
 KEY "TIPO"
 PROMPT 38 5 ""
 FIELD 44->TIPO
END

NUMERO 15
BEGIN
 KEY "NUMERO GIORNI"
 PROMPT 46 5 ""
 FIELD 44->NUMGIO
 PICTURE "###"
END

DATA 16
BEGIN
 KEY "DATA FINE RAPPORTO"
 PROMPT 62 5 ""
 FORMAT "1444-"    
 PICTURE "## ^ ##^^^^^"
 FIELD 44->DATAFR
END

NUMERO 17
BEGIN
 KEY "GIORNI DETRAZ. LAV. DIP."
 PROMPT 80 5 ""
 FIELD 44->NUMGIODET
 PICTURE "###"
END

STRINGA 18
BEGIN
 KEY "CF DATORE LAVORO PRECEDENTE"
 PROMPT 98 5 ""
 FIELD 44->CFDLPREC
END

NUMERO 19
BEGIN
 KEY "CAUSA"
 PROMPT 129 5 ""
 FIELD 44->CAUSA
END

NUMERO 20
BEGIN
 KEY "IN DENARO"
 PROMPT 9 7 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->20
 FIELD 44->DENARO
END

NUMERO 21
BEGIN
 KEY "IN NATURA"
 PROMPT 24 7 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->21
 FIELD 44->NATURA
END

NUMERO 22
BEGIN
 KEY "CONTRIBUTI OBBLIGATORI"
 PROMPT 39 7 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->22
 FIELD 44->COBBDIP
END

NUMERO 23
BEGIN
 KEY "COMPENSI NETTI"
 PROMPT 55 7 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->23
 FIELD 44->COMPNETTI
END

NUMERO 24
BEGIN
 KEY "AMMONTARE LORDO"
 PROMPT 70 7 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->24
 FIELD 44->AMMLORDO
END

NUMERO 25
BEGIN
 KEY "IND.ASS.CONTRIBUTI OBBLIGATORI"
 PROMPT 85 7 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->25
 FIELD 44->IACOBBCD
END

NUMERO 26
BEGIN
 KEY "SOMME NON ASSOG. A RITEN."
 PROMPT 101 7 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->26
 FIELD 44->NORIT
END

NUMERO 27
BEGIN
 KEY "TOTALE IMPONIBILE"
 PROMPT 117 7 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->27
 FIELD 44->TOTIMP
END

NUMERO 28
BEGIN
 KEY "ASSEGNI ED INDENNITA'"
 PROMPT 9 9 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->28
 FIELD 44->AIENTIPREV
END

NUMERO 29
BEGIN
 KEY "AMMONTARE COMPENSI CORRISPOSTI DA TERZI"
 PROMPT 24 9 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->29
 FIELD 44->CCTAMMCONT
END

NUMERO 30
BEGIN
 KEY "TOTALE IMPONIBILE 2"
 PROMPT 39 9 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->30
 FIELD 44->TOTIMP2
END

NUMERO 31
BEGIN
 KEY "IMPOSTA CORRISPONDENTE"
 PROMPT 55 9 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->31
 FIELD 44->ICTOTIMP
END

NUMERO 32
BEGIN
 KEY "DETRAZIONE PER CONIUGE A CARICO"
 PROMPT 70 9 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->32
 FIELD 44->DETCC
END

NUMERO 33
BEGIN
 KEY "DETRAZIONE PER FIGLI A CARICO"
 PROMPT 85 9 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->33
 FIELD 44->DETFC
END

NUMERO 34
BEGIN
 KEY "DETRAZIONE PER ALTRI FAMILIARI A CARICO"
 PROMPT 101 9 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->34
 FIELD 44->DETAF
END

NUMERO 35
BEGIN
 KEY "DETRAZIONE PER LAVORO DIPENDENTE"
 PROMPT 117 9 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->35
 FIELD 44->DETLD
END

NUMERO 36
BEGIN
 KEY "DETRAZIONE PER ONERI"
 PROMPT 9 11 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->36
 FIELD 44->DETO
END

NUMERO 37
BEGIN
 KEY "TOTALE DETRAZIONI"
 PROMPT 24 11 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->37
 FIELD 44->TOTDET
END

NUMERO 38
BEGIN
 KEY "INCREMENTO DETRAZIONI PER FIGLI A CARICO"
 PROMPT 39 11 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->38
 FIELD 44->INCDETFC
END

NUMERO 39
BEGIN
 KEY "RITENUTE OPERATE DA TERZI"
 PROMPT 55 11 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->39
 FIELD 44->AMRIOT
END

NUMERO 40
BEGIN
 KEY "RITENUTE OPERATE DAL DATORE DI LAVORO"
 PROMPT 70 11 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->40
 FIELD 44->AMRIODL
END

NUMERO 41
BEGIN
 KEY "ECCEDENZA RITENUTE RIMBORSATE"
 PROMPT 85 11 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->41
 FIELD 44->ECCRITRIMB
END

NUMERO 42
BEGIN
 KEY "AMMONTARE RITENUTE DOVUTE"
 PROMPT 101 11 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->42
 FIELD 44->AMMRITDOV
END

NUMERO 43
BEGIN
 KEY "EROGAZIONI PER SPESE SANITARIE"
 PROMPT 117 11 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->43
 FIELD 44->ERSPSAN
END

NUMERO 44
BEGIN
 KEY "PREMI DI ASSICURAZIONE VITA E INFORTUNI"
 PROMPT 9 13 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->44
 FIELD 44->PRASSVI
END

NUMERO 45
BEGIN
 KEY "CONTRIBUTI PER PREVIDENZA COMPLEMENTARE"
 PROMPT 24 13 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->45
 FIELD 44->CONPRECO
END

NUMERO 46
BEGIN
 KEY "CONTRIBUTI OBBLIGATORI A CARICO DEL DIPENDENTE"
 PROMPT 39 13 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->46
 FIELD 44->COBBDIP2
END

NUMERO 47
BEGIN
 KEY "AMMONTARE IMPONIBILE"
 PROMPT 55 13 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->47
 FIELD 44->AMMIMP
END

NUMERO 48
BEGIN
 KEY "DETRAZIONI D'IMPOSTA"
 PROMPT 70 13 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->48
 FIELD 44->DETIMPOS
END

NUMERO 49
BEGIN
 KEY "RITENUTA ESEGUITA"
 PROMPT 85 13 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->49
 FIELD 44->RITESEG
END

NUMERO 50
BEGIN
 KEY "ALTRE SOMME E VALORI NON ASSOGGETTATI A RITENUTA"
 PROMPT 101 13 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->50
 FIELD 44->SVNASSRI
END

NUMERO 51
BEGIN
 KEY "AMMONTARE IMPONIBILE AI FINI DEL C.S.S.N."
 PROMPT 117 13 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->51
 FIELD 44->AIFCSSN
END

STRINGA 52
BEGIN
 KEY "CONGUAGLI NON EFFETTUATI"
 PROMPT 13 15 ""
 FIELD 44->CONEFF
END

NUMERO 53
BEGIN
 KEY "IMPOSTA VERSATA"
 PROMPT 20 15 ""
 PICTURE "###.###.###^^^"
 MESSAGE ADD,FL->53
 FIELD 44->IMPVERS
END

NUMERO 54
BEGIN
 KEY "INTERESSI"
 PROMPT 32 15 ""
 MESSAGE ADD,FL->54
 FIELD 44->INTERE
 PICTURE "###.###.###^^^"
END

NUMERO 55
BEGIN
 KEY "CONTRIBUTO VERSATO"
 PROMPT 45 15 ""
 PICTURE "###.###.###^^^"
 MESSAGE ADD,FL->55
 FIELD 44->CSSN95CV
END

NUMERO 56
BEGIN
 KEY "INTERESSI"
 PROMPT 57 15 ""
 PICTURE "###.###.###^^^"
 MESSAGE ADD,FL->56
 FIELD 44->INTERE2
END

STRINGA 57
BEGIN
 KEY "CONGUAGLI NON EFFETTUATI"
 PROMPT 73 15 ""
 FIELD 44->CNEFF
END

STRINGA 58
BEGIN
 KEY "RETTIFICA CONGUAGLIO"
 PROMPT 81 15 ""
 FIELD 44->RETCON
END

NUMERO 59
BEGIN
 KEY "IMPOSTA RIMBORSATA"
 PROMPT 85 15 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->59
 FIELD 44->IMPRIMB
END

NUMERO 60
BEGIN
 KEY "IMPOSTA VERSATA"
 PROMPT 101 15 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->60
 FIELD 44->IMPVER
END

NUMERO 61
BEGIN
 KEY "INTERESSI"
 PROMPT 117 15 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->61
 FIELD 44->INTIRPEF
END

NUMERO 62
BEGIN
 KEY "IMPOSTA VERSATA"
 PROMPT 13 17 ""
 PICTURE "###.###^^^"
 MESSAGE ADD,FL->62
 FIELD 44->IMPVER2
END

NUMERO 63
BEGIN
 KEY "INTERESSI"
 PROMPT 24 17 ""
 PICTURE "###.###^^^"
 MESSAGE ADD,FL->63
 FIELD 44->INTER
END

NUMERO 64
BEGIN
 KEY "SOPPRATTASSA SU IRPEF"
 PROMPT 36 17 ""
 PICTURE "###.###^^^"
 MESSAGE ADD,FL->64
 FIELD 44->STSIRPEF
END

NUMERO 65
BEGIN
 KEY "CONTRIBUTO A RIMBORSO"
 PROMPT 45 17 ""
 PICTURE "###.###.###^^^"
 MESSAGE ADD,FL->65
 FIELD 44->CONRIMB
END

NUMERO 66
BEGIN
 KEY "CONTRIBUTO VERSATO"
 PROMPT 59 17 ""
 PICTURE "###.###.###^^^"
 MESSAGE ADD,FL->66
 FIELD 44->CONVER
END

NUMERO 67
BEGIN
 KEY "INTERESSI"
 PROMPT 73 17 ""
 PICTURE "###.###.###^^^"
 MESSAGE ADD,FL->67
 FIELD 44->INTER2
END

NUMERO 68
BEGIN
 KEY "CONTRIBUTO VERSATO"
 PROMPT 86 17 ""
 PICTURE "###.###.###^^^"
 MESSAGE ADD,FL->68
 FIELD 44->CONVER2
END

NUMERO 69
BEGIN
 KEY "INTERESSI"
 PROMPT 100 17 ""
 PICTURE "###.###.###^^^"
 MESSAGE ADD,FL->69
 FIELD 44->INTER3
END

NUMERO 70
BEGIN
 KEY "SOPPRATTASE SU C.S.S.N."
 PROMPT 114 17 ""
 PICTURE "###.###.###^^^"
 MESSAGE ADD,FL->70
 FIELD 44->STSCSSN70
END

STRINGA 71
BEGIN
 KEY "MODELLO 730 NON LIQUIDABILE"
 PROMPT 129 17 ""
 FIELD 44->M730NLIQ
END

STRINGA 72
BEGIN
 KEY "CODICE FISCALE CAAF"
 PROMPT 11 19 ""
 FIELD 104@->S1
END

STRINGA 73
BEGIN
 KEY "DENOMINAZIONE CAAF"
 PROMPT 42 19 ""
 FIELD 104@->S0
END

NUMERO 74
BEGIN
 KEY "NUMERO ISCRIZIONE ALBO"
 PROMPT 122 19 ""
 FIELD 104@->I1
 PICTURE "#####"
END

END

SECTION FOOTER LAST 12

NUMERO 20
BEGIN
 KEY "IN DENARO"
 PROMPT 9 1 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 21
BEGIN
 KEY "IN NATURA"
 PROMPT 24 1 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 22
BEGIN
 KEY "CONTRIBUTI OBBLIGATORI"
 PROMPT 39 1 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 23
BEGIN
 KEY "COMPENSI NETTI"
 PROMPT 55 1 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 24
BEGIN
 KEY "AMMONTARE LORDO"
 PROMPT 70 1 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 25
BEGIN
 KEY "IND.ASS.CONTRIBUTI OBBLIGATORI"
 PROMPT 85 1 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 26
BEGIN
 KEY "SOMME NON ASSOG. A RITEN."
 PROMPT 101 1 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 27
BEGIN
 KEY "TOTALE IMPONIBILE"
 PROMPT 117 1 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 28
BEGIN
 KEY "ASSEGNI ED INDENNITA'"
 PROMPT 9 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 29
BEGIN
 KEY "AMMONTARE COMPENSI CORRISPOSTI DA TERZI"
 PROMPT 24 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 30
BEGIN
 KEY "TOTALE IMPONIBILE 2"
 PROMPT 39 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 31
BEGIN
 KEY "IMPOSTA CORRISPONDENTE"
 PROMPT 55 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 32
BEGIN
 KEY "DETRAZIONE PER CONIUGE A CARICO"
 PROMPT 70 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 33
BEGIN
 KEY "DETRAZIONE PER FIGLI A CARICO"
 PROMPT 85 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 34
BEGIN
 KEY "DETRAZIONE PER ALTRI FAMILIARI A CARICO"
 PROMPT 101 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 35
BEGIN
 KEY "DETRAZIONE PER LAVORO DIPENDENTE"
 PROMPT 117 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 36
BEGIN
 KEY "DETRAZIONE PER ONERI"
 PROMPT 9 5 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 37
BEGIN
 KEY "TOTALE DETRAZIONI"
 PROMPT 24 5 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 38
BEGIN
 KEY "INCREMENTO DETRAZIONI PER FIGLI A CARICO"
 PROMPT 39 5 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 39
BEGIN
 KEY "RITENUTE OPERATE DA TERZI"
 PROMPT 55 5 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 40
BEGIN
 KEY "RITENUTE OPERATE DAL DATORE DI LAVORO"
 PROMPT 70 5 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 41
BEGIN
 KEY "ECCEDENZA RITENUTE RIMBORSATE"
 PROMPT 85 5 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 42
BEGIN
 KEY "AMMONTARE RITENUTE DOVUTE"
 PROMPT 101 5 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 43
BEGIN
 KEY "EROGAZIONI PER SPESE SANITARIE"
 PROMPT 117 5 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 44
BEGIN
 KEY "PREMI DI ASSICURAZIONE VITA E INFORTUNI"
 PROMPT 9 7 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 45
BEGIN
 KEY "CONTRIBUTI PER PREVIDENZA COMPLEMENTARE"
 PROMPT 24 7 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 46
BEGIN
 KEY "CONTRIBUTI OBBLIGATORI A CARICO DEL DIPENDENTE"
 PROMPT 39 7 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 47
BEGIN
 KEY "AMMONTARE IMPONIBILE"
 PROMPT 55 7 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 48
BEGIN
 KEY "DETRAZIONI D'IMPOSTA"
 PROMPT 70 7 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 49
BEGIN
 KEY "RITENUTA ESEGUITA"
 PROMPT 85 7 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 50
BEGIN
 KEY "ALTRE SOMME E VALORI NON ASSOGGETTATI A RITENUTA"
 PROMPT 101 7 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 51
BEGIN
 KEY "AMMONTARE IMPONIBILE AI FINI DEL C.S.S.N."
 PROMPT 117 7 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 53
BEGIN
 KEY "IMPOSTA VERSATA"
 PROMPT 20 9 ""
 PICTURE "###.###.###^^^"
END

NUMERO 54
BEGIN
 KEY "INTERESSI"
 PROMPT 32 9 ""
 PICTURE "###.###.###^^^"
END

NUMERO 55
BEGIN
 KEY "CONTRIBUTO VERSATO"
 PROMPT 45 9 ""
 PICTURE "###.###.###^^^"
END

NUMERO 56
BEGIN
 KEY "INTERESSI"
 PROMPT 57 9 ""
 PICTURE "###.###.###^^^"
END

NUMERO 59
BEGIN
 KEY "IMPOSTA RIMBORSATA"
 PROMPT 85 9 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 60
BEGIN
 KEY "IMPOSTA VERSATA"
 PROMPT 101 9 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 61
BEGIN
 KEY "INTERESSI"
 PROMPT 117 9 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 62
BEGIN
 KEY "IMPOSTA VERSATA"
 PROMPT 13 11 ""
 PICTURE "###.###^^^"
END

NUMERO 63
BEGIN
 KEY "INTERESSI"
 PROMPT 24 11 ""
 PICTURE "###.###^^^"
END

NUMERO 64
BEGIN
 KEY "SOPPRATTASSA SU IRPEF"
 PROMPT 36 11 ""
 PICTURE "###.###^^^"
END

NUMERO 65
BEGIN
 KEY "CONTRIBUTO A RIMBORSO"
 PROMPT 45 11 ""
 PICTURE "###.###.###^^^"
END

NUMERO 66
BEGIN
 KEY "CONTRIBUTO VERSATO"
 PROMPT 59 11 ""
 PICTURE "###.###.###^^^"
END

NUMERO 67
BEGIN
 KEY "INTERESSI"
 PROMPT 73 11 ""
 PICTURE "###.###.###^^^"
END

NUMERO 68
BEGIN
 KEY "CONTRIBUTO VERSATO"
 PROMPT 86 11 ""
 PICTURE "###.###.###^^^"
END

NUMERO 69
BEGIN
 KEY "INTERESSI"
 PROMPT 100 11 ""
 PICTURE "###.###.###^^^"
END

NUMERO 70
BEGIN
 KEY "SOPPRATTASE SU C.S.S.N."
 PROMPT 114 11 ""
 PICTURE "###.###.###^^^"
END

NUMERO 730
BEGIN
 KEY "NUMERO MOD.730"
 PROMPT 21 14 ""
 FIELD 36->N730ALLA
END

STRINGA 2
BEGIN
 KEY "FIRMA"
 PROMPT 83 18 ""
 FIELD 106@->RAGSOC
END


END

END
