USE 57
JOIN 45 INTO CODDITTA=CODDITTA CODDIP=CODDIP
JOIN %CAF ALIAS 104 INTO CODTAB==CODCAAF
JOIN 9 INTO CODDITTA=CODDITTA
JOIN 6 TO 9 ALIAS 106 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN 8 TO 106@ ALIAS 108 INTO CODANAGR=CODANAGR
JOIN 13 TO 108@ ALIAS 113 INTO COM==COMNASC
JOIN 13 TO 106@ ALIAS 213 INTO COM==COMRF(COMRES)
JOIN 36 INTO CODDITTA=CODDITTA

END
DESCRIPTION
BEGIN
  57->* "Quadro A2 770"
  45->* "Anagrafica dei dipendenti"
  104@->* "Tabella CAAF"
  9->* "Ditte"
  106@->* "Anagrafica persone fisiche e giuridiche (ditta)"
  108@->* "Anagrafica persone fisiche (ditta)"
  113@->* "Comuni DITTA (nascita)"
  213@->* "Comuni DITTA (residenza)"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 11
  CARATTERE "X"
  INIZIO_POS 3 2
  FINE_POS 131
  GRID "+++++++++-|"
END

SECTION HEADER FIRST 28

LISTA 1
BEGIN
 KEY "Tipo anagrafica"
 FLAGS "H"
 FIELD 106@->TIPOA
 ITEM "F|Fisica" MESSAGE SHOW,1@|HIDE,2@
 ITEM "G|Giuridica" MESSAGE SHOW,2@|HIDE,1@
END

STRINGA 2
BEGIN
 KEY "CODICE FISCALE"
 PROMPT 3 12 ""
 FIELD 106@->COFI
END

STRINGA 3
BEGIN
 KEY "RAGIONE SOCIALE"
 PROMPT 40 12 ""
 GROUP  2
 FIELD 106@->RAGSOC
END

STRINGA 4
BEGIN
 KEY "COGNOME"
 PROMPT 40 12 ""
 GROUP  1
 FIELD 106@->RAGSOC[1,30]
END

STRINGA 5
BEGIN
 KEY "NOME"
 PROMPT 17 14 ""
 GROUP  1
 FIELD 106@->RAGSOC[31,50]
END

STRINGA 6
BEGIN
 KEY "SESSO"
 PROMPT 59 14 ""
 GROUP  1
 FIELD 108@->SESSO
END

STRINGA 7
BEGIN
 KEY "DATA DI NASCITA"
 PROMPT 67 14 ""
 GROUP  1
 FIELD 108@->DATANASC
END

STRINGA 8
BEGIN
 KEY "COMUNE DI NASCITA"
 PROMPT 84 14 ""
 GROUP  1
 FIELD 113@->DENCOM
END

STRINGA 9
BEGIN
 KEY "PROV. DI NASCITA"
 PROMPT 125 14 ""
 GROUP  1
 FIELD 113@->PROVCOM
END

STRINGA 10
BEGIN
 KEY "COMUNE DI RES.FISCALE"
 PROMPT 17 16 ""
 FIELD 213@->DENCOM
END

STRINGA 11
BEGIN
 KEY "PROV DI RES.FISCALE"
 PROMPT 59 16 ""
 FIELD 213@->PROVCOM
END

STRINGA 12
BEGIN
 KEY "VIA di RES."
 PROMPT 66 16 ""
 FIELD 106@->INDRF
 FIELD 106@->INDRES
END

STRINGA 15
BEGIN
 KEY "NUM. CIVICO di RES."
 PROMPT 104 16 ""
 FIELD 106@->CIVRF
 FIELD 106@->CIVRES
END

STRINGA 16
BEGIN
 KEY "CAP"
 PROMPT 123 16 ""
 FIELD 106@->CAPRF
 FIELD 106@->CAPRES
END

STRINGA 13
BEGIN
 KEY "CODICE FISCALE DEL SOGGETTO DICHIARANTE"
 PROMPT 87 19 ""
END

NUMERO 14
BEGIN
 KEY "NUM. FOGLIO"
 PROMPT 125 22 ""
END

END

SECTION BODY ODD 10

STRINGA 1
BEGIN
 KEY "COD.FIS"
 PROMPT 11 1 ""
 FIELD 45->CODFI
END

STRINGA 2
BEGIN
 KEY "COGNOME"
 PROMPT 43 1 ""
 FIELD 45->COGNOME
END

STRINGA 3
BEGIN
 KEY "NOME"
 PROMPT 80 1 ""
 FIELD 45->NOME
END

DATA 4
BEGIN
 KEY "DATA NASCITA"
 PROMPT 114 1 ""
 FIELD 45->DATANA
 FORMAT "1444-"
END

STRINGA 5
BEGIN
 KEY "SESSO"
 PROMPT 128 1 ""
 FIELD 45->SESSO
END

STRINGA 6
BEGIN
 KEY "COMUNE DI NASCITA"
 PROMPT 11 3 ""
 FIELD 45->COMUNENA
END

STRINGA 7
BEGIN
 KEY "PROV. DI NASCITA"
 PROMPT 48 3 ""
 FIELD 45->PROVNA
END

STRINGA 8
BEGIN
 KEY "CONGUAGLI NON EFFETTUATI"
 PROMPT 16 5 ""
 FIELD 57->CONEFF
END

STRINGA 9
BEGIN
 KEY "RETTIFICA CONGUAGLIO"
 PROMPT 31 5 ""
 FIELD 57->RETCON
END

NUMERO 10
BEGIN
 KEY "IMPOSTA RIMBORSATA"
 PROMPT 39 5 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->10
 FIELD 57->SIRPEFRIMB
END   

NUMERO 11
BEGIN
 KEY "IMPOSTA VERSATA"
 PROMPT 54 5 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->11
 FIELD 57->VIRPEF
END

NUMERO 12
BEGIN
 KEY "INTERESSI"
 PROMPT 70 5 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->12
 FIELD 57->INTIRPEF
END

NUMERO 13
BEGIN
 KEY "IMPOSTA VERSATA"
 PROMPT 85 5 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->13
 FIELD 57->AIRPEFIV
END

NUMERO 14
BEGIN
 KEY "INTERESSI"
 PROMPT 100 5 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->14
 FIELD 57->AIRPEFINT
END

NUMERO 15
BEGIN
 KEY "SOPRATTASSA SU IRPEF"
 PROMPT 115 5 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->15
 FIELD 57->STASSA15
END

NUMERO 16
BEGIN
 KEY "CONTRIBUTO A RIMBORSO"
 PROMPT 8 7 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->16
 FIELD 57->CONTR16
END

NUMERO 17
BEGIN
 KEY "CONTRIBUTO VERSATO"
 PROMPT 23 7 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->17
 FIELD 57->CONTRVER
END

NUMERO 18
BEGIN
 KEY "INTERESSI"
 PROMPT 39 7 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->18
 FIELD 57->INTER18
END   

NUMERO 19
BEGIN
 KEY "CONTRIBUTO VERSATO"
 PROMPT 54 7 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->19
 FIELD 57->CONTV19
END

NUMERO 20
BEGIN
 KEY "INTERESSI"
 PROMPT 70 7 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->20
 FIELD 57->INTE20
END

NUMERO 21
BEGIN
 KEY "SOPRATTASSA SU CSSN"
 PROMPT 85 7 ""
 PICTURE "###.###.###.###^^^"
 MESSAGE ADD,FL->21
 FIELD 57->SOPRAT21
END

NUMERO 22
BEGIN
 KEY "MOD. 730/95 NON LIQUIDABILE"
 PROMPT 108 7 ""
 FIELD 57->M730NLIQ
END

STRINGA 23
BEGIN
 KEY "CODICE FISCALE CAAF"
 PROMPT 11 9 ""
 FIELD 104@->S1
END

STRINGA 24
BEGIN
 KEY "DENOMINAZIONE CAAF"
 PROMPT 44 9 ""
 FIELD 104@->S0
END

NUMERO 25
BEGIN
 KEY "NUMERO ISCRIZIONE ALBO"
 PROMPT 125 9 ""            
 PICTURE "#####"
 FIELD 104@->I1
END

END

SECTION FOOTER LAST 4

NUMERO 10
BEGIN
 KEY "IMPOSTA RIMBORSATA"
 PROMPT 39 1 ""
 PICTURE "###.###.###.###^^^"
END   

NUMERO 11
BEGIN
 KEY "IMPOSTA VERSATA"
 PROMPT 54 1 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 12
BEGIN
 KEY "INTERESSI"
 PROMPT 70 1 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 13
BEGIN
 KEY "IMPOSTA VERSATA"
 PROMPT 85 1 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 14
BEGIN
 KEY "INTERESSI"
 PROMPT 100 1 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 15
BEGIN
 KEY "SOPRATTASSA SU IRPEF"
 PROMPT 115 1 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 16
BEGIN
 KEY "CONTRIBUTO A RIMBORSO"
 PROMPT 8 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 17
BEGIN
 KEY "CONTRIBUTO VERSATO"
 PROMPT 23 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 18
BEGIN
 KEY "INTERESSI"
 PROMPT 39 3 ""
 PICTURE "###.###.###.###^^^"
END   

NUMERO 19
BEGIN
 KEY "CONTRIBUTO VERSATO"
 PROMPT 54 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 20
BEGIN
 KEY "INTERESSI"
 PROMPT 70 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 21
BEGIN
 KEY "SOPRATTASSA SU CSSN"
 PROMPT 85 3 ""
 PICTURE "###.###.###.###^^^"
END

NUMERO 730
BEGIN
 KEY "NUMERO MOD.730"
 PROMPT 20 5 ""
 PICTURE "######"
 FIELD 36->N730ALLA2
END                

STRINGA 2
BEGIN
 KEY "FIRMA"
 PROMPT 83 9 ""
 FIELD 106@->RAGSOC
END

END

END
