USE 70
JOIN 9 INTO CODDITTA=CODDITTA
JOIN  6 TO   9 ALIAS 116 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  8 TO   6 ALIAS 118 INTO CODANAGR=CODANAGR
JOIN 13 TO   8 ALIAS 113 INTO COM=COMNASC
JOIN 13 TO   6 ALIAS 213 INTO STATO=""(STATORES) COM=COMRF(COMRES)
END

DESCRIPTION
BEGIN
  70->* "Quadro G 770"
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  113@->* "Comuni"
  213@->* "Comuni"
  216@->* "Anagrafica persone fisiche e giuridiche"
  218@->* "Anagrafica persone giuridiche"
  313@->* "Comuni"
  413@->* "Comuni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier 17cpi"
  SIZE 10
  CA "X"
  IN 3 2
  FI 131
END

SECTION HEADER FIRST 65

STRINGA 1
BEGIN
  KEY "CODICE FISCALE"
  PROMPT 4 11  ""
  FIELD 116@->COFI
END

STRINGA 2
BEGIN
  KEY "RAGIONE SOCIALE"
  PROMPT 39 11  ""
  FIELD 116@->RAGSOC
END

STRINGA 3
BEGIN
  KEY "COGNOME"
  PROMPT 39 11 ""
  FIELD 116@->RAGSOC[1,30]
  GROUP 1   
  FLAGS "H"
END

STRINGA 4
BEGIN
  KEY "NOME"
  PROMPT 17 13 ""
  FIELD 116@->RAGSOC[31,50]
  GROUP 1  
  FLAGS "H"
END

STRINGA 5
BEGIN
  KEY "COMUNE DI RES."
  PROMPT 17 13 ""
  FIELD 213@->DENCOM
END

STRINGA 6
BEGIN
  KEY "PROV DI RES."
  PROMPT 58 13 ""
  FIELD 213@->PROVCOM
END

STRINGA 7
BEGIN
  KEY "VIA di RES."
  PROMPT 65 13  ""   
  FIELD 116@->INDRF 
  FIELD 116@->INDRES
  GROUP 4  
END

STRINGA 8
BEGIN
  KEY "NUM. CIVICO di RES."
  PROMPT 101 13 "" 
  FIELD 116@->CIVRF
  FIELD 116@->CIVRES
  GROUP 4  
END

STRINGA 9
BEGIN
  KEY "CAP"
  PROMPT 122 13 "" 
  FIELD 116@->CAPRF
  FIELD 116@->CAPRES
  GROUP 4
END

STRINGA 13
BEGIN
  KEY "CODICE FISCALE DICHIARANTE"
  PROMPT 118 16  ""
END

STRINGA 14
BEGIN
  KEY "NUM. FOGLIO"
  PROMPT 120 17  ""  
  FLAGS "H"
END

STRINGA 15
BEGIN
  KEY "Prospetto 1 data delib.1"
  PROMPT 6 25 ""
  FIELD 70->P1DATAD1
  GROUP 3
END

STRINGA 16
BEGIN
  KEY "Titolo 1"
  PROMPT 20 25 ""
  FIELD 70->P1TITOLO1
  GROUP 3
END

STRINGA 17
BEGIN
  KEY "Data ut.1"
  PROMPT 53 25 ""
  FIELD 70->P1DATAP1
  GROUP 3
END

NUMBER 20
BEGIN
  KEY "Amm.1"
  PROMPT 65 25 ""
  FIELD 70->P1AMMQ1   
  PICTURE "###.###.###.###"    
  GROUP 3
END

NUMBER 21
BEGIN
  KEY "Num.az.1"
  PROMPT 87 25 ""
  FIELD 70->P1NUMQ1   
  PICTURE "#########"
  GROUP 3
END

NUMBER 22
BEGIN
  KEY "Amm.Compless.1"
  PROMPT 121 25 ""
  FIELD 70->P1AMM1
  PICTURE "###.###.###^^^"    
  GROUP 3
END

STRINGA 23
BEGIN
  KEY "Prospetto 1 data delib.2"
  PROMPT 6 27 ""
  FIELD 70->P1DATAD2
  GROUP 3
END

STRINGA 24
BEGIN
  KEY "Titolo 2"
  PROMPT 20 27 ""
  FIELD 70->P1TITOLO2
  GROUP 3
END

STRINGA 25
BEGIN
  KEY "Data ut.2"
  PROMPT 53 27 ""
  FIELD 70->P1DATAP2
  GROUP 3
END

NUMBER 26
BEGIN
  KEY "Amm.2"
  PROMPT 65 27 ""
  FIELD 70->P1AMMQ2
  PICTURE "###.###.###.###"    
  GROUP 3
END

NUMBER 27
BEGIN
  KEY "Num.az.2"
  PROMPT 87 27 ""
  FIELD 70->P1NUMQ2
  PICTURE "#########"
  GROUP 3
END

NUMBER 28
BEGIN
  KEY "Amm.Compless.2"
  PROMPT 121 27 ""
  FIELD 70->P1AMM2
  PICTURE "###.###.###^^^"    
  GROUP 3
END

STRINGA 29
BEGIN
  KEY "Prospetto 1 data delib.3"
  PROMPT 6 29 ""
  FIELD 70->P1DATAD3
  GROUP 3
END

STRINGA 30
BEGIN
  KEY "Titolo 3"
  PROMPT 20 29 ""
  FIELD 70->P1TITOLO3
  GROUP 3
END

STRINGA 31
BEGIN
  KEY "Data ut.3"
  PROMPT 53 29 ""
  FIELD 70->P1DATAP3
  GROUP 3
END

NUMBER 32
BEGIN
  KEY "Amm.3"
  PROMPT 65 29 ""
  FIELD 70->P1AMMQ3
  PICTURE "###.###.###.###"    
  GROUP 3
END

NUMBER 33
BEGIN
  KEY "Num.az.3"
  PROMPT 87 29 ""
  FIELD 70->P1NUMQ3  
  PICTURE "#########"
  GROUP 3
END

NUMBER 34
BEGIN
  KEY "Amm.Compless.3"
  PROMPT 121 29 ""
  FIELD 70->P1AMM3
  PICTURE "###.###.###^^^"    
  GROUP 3
END

STRINGA 35
BEGIN
  KEY "Prospetto 1 data delib.4"
  FIELD 70->P1DATAD4
  PROMPT 6 31 ""
  GROUP 3
END

STRINGA 36
BEGIN
  KEY "Titolo 4"
  PROMPT 20 31 ""
  FIELD 70->P1TITOLO4
  GROUP 3
END

STRINGA 37
BEGIN
  KEY "Data ut.4"
  PROMPT 53 31 ""
  FIELD 70->P1DATAP4
  GROUP 3
END

NUMBER 38
BEGIN
  KEY "Amm.4"
  PROMPT 65 31 ""
  FIELD 70->P1AMMQ4
  PICTURE "###.###.###.###"    
  GROUP 3
END

NUMBER 39
BEGIN
  KEY "Num.az.4"
  PROMPT 87 31 ""
  FIELD 70->P1NUMQ4  
  PICTURE "#########"
  GROUP 3
END

NUMBER 40
BEGIN
  KEY "Amm.Compless.4"
  PROMPT 121 31 ""
  FIELD 70->P1AMM4
  PICTURE "###.###.###^^^"    
  GROUP 3
END

STRING 41
BEGIN
  KEY "Totale num.az"
  FIELD 70->P1NUMQT
  PROMPT 87 33 ""    
  PICTURE "#########"
END

NUMBER 42
BEGIN
  KEY "Totale amm.compl."
  FIELD 70->P1AMMT
  PROMPT 121 33 ""            
  PICTURE "###.###.###^^^"      
END

STRINGA 43
BEGIN
  KEY "Data delibera"
  PROMPT 27 36 ""
  FIELD 70->P2DATADE
END

STRINGA 44
BEGIN
  KEY "Data distribuzione"
  PROMPT 100 36 ""
  FIELD 70->P2DATADI
END

STRINGA 45
BEGIN
  KEY "DESC.BENI DISTR.1"
  PROMPT 4 40 ""
  FIELD 70->P2DESC1
END

STRINGA 46
BEGIN
  KEY "DATA 1"
  PROMPT 78 40 ""
  FIELD 70->P2DATA1
END

NUMBER 47
BEGIN
  KEY "VALORE ULT. BIL. 1"
  PROMPT 120 40 ""
  FIELD 70->P2VAL1
  PICTURE "###.###.###^^^"    
END

STRINGA 48
BEGIN
  KEY "DESC.BENI DISTR.2"
  PROMPT 4 42 ""
  FIELD 70->P2DESC2
END

STRINGA 49
BEGIN
  KEY "DATA 2"
  PROMPT 78 42 ""
  FIELD 70->P2DATA2
END

NUMBER 50
BEGIN
  KEY "VALORE ULT. BIL. 2"
  PROMPT 120 42 ""
  FIELD 70->P2VAL2
  PICTURE "###.###.###^^^"    
END

STRINGA 51
BEGIN
  KEY "DESC.BENI DISTR.3"
  PROMPT 4 44 ""
  FIELD 70->P2DESC3
END

STRINGA 52
BEGIN
  KEY "DATA 3"
  PROMPT 78 44 ""
  FIELD 70->P2DATA3
END

NUMBER 53
BEGIN
  KEY "VALORE ULT. BIL. 3"
  PROMPT 120 44 ""
  FIELD 70->P2VAL3
  PICTURE "###.###.###^^^"    
END

NUMBER 54
BEGIN
  KEY "TOT.UT.NATURA"
  PROMPT 120 46 ""
  FIELD 70->P2VALT
  PICTURE "###.###.###^^^"    
END

NUMBER 55
BEGIN
  KEY "IMP.IMPUT.AZ.QUOT"
  PROMPT 116 48 ""
  FIELD 70->P2IMPQ
  PICTURE "###.###.###.###"    
END

NUMBER 56
BEGIN
  KEY "P221"
  PROMPT 44 55 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 57
BEGIN
  KEY "P231"
  PROMPT 63 55 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 58
BEGIN
  KEY "P241"
  PROMPT 81 55 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 59
BEGIN
  KEY "P251"
  PROMPT 100 55 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 60
BEGIN
  KEY "P261"
  PROMPT 119 55 ""            
  PICTURE "###.###.###^^^"    
END

NUMBER 61
BEGIN
  KEY "P222"
  PROMPT 44 56 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 62
BEGIN
  KEY "P232"
  PROMPT 63 56 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 63
BEGIN
  KEY "P242"
  PROMPT 81 56 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 64
BEGIN
  KEY "P252"
  PROMPT 100 56 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 65
BEGIN
  KEY "P262"
  PROMPT 119 56 ""            
  PICTURE "###.###.###^^^"    
END

NUMBER 66
BEGIN
  KEY "P223"
  PROMPT 44 57 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 67
BEGIN
  KEY "P233"
  PROMPT 63 57 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 68
BEGIN
  KEY "P243"
  PROMPT 81 57 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 69
BEGIN
  KEY "P253"
  PROMPT 100 57 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 70
BEGIN
  KEY "P263"
  PROMPT 119 57 ""            
  PICTURE "###.###.###^^^"    
END

NUMBER 71
BEGIN
  KEY "P224"
  PROMPT 44 58 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 72
BEGIN
  KEY "P234"
  PROMPT 63 58 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 73
BEGIN
  KEY "P244"
  PROMPT 81 58 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 74
BEGIN
  KEY "P254"
  PROMPT 100 58 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 75
BEGIN
  KEY "P264"
  PROMPT 119 58 ""            
  PICTURE "###.###.###^^^"    
END

NUMBER 76
BEGIN
  KEY "P225"
  PROMPT 44 59 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 77
BEGIN
  KEY "P235"
  PROMPT 63 59 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 78
BEGIN
  KEY "P245"
  PROMPT 81 59 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 79
BEGIN
  KEY "P255"
  PROMPT 100 59 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 80
BEGIN
  KEY "P265"
  PROMPT 119 59 ""            
  PICTURE "###.###.###^^^"    
END


NUMBER 81
BEGIN
  KEY "P22TOT"
  PROMPT 44 60 ""             
  PICTURE "###.###.###^^^"    
  FIELD 70->P22TOT
END

NUMBER 82
BEGIN
  KEY "P23TOT"
  PROMPT 63 60 ""             
  PICTURE "###.###.###^^^"    
  FIELD 70->P23TOT
END

NUMBER 83
BEGIN
  KEY "P24TOT"
  PROMPT 81 60 ""             
  PICTURE "###.###.###^^^"    
  FIELD 70->P24TOT
END

NUMBER 84
BEGIN
  KEY "P25TOT"
  PROMPT 100 60 ""             
  PICTURE "###.###.###^^^"    
  FIELD 70->P25TOT
END

NUMBER 85
BEGIN
  KEY "P26TOT"
  PROMPT 119 60 ""            
  PICTURE "###.###.###^^^"    
  FIELD 70->P26TOT
END

END
                              
SECTION BODY ODD 60

NUMBER 1
BEGIN
  KEY "P3 COL 2 - CINQUE SOLE RIGHE -"
  PROMPT 36 7 ""
  PICTURE "###.###.###^^^"    
END

NUMBER 2
BEGIN
  KEY "P3 COL2 - 2"
  PROMPT 36 12 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 3
BEGIN
  KEY "P3 COL2 - 3"
  PROMPT 36 15 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 4
BEGIN
  KEY "P3 COL2 - 4"
  PROMPT 36 17 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 5
BEGIN
  KEY "P3 COL2 - 5"
  PROMPT 36 19 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 6
BEGIN
  KEY "P3 COL2 TOTALI"
  PROMPT 36 20 ""
  PICTURE "###.###.###^^^"
END 

NUMBER 7
BEGIN
  KEY "P3 COL3 1"
  PROMPT 57 5 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 8
BEGIN
  KEY "P3 COL3 2"
  PROMPT 57 6 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 9
BEGIN
  KEY "P3 COL3 3"
  PROMPT 57 7 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 10
BEGIN
  KEY "P3 COL3 4"
  PROMPT 57 8 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 11
BEGIN
  KEY "P3 COL3 5"
  PROMPT 57 9 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 12
BEGIN
  KEY "P3 COL3 6"
  PROMPT 57 10 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 13
BEGIN
  KEY "P3 COL3 7"
  PROMPT 57 11 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 14
BEGIN
  KEY "P3 COL3 8"
  PROMPT 57 12 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 15
BEGIN
  KEY "P3 COL3 9"
  PROMPT 57 13 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 16
BEGIN
  KEY "P3 COL3 10"
  PROMPT 57 14 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 17
BEGIN
  KEY "P3 COL3 11"
  PROMPT 57 15 ""             
  PICTURE "###.###.###^^^"    
END
          
NUMBER 18
BEGIN
  KEY "P3 COL3 12"
  PROMPT 57 16 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 19
BEGIN
  KEY "P3 COL3 13"
  PROMPT 57 17 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 20
BEGIN
  KEY "P3 COL3 14"
  PROMPT 57 18 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 21
BEGIN
  KEY "P3 COL3 15"
  PROMPT 57 19 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 22
BEGIN
  KEY "P3 COL3 TOTALI"
  PROMPT 57 20 ""             
  PICTURE "###.###.###^^^"  
END

NUMBER 23
BEGIN
  KEY "P3 COL5 1"
  PROMPT 80 5 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 24
BEGIN
  KEY "P3 COL5 2"
  PROMPT 80 6 ""             
  PICTURE "###.###.###^^^"    
END       

NUMBER 25
BEGIN
  KEY "P3 COL5 3"
  PROMPT 80 7 ""             
  PICTURE "###.###.###^^^"    
END
        
NUMBER 26
BEGIN
  KEY "P3 COL5 4"
  PROMPT 80 8 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 27
BEGIN
  KEY "P3 COL5 5"
  PROMPT 80 9 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 28
BEGIN
  KEY "P3 COL5 6"
  PROMPT 80 10 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 29
BEGIN
  KEY "P3 COL5 7"
  PROMPT 80 11 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 30
BEGIN
  KEY "P3 COL5 8"
  PROMPT 80 12 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 31
BEGIN
  KEY "P3 COL5 9"
  PROMPT 80 13 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 32
BEGIN
  KEY "P3 COL5 10"
  PROMPT 80 14 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 33
BEGIN
  KEY "P3 COL5 11"
  PROMPT 80 15 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 34
BEGIN
  KEY "P3 COL5 12"
  PROMPT 80 16 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 35
BEGIN
  KEY "P3 COL5 13"
  PROMPT 80 17 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 36
BEGIN
  KEY "P3 COL5 14"
  PROMPT 80 18 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 37
BEGIN
  KEY "P3 COL5 15"
  PROMPT 80 19 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 38
BEGIN
  KEY "P3 COL5 TOTALI"
  PROMPT 80 20 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 39
BEGIN
  KEY "P3 COL6 1"
  PROMPT 97 5 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 40
BEGIN
  KEY "P3 COL6 2"
  PROMPT 97 6 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 41
BEGIN
  KEY "P3 COL6 3"
  PROMPT 97 7 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 42
BEGIN
  KEY "P3 COL6 4"
  PROMPT 97 8 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 43
BEGIN
  KEY "P3 COL6 5"
  PROMPT 97 9 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 44
BEGIN
  KEY "P3 COL6 6"
  PROMPT 97 10 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 45
BEGIN
  KEY "P3 COL6 7"
  PROMPT 97 11 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 46
BEGIN
  KEY "P3 COL6 8"
  PROMPT 97 12 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 47
BEGIN
  KEY "P3 COL6 9"
  PROMPT 97 13 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 48
BEGIN
  KEY "P3 COL6 10"
  PROMPT 97 14 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 49
BEGIN
  KEY "P3 COL6 11"
  PROMPT 97 15 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 50
BEGIN
  KEY "P3 COL6 12"
  PROMPT 97 16 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 51
BEGIN
  KEY "P3 COL6 13"
  PROMPT 97 17 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 52
BEGIN
  KEY "P3 COL6 14"
  PROMPT 97 18 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 53
BEGIN
  KEY "P3 COL6 15"
  PROMPT 97 19 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 54
BEGIN
  KEY "P3 COL6 TOTALI"
  PROMPT 97 20 ""             
  PICTURE "###.###.###^^^"    
END

NUMBER 55
BEGIN
  KEY "P3 COL7 1/5"
  PROMPT 119 7 ""            
  PICTURE "###.###.###^^^"    
END

NUMBER 56
BEGIN
  KEY "P3 COL7 2/5"
  PROMPT 119 12 ""            
  PICTURE "###.###.###^^^"    
END
         
NUMBER 57
BEGIN
  KEY "P3 COL7 3/5"
  PROMPT 119 15 ""            
  PICTURE "###.###.###^^^"    
END

NUMBER 58
BEGIN
  KEY "P3 COL7 4/5"
  PROMPT 119 17 ""            
  PICTURE "###.###.###^^^"    
END

NUMBER 59
BEGIN
  KEY "P3 COL7 5/5"
  PROMPT 119 19 ""            
  PICTURE "###.###.###^^^"    
END

NUMBER 60
BEGIN
  KEY "P3 COL7 TOTALI"
  PROMPT 119 20 ""            
  PICTURE "###.###.###^^^"    
END
         
NUMBER 61
BEGIN
  KEY "P4 IMP.1"
  PROMPT 117 33 ""
  FIELD 70->P421 
  PICTURE "###.###.###^^^"    
END

NUMBER 62
BEGIN
  KEY "P4 IMP.2"
  PROMPT 117 37 ""
  FIELD 70->P422              
  PICTURE "###.###.###^^^"    
END

NUMBER 63
BEGIN
  KEY "P4 IMP.3"
  PROMPT 117 38 ""
  FIELD 70->P423              
  PICTURE "###.###.###^^^"    
END

NUMBER 64
BEGIN
  KEY "P4 IMP.4 "
  PROMPT 117 41 ""
  FIELD 70->P424              
  PICTURE "###.###.###^^^"    
END

NUMBER 65
BEGIN
  KEY "P4 IMP.5"
  PROMPT 117 42 ""
  FIELD 70->P425              
  PICTURE "###.###.###^^^"    
END

NUMBER 66
BEGIN
  KEY "P4 IMP.6"
  PROMPT 117 43 ""
  FIELD 70->P426              
  PICTURE "###.###.###^^^"    
END

NUMBER 67
BEGIN
  KEY "P4 IMP.7"
  PROMPT 117 44 ""
  FIELD 70->P427              
  PICTURE "###.###.###^^^"    
END

NUMBER 68
BEGIN
  KEY "P4 IMP.8"
  PROMPT 117 48 ""
  FIELD 70->P428              
  PICTURE "###.###.###^^^"    
END

NUMBER 69
BEGIN
  KEY "P4 IMP.9"
  PROMPT 117 49 ""
  FIELD 70->P429              
  PICTURE "###.###.###^^^"    
END

NUMBER 70
BEGIN
  KEY "P4 TOTALE"
  PROMPT 117 50 ""
  FIELD 70->P42TOT            
  PICTURE "###.###.###^^^"    
END

STRING 90
BEGIN
  KEY "P3 COL2 TOTALI quando c'e' l'allegato"
  PROMPT 36 20 ""
  FLAGS "H"
END 

END

END


