USE 43
JOIN  9 TO  43 INTO CODDITTA=CODDITTA
JOIN  6 TO   9 ALIAS 116 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  8 TO   6 ALIAS 118 INTO CODANAGR=CODANAGR
JOIN 13 TO   8 ALIAS 113 INTO COM=COMNASC
JOIN 13 TO   6 ALIAS 213 INTO COM=COMRF(COMRES)
JOIN %ENT TO 43 ALIAS 214 INTO CODTAB=H1ENTE
END

DESCRIPTION
BEGIN
  61->* "Quadro H 770"
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  113@->* "Comuni"
  213@->* "Comuni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier 17cpi"
  SIZE 11
  CA "X"           
  IN 3 2
  FI 131
END

SECTION HEADER FIRST 22

LISTA 9
BEGIN
 KEY "Tipo anagrafica"
 FLAGS "H"
 FIELD 116@->TIPOA
 ITEM "F|Fisica" MESSAGE SHOW,1@|HIDE,2@
 ITEM "G|Giuridica" MESSAGE SHOW,2@|HIDE,1@
END

STRINGA 1 
BEGIN
  KEY "CODICE FISCALE"
  PROMPT 3 10  ""
  FIELD 116@->COFI
END

STRINGA 2
BEGIN
  KEY "RAGIONE SOCIALE"
  PROMPT 39 10  ""
  FIELD 116@->RAGSOC
  GROUP 2
END

STRINGA 3
BEGIN
  KEY "COGNOME"
  PROMPT 39 10 ""
  FIELD 116@->RAGSOC[1,30]
  GROUP 1
END  

STRINGA 4
BEGIN
  KEY "NOME"
  PROMPT 17 12 ""
  FIELD 116@->RAGSOC[31,50]
  GROUP 1
END  

STRINGA 5
BEGIN
  KEY "SESSO"
  PROMPT 58 12 ""
  FIELD 118@->SESSO
  GROUP 1
END  
  
STRINGA 6
BEGIN
  KEY "DATA DI NASCITA"
  PROMPT 66 12 ""
  FIELD 118@->DATANASC
  GROUP 1
END  
  
STRINGA 7
BEGIN
  KEY "COMUNE DI NASCITA"
  PROMPT 83 12 ""
  FIELD 113@->DENCOM
  GROUP 1
END  
  
STRINGA 8
BEGIN
  KEY "PROV. DI NASCITA"
  PROMPT 125 12 ""
  FIELD 113@->PROVCOM
  GROUP 1
END  
  
STRINGA 10
BEGIN
  KEY "COMUNE DI RES.FISCALE"
  PROMPT 17 14 ""
  FIELD 213@->DENCOM
END  
  
STRINGA 11
BEGIN
  KEY "PROV DI RES.FISCALE"
  PROMPT 59 14 ""
  FIELD 213@->PROVCOM
END  
  
STRINGA 12
BEGIN
  KEY "VIA di RES."
  PROMPT 67 14  ""
  FIELD 116@->INDRF  
  FIELD 116@->INDRES
  FLAGS "H"
  MESSAGE COPY,17
END  
  
STRINGA 15
BEGIN
  KEY "NUM. CIVICO di RES."
  PROMPT 103 14 ""
  FIELD 116@->CIVRF 
  FIELD 116@->CIVRES 
  FLAGS "H"
  MESSAGE APPEND,17
END  

STRINGA 17
BEGIN
  KEY "VIA + NUM CIV. DI RES."
  PROMPT 67 14 ""
END
  
STRINGA 16
BEGIN
  KEY "CAP"
  PROMPT 124 14 ""
  FIELD 116@->CAPRF 
  FIELD 116@->CAPRES
END  

STRINGA 13
BEGIN
  KEY "CODICE FISCALE DICHIARANTE"
  PROMPT 105 17  ""
END

NUMBER 14
BEGIN
  KEY "NUM. FOGLIO"
  PROMPT 125 19  ""
  FLAGS "H"
END

END

SECTION BODY ODD 2

STRINGA 11
BEGIN
  KEY "ENTE PREVIDENZIALE"
  PROMPT 8 1 ""
  FIELD 214@->S0
END

NUMBER 12
BEGIN
  KEY "CONTR.OBB. CARICO DATORE LAVORO"
  PROMPT 88 1 ""  
  PICTURE "###.###.###^^^"    
  MESSAGE ADD,FL->12
  FIELD 43->H1DAT
END

NUMBER 13
BEGIN
  KEY "CONTR.OBB. CARICO DIPENDENTE"
  PROMPT 119 1 ""    
  PICTURE "###.###.###^^^"  
  MESSAGE ADD,FL->13
  FIELD 43->H1LAV         
END

END

SECTION FOOTER LAST 2

NUMBER 12
BEGIN
  KEY "TOTALE CONTR.OBB. DATORE LAVORO"
  PROMPT 88 1 ""            
  PICTURE "###.###.###^^^"    
END

NUMBER 13
BEGIN
  KEY "TOTALE CONTR.OBB DIPENDENTE."
  PROMPT 119 1 ""            
  PICTURE "###.###.###^^^"    
END

STRINGA 2
BEGIN
  KEY "FIRMA"
  PROMPT 85 5 ""
  FIELD 116@->RAGSOC
END

END
