// Mod.770 - Archivio BASE

#define BSE_CODDITTA   "CODDITTA"
#define BSE_CODDIC     "CODDIC"
#define BSE_TIPOQUA    "TIPOQUA"
#define BSE_CODDATLAV  "CODDATLAV"
#define BSE_ANNODIC    "ANNODIC"
#define BSE_ER92C93    "ER92C93"
#define BSE_ER93C94    "ER93C94"
#define BSE_NATTVER    "NATTVER"
#define BSE_EVNATTEC   "EVNATTEC"
#define BSE_CODCAAF    "CODCAAF"
#define BSE_CODPRO     "CODPRO"
#define BSE_N73093ALL  "N73093ALL"
#define BSE_SERIE      "SERIE"
#define BSE_DATAVERS   "DATAVERS"
#define BSE_NUMERO     "NUMERO"
#define BSE_A0NFCOM    "A0NFCOM"
#define BSE_A0NLDIP    "A0NLDIP"
#define BSE_A0COBB     "A0COBB"
#define BSE_A0CNET     "A0CNET"
#define BSE_A0EPREV    "A0EPREV"
#define BSE_A0IITRA    "A0IITRA"
#define BSE_A0CTER     "A0CTER"
#define BSE_A0TIMP     "A0TIMP"
#define BSE_A0ILOR     "A0ILOR"
#define BSE_A0TDET     "A0TDET"
#define BSE_A0RTER     "A0RTER"
#define BSE_A0RDAT     "A0RDAT"
#define BSE_A0ERIT     "A0ERIT"
#define BSE_A0CARR     "A0CARR"
#define BSE_A0AARR     "A0AARR"
#define BSE_A0DARR     "A0DARR"
#define BSE_A0RARR     "A0RARR"
#define BSE_A0RITSI    "A0RITSI"
#define BSE_A0CINPS    "A0CINPS"
#define BSE_A0RITOPEVA "A0RITOPEVA"
#define BSE_A0RITOPESA "A0RITOPESA"
#define BSE_A0CIIAUT   "A0CIIAUT"
#define BSE_A0NADLAV   "A0NADLAV"
#define BSE_A0NACAAF   "A0NACAAF" 
#define BSE_A0CRIMPRAS "A0CRIMPRAS" 
#define BSE_A3NFCOM    "A3NFCOM"
#define BSE_A3NUMPER   "A3NUMPER"
#define BSE_A3REPT10   "A3REPT10"
#define BSE_A3REPT12   "A3REPT12"
#define BSE_B0NFCOM    "B0NFCOM"
#define BSE_B0NLDIP    "B0NLDIP"
#define BSE_B0TFR93    "B0TFR93"
#define BSE_B0AI       "B0AI"
#define BSE_B0COLAV    "B0COLAV"
#define BSE_B0TFR7492  "B0TFR7492"
#define BSE_B0AI7492   "B0AI7492"
#define BSE_B0RITSI    "B0RITSI"
#define BSE_B0IMP      "B0IMP"
#define BSE_B0TIMP     "B0TIMP"
#define BSE_B0ROP      "B0ROP"
#define BSE_B0AIINPS   "B0AIINPS"
#define BSE_B0ROPESA   "B0ROPESA"
#define BSE_B0CIIAUT   "B0CIIAUT"
#define BSE_B1NFCOM    "B1NFCOM"
#define BSE_B1NPER     "B1NPER"
#define BSE_B1TIND     "B1TIND"
#define BSE_B1TIRM     "B1TIRM"
#define BSE_B1TICOM    "B1TICOM"
#define BSE_C0NFCOM    "C0NFCOM"
#define BSE_C0NLASS    "C0NLASS"
#define BSE_C0ACTOT    "C0ACTOT"
#define BSE_C0SNSRIT   "C0SNSRIT"
#define BSE_C0ROPE     "C0ROPE"
#define BSE_C0CIIAUT   "C0CIIAUT"
#define BSE_D0NFCOM    "D0NFCOM"
#define BSE_D0NLAUT    "D0NLAUT"
#define BSE_D0ACTOT    "D0ACTOT"
#define BSE_D0SNSRIT   "D0SNSRIT"
#define BSE_D0ROPE     "D0ROPE"
#define BSE_D0CIIAUT   "D0CIIAUT"
#define BSE_D1NFCOM    "D1NFCOM"
#define BSE_D1NPER     "D1NPER"
#define BSE_D1TACOR    "D1TACOR"
#define BSE_D1SNSRIT   "D1SNSRIT"
#define BSE_D1ROPE     "D1ROPE"
#define BSE_QCOMP      "QCOMP"
#define BSE_QSUPPINV   "QSUPPINV"
#define BSE_NSUPPM     "NSUPPM"
#define BSE_LUOVERS    "LUOVERS"
#define BSE_TIPOVERS   "TIPOVERS"
#define BSE_RSS        "RSS"
#define BSE_FLART4     "FLART4"
#define BSE_QSUPPRIC   "QSUPPRIC"
#define BSE_DITTACAAF  "DITTACAAF"
#define	BSE_C0CONTSSN		"C0CONTSSN"

#define	I8_1	"B0NFCOM"
#define	I8_2	"B0NLDIP"
#define	I8_3	"B0TFR93"
#define	I8_4	"B0AI"
#define	I8_5	"B0COLAV"
#define	I8_6	"B0TFR7492"
#define	I9_7	"B0AI7492"
#define	I9_8	"B0IMP"
#define	I9_9	"B0TIMP"
#define	I9_10	"B0ROP"

