#ifndef __SC2101_H
#define __SC2101_H

#ifndef __SCSELECT_H
#include "scselect.h"
#endif

class TEC_mask : public TSelection_mask
{            
  TRelation _ditta;
  TString   _tmp;
protected:  // TMask  
  virtual void on_firm_change();
  virtual void start_run();

  static bool lingua_handler(TMask_field& f, KEY k);
  static bool codprof_handler(TMask_field& f, KEY k);

public:
  const char* get_prof_base() const;
  const TString& get_prof_code() const;
  const TString& get_prof_lang() const;
  const char* get_prof_name() const;

  TEC_mask(const char* name); 
  virtual ~TEC_mask();
};

#endif
