// Valori di ritorno delle procedure interne al modulo ve6

#if !defined (_VE6_RETURN_VALUES)
#define _VE6_RETURN_VALUES

#define NO_ORG_DOCS             100                     // indica che non ci sono documenti originali con le caratteristiche richieste
#define ESC_PRESSED             101                     // indica che  stato premuto il pulsante "Annulla" sulla maschera di selezione dei ranges
#define RECORD_WRITE_ERROR      102             // errore nella scrittura di un record
#define CLIFO                   1                       // codici ordinamento (codici ritornati dal radiobutton della maschera)
#define AGENTE                  2
#define ZONA                    3
#define DATA                    4
#define ELAB_NOT_FOUND  107                     // indica che non  stato trovato un record per il codice di elaborazione specificato
#define ELAB_FOUND  108                         // indica che  stato trovato un record per il codice di elaborazione specificato
#define DOC_TYPE_NOT_FOUND      109             // indica che non  stato trovato un record per il tipo di documento specificato
#define READ_ERROR              110                     // indica che c' stato un errore in lettura
#define SOSPENSIONE_IMPOSTA             111                             // valori per un parametro di getflag()
#define CODICE_SCONTO                   112
#define ERR_STATO_NON_VALIDO  113     // errore: lo stato del documento non e' uno di quelli previsti nella sezione raggruppa
#define NO_ELABS        114       // non ci sono elaborazioni che producano il documento specificato
#define STATO_NON_VALIDO  FALSE     // lo stato del documento non e' uno di quelli previsti nella sezione raggruppa
#define STATO_VALIDO  TRUE     // lo stato del documento non e' uno di quelli previsti nella sezione raggruppa
#endif
